<?php
/***************************************************************************
 *
 * muPORTAL CONTENT MANAGEMENT SYSTEM
 *
 ***************************************************************************
 *                               install.php
 *                            -------------------
 *   kezds               : Kedd, 2004. szeptember 21.
 *   copyright            : (C) 2004-2006 muPortal Team
 *   email                : muportal@freemail.hu
 *   Utoljra mdostva   : saxus; 2006. november 12.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 

define( 'MUPORTAL', true );

/****************************************************************
 *
 *                          O L D A L A K
 *
 ****************************************************************/

/**********************
 * GNU/GPL Licenc
 */
function PAGE_GPL()
{
	global $tp;
	
	$tp->LoadPackedFile('p1_license');
	
	$tp->UseTpl('license');
}

/**********************
 * PHP Verzi s config.php fjl ellenrzse
 */
function PAGE_CHECK()
{
	global $tp;
	
	$tp->LoadPackedFile('p2_check');
	
	// PHP VERZI
	$phpver = phpversion();
	$phpmin = '4.3.0';
	
	$tp->UseTpl('phpver_text', array('VER' => $phpmin));
	
	if (version_compare( $phpver, $phpmin, '<' ) == 1)
	{
		$tp->UseTpl('result',array( 'TEXT' => '<span style="color: red;">Tl rgi PHP verzi ('.$phpver.')! Krlek frisstsd a PHP fordtt a <a href="http://www.php.net" target="_blank">PHP hivatalos oldalrl</a></span>'));
	} else {
		$tp->UseTpl('result',array( 'TEXT' => 'Megfelel verzij PHP fordt'));
	}
	
	// RSI JOGOK
	$tp->UseTpl('write_text');
	
	$file = './config.php';
	if (is_writable($file))
	{
		$tp->UseTpl('result',array( 'TEXT' => 'Van rsi jogod a config.php fjlhoz.'));
	}
	else
	{
		if (file_exists('./config.php'))
		{
			$tp->UseTpl('result',array( 'TEXT' => '<span style="color: red;">Nincs rsi jogod a <code>config.php</code> fjlhoz. Krlek mdostsd a <code>config.php</code> fjl jogait. Amennyiben nem teszed meg, a kapott adatokat ksbb neked kell bemsolni a <code>config.php</code>-be!</span>'));
		}
		else
		{
			$tp->UseTpl('result',array( 'TEXT' => '<span style="color: red;">Hinyz <code>config.php</code> fjl! Krlek hozz ltre a portl gykerbe egy res fjlt <code>config.php</code> nven!</span>'));
		}
	}

	$tp->UseTpl('next_form');

}

/**********************
 * Adatbzis adatainak bekrse
 */
function PAGE_DATABASE_GETINFO()
{
	global $tp;
	
	$tp->LoadPackedFile('p3_db');
	
		
	$db_host	= (isset($_POST['db_host'])) ? $_POST['db_host'] : 'localhost';
	$db_user	= (isset($_POST['db_user'])) ? $_POST['db_user'] : '';
	$db_name	= (isset($_POST['db_name'])) ? $_POST['db_name'] : '';
	$db_prefix	= (isset($_POST['db_prefix'])) ? $_POST['db_prefix'] : 'mu_';
	$db_create	= (isset($_POST['db_create'])) ? $_POST['db_create'] : '0';
	
	$tp->UseTpl( 'p3a_get', array(
		'HOST'	=> $db_host,
		'USER'	=> $db_user,
		'NAME'	=> $db_name,
		'PREFIX'=> $db_prefix,
		'CREATE'=> ($db_create == 1) ? ' checked="checked"' : ''
	));
}

/**********************
 * Adatbzis megnyithatsgnak ellenrzse
 */
function PAGE_DATABASE_CHECKDB()
{
	global $tp;
	
	$tp->LoadPackedFile('p3_db');
	
	$db_host = $_POST['db_host'];
	$db_user = $_POST['db_user'];
	$db_pasw = $_POST['db_pasw'];
	$db_name = $_POST['db_name'];
	$db_prefix = $_POST['db_prefix'];
	$db_create = (isset($_POST['db_create'])) ? $_POST['db_create'] : 0;

	$conn = @mysql_connect( $db_host, $db_user, $db_pasw );
	
	$err = false;

	if (!$conn) {
		$err = 'A telept nem tudott csatlakozni az adatbzisszerverhez a megadott felhasznlnv s jelsz prossal kvetkez cmen: <code>'.$db_host.'</code>.';
	}
		
	if (($err === false) && ($db_create == 1)) {		
		$res = @mysql_query('CREATE DATABASE IF NOT EXISTS '.$db_name, $conn) or Die( mysql_errno( $conn ).': '.mysql_error( $conn ));
		
		if (!$res) {
			
			$err = 'A telept nem tudta ltrehozni a(z) <code>'.$db_name.'</code> adatbzist.';
			
		} else {
			
			$db_create = 0;
		}		
		
	}
	
	if (($err !== false) || (!@mysql_select_db( $db_name, $conn ))) {
		$err = 'A telept nem tudja kivlasztani a(z) <code>'.$db_name.'</code> adatbzist. Lehetsges, hogy az adatbzis nem ltezik. Ebben az esetben prbld meg bejellni az adatbzis ltrehozst az elz oldalon.';
	}
	
	if ($err !== false) {
		$tp->UseTpl('p3b_conn_error', array(
			'TEXT'	=> $err,
			'CODE'	=> mysql_errno(),
			'MSG'	=> mysql_error(),
			'DATABLOCK' => $tp->PrepareTpl('datablock', array(
				'PAGE'		=> 'database',
				'MODE'		=> 'getinfo',
				
				'DB_USER'	=> $db_user,
				'DB_HOST'	=> $db_host,
				'DB_NAME'	=> $db_name,
				'DB_PREFIX'	=> $db_prefix,
				'DB_CREATE'	=> $db_create,
			)),
		));
			
		return false;
	}
	
	@mysql_close($conn);
	 
	$tp->UseTpl('p3b_conn_ok');

	$file = 'mu-sys/admin/install/config.txt';
	$config  = @fread( @fopen($file, 'r') , @filesize($file) ); 
	
	$config  = str_replace(
		array(
			'{PREFIX}',
			'{HNDLR}',
			'{HOST}',
			'{USER}',
			'{PASW}',
			'{NAME}',
			'{PERS}',
		),
		array(
			$db_prefix,
			'mysql',
			$db_host,
			$db_user,
			$db_pasw,
			$db_name,
			'false',			
		),
		$config 
	);
	 
	$file = 'config.php';
	 
	if (is_writeable($file)) {
		
		if (!$handle = @fopen($file, 'w')) {
		
			$tp->UseTpl( 'p3b_write_err', array( 
				'TEXT' => 'A telept nem tudta megnyitni a <code>config.php</code> fjlt rstam ezrt neked kell bernod a kvetkez adatokat ebbe a fjlba.',
				'CONFIGFILE' => $config ) 
			);
		
		} else {
        
			fwrite($handle, $config);
			fclose($handle);
			$tp->UseTpl( 'p3b_write_done' );
    	}
		
	} else {
		
		$tp->UseTpl( 'p3b_write_err', array( 
			'TEXT' => 'Mivel a teleptnek nincs rsi joga a <code>config.php</code> fjlhoz, ezrt ebbe a fjlba neked kell bernod a kvetkez adatokat.',
			'CONFIGFILE' => $config 
		));
		
	}
		
	$tp->UseTpl( 'p3b_next_form' );
	
	return true;
}


/**************************************
 * 
 */
function PAGE_PACKAGES_SELECT()
{
	global $tp;
	
	require_once('mu-sys/includes/packager.php');
	
	$tp->LoadPackedFile('p4_packages');
	$tp->UseTpl('p4a_head');
	
	$dir = 'mu-sys/packages/';
	$d = dir($dir);
	
	$packages = array();
	
	
	while (($entry = $d->read()) !== false) {
		
		if (($entry[0] != '.') && (is_file($dir.$entry)) && (substr($entry, -4) == '.mup')) {
			
			$tmp = pm_parse_package_file( $entry );
			$packages[ $entry ] = $tmp[PM_INFO];
			
		}
		
	}
	$d->close();
	
	ksort($packages);
	
	foreach ($packages as $k => $p) {
		$tp->UseTpl('p4a_item', array(
			'PACKAGE'	=> $k,
			'TITLE'		=> sprintf('%s (%s-%s)', $p['title'], $p['package'], $p['version'] ),
			'PID'		=> $p['package'],
			'DESC'		=> $p['desc'],
			'CHECKED'	=> 'checked="checked"',			
		));
	}
	
	$tp->UseTpl('p4a_end');	
}

/**************************************
 * 
 */
function PAGE_PACKAGES_INSTALL()
{
	global $tp;
	
	// Fejlcinformcik
	$tp->LoadPackedFile('p4_packages');
	$tp->UseTpl('p4b_head');

	// Adatbzis-kapcsolat inicializlsa
	InitDB();	

	// Csomagkezel inicializlsa
	require_once('mu-sys/includes/packager.php');
	$pm = new pm_installer();
	
	foreach($_POST['p'] as $name => $t ) {
		$pm->addpackage($name);		
	}
	
	// kimeneti bufferels elindtsa
	ob_start();
	
	// UNDONE!!! Ezt a hrom sort ki kell szedni!!!
	/*$db->sql_query('drop database if exists muinstall');
	$db->sql_query('create database if not exists muinstall');
	$db->sql_Query('use muinstall');*/

	$pm->install();	
	
	// kimeneti bufferels lezrsa
	$tp->AddToStack(ob_get_contents());
	ob_end_clean();
	
	// Lblc
	$tp->UseTpl('p4b_end');
}


/********************

/**********************
 * Admin hozzadsa - form
 */
function PAGE_ADMIN()
{
	global $tp;
	
	$tp->LoadPackedFile('p5_admin');
	$tp->UseTpl('p5_admin');

}

/**********************
 * Admin hozzadsa + telepts befejezse
 */
function PAGE_DONE()
{
	global $tp, $db;
	
	InitDB();
		
	$username = trim($_POST['username']);
	$userpasw = md5(trim($_POST['userpasw']));
	$email = trim($_POST['email']);

	$db->sql_query('INSERT INTO '.DBPREFIX.'users (
		name, email, email_public, email_cansend, pasw, regip, regdate, permissions
	) VALUES (
		\''.$username.'\', \''.$email.'\', 0, 0, \''.$userpasw.'\', \''.GetUserIP().'\', \''.time().'\', 1
	)');
	
	$id = $db->sql_insert_id();
	
	$db->sql_query('UPDATE '.DBPREFIX.'config SET value=\''.$id.'\' WHERE name=\'protected_user\' LIMIT 1');
	
	$tp->LoadPackedFile('p5_admin');
	$tp->UseTpl('p6_done', array(
		'VER'	=> MP_VER_NAME.' v'.MP_VER_NUM,
	));
}


/****************************************************************
 *
 *              R E N D S Z E R F  G G V  N Y E K
 *
 ****************************************************************/

/**************************************
 * 
 */
function InitDB()
{
	global $db, $cfg;
	
	require_once('config.php');
	require('mu-sys/includes/sql-'.SQLHANDLER.'.php');
	
	if (defined('MUPORTAL_INSTALLED')) {
		$db = new sql_db( $cfg );
		unset($cfg);
	}
}

function GetUserIP()
{
	$ip = FALSE; 
	
	if (!empty($_SERVER["HTTP_CLIENT_IP"])) { $ip = $_SERVER["HTTP_CLIENT_IP"]; } 
	    
		if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) { $ips = explode (", ", $_SERVER['HTTP_X_FORWARDED_FOR']);
			
			if ($ip) { array_unshift($ips, $ip); $ip = FALSE; } 
	
				for ($i = 0; $i < count($ips); $i++) { 
					if (!eregi ("^(10|172\.16|192\.168)\.", $ips[$i])) { 
						if (version_compare(phpversion(), "5.0.0", ">=")) {
								
								if (ip2long($ips[$i]) != false) { 
									$ip = $ips[$i]; 
									break; } 
										
							} else {
	               	 
								if (ip2long($ips[$i]) != -1) { 
									$ip = $ips[$i]; 
									break; } 
							} 
					} 
			} 
	} 
		
	return $ip; 
}

/******************************
 * Msg_Die $code rtkeinek deffinilsa
 */
define('MESSAGE', 100);
define('WARNING', 101);
define('ERROR', 102);
define('CRITICAL', 103);


function Msg_Die ( $code, $msg_text = '')
{
	Die( $msg_text );
}

/**********************
 * Telepts aktulis sttusznak megjelentse
 */
function ShowHeader( $state = 1 )
{
	global $tp;
	
	$s = array_fill(1,6,'');
	
	$s[$state] = ' class="sel"';
	
	$tp->UseTpl( 'head', array (
		'S1' => $s[1],
		'S2' => $s[2],
		'S3' => $s[3],
		'S4' => $s[4],
		'S5' => $s[5],
		'S6' => $s[6],
		'MV' => MP_VER_NAME.' v'.MP_VER_NUM
	));
}


/****************************************************************
 *
 *                B E L  P  S I    P O N T     
 *
 ****************************************************************/

/******************
 * INICIALIZLS
 */
// Ha ltezik a 'config.php' fjl, akkor betltjk.
if (file_exists( 'config.php') ) { require_once('config.php'); }
require_once('mu-sys/includes/version.php'); 

// Mintarendszer inicializlsa
require_once('mu-sys/includes/templates.php'); 
$tp = new template();
$tp->basedir = 'mu-sys/admin/install/';
$tp->LoadpackedFile('i_base');


if (isset($_POST['page'])) { $page = $_POST['page']; } else { $page = 'gpl'; }

switch ( $page )
{
	case 'gpl' :
	{
		ShowHeader(1);
		PAGE_GPL();
		break;
	}
	case 'check' :
	{
		ShowHeader(2);
		PAGE_CHECK();
		break;
	}
	case 'database' :
	{
		ShowHeader(3);
		
		if (isset($_POST['mode'])) { $mode = $_POST['mode']; } else { Die('Hinyz adatok!'); }
		
		switch ( $mode )
		{
			case 'getinfo' :
			{
				PAGE_DATABASE_GETINFO();
				break;
			}
			case 'checkdb' :
			{
				PAGE_DATABASE_CHECKDB();
				break;
			}
		}
		break;
	}
	case 'packages' :
	{
		ShowHeader(4);
		
		if (isset($_POST['mode'])) { $mode = $_POST['mode']; } else { Die('Hinyz adatok!'); }
		
		switch ( $mode )
		{
			case 'select' : {
				PAGE_PACKAGES_SELECT();
				break;
			}
			case 'install' : {
				PAGE_PACKAGES_INSTALL();
				break;
			}
		}
		break;
	}
	case 'admin' :
	{
		ShowHeader(5);
		PAGE_ADMIN();
		break;
	}
	case 'done' :
	{
		ShowHeader(6);
		PAGE_DONE();
		break;
	}
	
}

$tp->UseTpl('end');

$tp->Execute();


?>