<?php 
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/addons/e_smilies.php (backport)
 * Kezds               : Szerda, 2006. jnius 14. (2005. februr 20.)
 * Utoljra mdostva   : saxus; 2006. szeptember 1.
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

// ha definilva van a GET_ADDON_INFO konstans, akkor
// a $modinfo tmbben meg kell adniz addon nevt s 
// verziszmt. Ezt csak a modul f fjlban kell 
// megadni _post s _func uttag fjlokban TILOS!
// Igazbl ez a 6 sor, ami tbblet egy tlagos 
// modulfjlhoz kpest
if (defined('GET_ADDON_INFO'))
{
	global $addon;
	
	$addon = array(
		'title'			=> 'Mosolyok kezelse',
		'version'		=> '0.3.0',
		'minver'		=> '0.3.0',
		'author'		=> 'saxus',
		'homepage'		=> 'http://saxus.muportal.hu/',
		'email'			=> 'saxus@muportal.hu',
		'description'	=> "Az emotikonok (mosolyok) adminisztrlsra szolgl kiterjeszts"
	);
	
} else {
	
	/**************************************
	 * 
	 */
	function PSmilies_Add()
	{
		global $db;
		
		$code = trim($_POST['n_code']);
		$url = trim($_POST['n_url']);
		$db->sql_query('INSERT INTO '.DBPREFIX.'smilies (code, url) VALUES (\''.$code.'\', \''.$url.'\')');
		
		muRedirect( 'admin.php?add=smilies&mode=list', 'Emotikon hozzadva');
	}

	/**************************************
	 * 
	 */
	function PSmilies_Edit()
	{
		global $db;
		
		$code = trim($_POST['n_code']);
		$url = trim($_POST['n_url']);
		$id = $_POST['id'];
		$db->sql_query('UPDATE '.DBPREFIX.'smilies SET code=\''.$code.'\', url=\''.$url.'\'
			WHERE id='.$id.' LIMIT 1');
		
		muRedirect( 'admin.php?add=smilies&mode=list', 'Emotikon frisstve');
	}

	
	
	/**************************************
	 * Mosolyok listja
	 */
	function Smilies_List()
	{
		global $template, $db, $conf;

		$template->UseTpl('base_switcher_narrow');
	
		ShowTitle('Emotikonok listja');
		
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
		
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'smilies');
		$count = $db->sql_fetch_array();
		
		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'add'	=> 'smilies',
			'mode'	=> 'list',
			'min'	=> '{!}',
		) );
		
		$template->AddToStack( $pgswitcher );
		
		$theme = 'mu-sys/'.$conf['system_theme'].'/';
		
		$template->UseTpl('smilies_list_begin');
		
		$db->sql_query('SELECT * FROM '.DBPREFIX.'smilies ORDER BY id ASC 
		  LIMIT '.$min.', '.PERPAGE );
		
		$i = 'd';
 		
		while ( $row = $db->sql_fetch_array())
		{
			$i = ($i == 'w') ? 'd' : 'w';
			
			$template->UseTpl('smilies_list_item', array(
				'CLASS'	=> $i,
				'D_THEME'=> $theme,
				'ID'	=> $row['id'],
				'CODE'	=> htmlspecialchars($row['code']),
				'URL'	=> $row['url']
			));
		}
		
		$template->UseTpl('smilies_list_end');
		
		$template->AddToStack( $pgswitcher );

	}
	
	/**************************************
	 * Emotikon hozzadsa
	 */
	function Smilies_Add()
	{
		IncludeForm( 'smilies_add', 'add' );
	}
	
	/**************************************
	 * 
	 */
	function Smilies_Edit()
	{
		global $db;
		
		$db->sql_query('SELECT * FROM '.DBPREFIX.'smilies WHERE id='.$_GET['id'].' LIMIT 1');
		
		$row = $db->sql_fetch_array();
		
		IncludeForm( 'smilies_add', 'edit', $row );
	}
	
	/**************************************
	 * 
	 */
	function Smilies_Delete()
	{
		global $db;
		
		$db->sql_query('DELETE FROM '.DBPREFIX.'smilies WHERE id='.$_GET['id'].' LIMIT 1');
			
		muRedirect('admin.php?add=smilies&mode=list', 'Emotikon trlve');
	}
		
	
/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/

	// "Hagyomnyos" kd ide
	
	global $template;
	
	$template->LoadPackedFile('e_smilies');
	
	if (defined('POSTING')) {
		switch ($_POST['mode']) {
			case 'add' : {
				PSmilies_Add();
				break;
			}
			case 'edit' : {
				PSmilies_Edit();
				break;
			}
		}
	} else {

		LocalMenu();

		$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list';

		switch ($mode) {
			case 'list' :
			{
				Smilies_List();
				break;
			}
			case 'add' :
			{
				Smilies_Add();
				break;
			}
			case 'edit' :
			{
				Smilies_Edit();
				break;
			}
			case 'delete' :
			{
				Smilies_Delete();
				break;
			}
		}
	}
}

?>