<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/forms/f_banner_editor.php
 * Kezds               : Pntek, 2006. jlius 7.
 * Utoljra mdostva   : saxus; Sun Nov 12 13:38:27 CET 2006 13:38:27
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

global $template, $mode;

switch ($mode) {
				
	case 'add' : { // Hozzads
		global $adminusr;
		
		$title = 'Hirdets hozzadsa'; 
		$v = array(
			'id'			=> -1,
			'bnrtype'		=> '0',
			'data'			=> '',
			'clickurl'		=> '',
			'date_begin'	=> time(),
			'date_end'		=> false,
		);
		break; 
	}
	case 'edit' : { // Szerkeszts
		global $adminusr;
		
		$title = 'Hirdets szerkesztse';
		
		break;
	}
}
$form = new QuickForm();
		
// Form tulajdonsgai
$form->FormProperty('caption', $title );
$form->FormProperty('form_action', true);
$form->FormProperty('bordertype', FT_USERDEF);
$form->FormProperty('width', '600px');

// Rejtett mezk
$form->AddField('page', 'banners');
$form->AddField('mode', $mode);
$form->AddField('id', $v['id'] );

$form->AddComponent( FC_LISTBOX, 'bnrtype', array(
	FP_CAPTION	=> 'Tpus',
	FP_VALUE    => $v['bnrtype'],
	FP_ITEMS	=> array(
		0	=>	'Kp',
		1	=>	'HTML kd'
	),
));

$form->AddComponent( FC_TEXTAREA, 'data', array(
	FP_CAPTION	=> 'Adat',
	FP_VALUE	=> $v['data'],
	FP_HELPMSG	=> 'A hirdets tpustl fggen kell kitlteni az adat mezt. Amennyiben kpet szeretnl megjelenteni, itt add meg a kp elrsi tvonalt. Amennyiben HTML kdot (pldul egy flash-s banner HTML kdjt) szeretnl elhelyezni ide rd a HTML kdot.',
	FP_HEIGHT	=> '5em',
));

$form->AddComponent( FC_TEXT, 'clickurl', array(
	FP_CAPTION	=> 'Hova mutasson a kp(Csak kpnl)',
	FP_HELPMSG	=> 'Csak akkor kell megadni a clra mutat url-t, ha a Kp-et vlasztottad. (A rendszer csak kp tpusnl veszi figyelembe ezt a mezt)',
	FP_VALUE	=> $v['clickurl'],
));

$form->AddComponent( FC_TEXT, 'date_begin', array(
	FP_CAPTION	=> 'Mikortl ltszik',
	FP_HELPMSG	=> $template->PrepareTpl('HELP_timer'),
	FP_VALUE	=> (is_numeric($v['date_begin'])) ? ADate( $v['date_begin'] ) : '',
));

$form->AddComponent( FC_TEXT, 'date_end', array(
	FP_CAPTION	=> 'Meddig ltszik',
	FP_HELPMSG	=> $template->PrepareTpl('HELP_timer'),
	FP_VALUE	=> (is_numeric($v['date_end'])) ? ADate( $v['date_end'] ) : '',
));

$form->AddComponent( FC_SUBMITBTTN, false, array(
	FP_BACK		=> 'admin.php?page=banners&mode=list',
));

$form->Generate();

?>