<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/forms/f_banner_editor.php
 * Kezds               : Vasrnap, 2006. jlius 9.
 * Utoljra mdostva   : saxus; Sun Nov 12 13:41:57 CET 2006 13:41:57
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 
 
 if (!defined('MUPORTAL')) { die('File hacking'); }

global $mode, $db;

$cats = array();
$db->sql_query('SELECT id, title FROM '.DBPREFIX.'downloads_category ORDER BY title ASC');
while ($r = $db->sql_fetch_array()) {
	$cats[ $r['id'] ] = $r['title'];
}

switch ($mode) {
				
	case 'add' : { // Hozzads
		global $adminusr;
		
		$title = 'Letlts hozzadsa'; 
		$v = array(
			'id'		=> -1,
			'name'		=> $adminusr['name'],
			'email'		=> $adminusr['email'],
			'title'		=> '',
			'url'		=> '',
			'filesize'	=> '',
			'description'	=> '',
			'category'	=> $_GET['did'],
		);
		break; 
	}
	case 'edit' : { // Szerkeszts
		global $adminusr;
		
		$title = 'Letlts szerkesztse';
		break;
	}
}
$form = new QuickForm();
		
// Form tulajdonsgai
$form->FormProperty('caption', $title );
$form->FormProperty('form_action', true);
$form->FormProperty('bordertype', FT_USERDEF);
$form->FormProperty('width', '600px');

// Rejtett mezk
$form->AddField('page', 'downloads');
$form->AddField('mode', $mode);
$form->AddField('id', $v['id'] );

$form->AddComponent( FC_TEXT, 'name', array(
	FP_CAPTION	=> 'Feltlt neve',
	FP_VALUE	=> $v['name'],
));

$form->AddComponent( FC_TEXT, 'email', array(
	FP_CAPTION	=> 'Feltlt e-mail cme',
	FP_VALUE	=> $v['email'],
));

$form->AddComponent( FC_TEXT, 'title', array(
	FP_CAPTION	=> 'Cm',
	FP_VALUE	=> $v['title'],
));

$form->AddComponent( FC_TEXT, 'filesize', array(
	FP_CAPTION	=> 'Fjlmret',
	FP_HELPMSG	=> 'A fjlmretet bjtokban kell megadni!',
	FP_VALUE	=> $v['filesize'],
));

$form->AddComponent( FC_TEXT, 'url', array(
	FP_CAPTION	=> 'URL',
	FP_VALUE	=> $v['url'],
));

$form->AddComponent( FC_LISTBOX, 'category', array(
	FP_CAPTION	=> 'Kategria',
	FP_VALUE    => $v['category'],
	FP_ITEMS	=> $cats,
));

$form->AddComponent( FC_TEXTAREA, 'description', array(
	FP_CAPTION	=> 'Fjl rvid lersa',
	FP_VALUE	=> $v['description'],
	FP_HEIGHT	=> '5em',
));
$form->AddComponent( FC_SUBMITBTTN, false, array(
	FP_BACK		=> 'admin.php?page=downloads&mode=category',
));

$form->Generate();
 
?>