<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/forms/f_links_editor.php
 * Kezds               : Vasrnap, 2006. jlius 9.
 * Utoljra mdostva   : saxus; Pntek, 2006 december 1. 41 percel ZH eltt :-)
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

global $mode, $template;

switch ($mode) {
				
	case 'add' : { // Hozzads
		$title = 'Link hozzadsa'; 
		$v = array(
			'id'		=> -1,
			'name'		=> '',
			'url'		=> '',
			'description'	=> '',
			'date'		=> time(),
		);
		break; 
	}
	case 'edit' : { // Szerkeszts
		
		$title = 'Link szerkesztse';
		
		break;
	}
}
$form = new QuickForm();
		
// Form tulajdonsgai
$form->FormProperty('caption', $title );
$form->FormProperty('form_action', true);
$form->FormProperty('bordertype', FT_USERDEF);
$form->FormProperty('width', '600px');

// Rejtett mezk
$form->AddField('page', 'links');
$form->AddField('mode', $mode);
$form->AddField('id', $v['id'] );

$form->AddComponent( FC_TEXT, 'name', array(
	FP_CAPTION	=> 'Link neve',
	FP_VALUE	=> $v['name'],
));

$form->AddComponent( FC_TEXT, 'date', array(
	FP_CAPTION	=> 'Idzts',
	FP_HELPMSG	=> $template->PrepareTpl('HELP_timer'),
	FP_VALUE	=> ADate( $v['date'] ),
));

$form->AddComponent( FC_TEXT, 'url', array(
	FP_CAPTION	=> 'Link URLje',
	FP_VALUE	=> $v['url'],
));

$form->AddComponent( FC_TEXTAREA, 'description', array(
	FP_CAPTION	=> 'Megjegyzs',
	FP_VALUE	=> $v['description'],
	FP_HEIGHT	=> '5em',
));

$form->AddComponent( FC_SUBMITBTTN, false, array(
	FP_BACK		=> 'admin.php?page=links&mode=list',
));

$form->Generate();

?>