<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/forms/f_menumgr_additem.php
 * Kezds               : Cstrtk, 2006. jnius 15.
 * Utoljra mdostva   : saxus; Sun Nov 12 13:42:37 CET 2006 13:42:37
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/

if (!defined('MUPORTAL')) { die('File hacking'); }

global $mode, $v;

switch ($mode) {
	
	case 'addItem' : {
		
		$title = 'j menelem ltrehozsa';
		$v = array(
			'id'			=> -1,
			'modid'			=> $v['modid'],
			'title'			=> 'j menelem',
			'url'			=> '',
			'regmode'		=> 0,
		);
		break;
	}
	
	case 'editItem' : {
		$title = 'Menelem szerkesztse';
	}
	
}

$form = new QuickForm();

$form->FormProperty('caption', $title);
$form->FormProperty('bordertype', FT_NARROW);
$form->FormProperty('form_action', true);
	
$form->AddField('page', 'addon/menumgr');
$form->AddField('mode', $mode);
$form->AddField('mid', $v['modid']);
$form->AddField('id', $v['id']);
	

$form->AddComponent( FC_TEXT, 'title', array(
	FP_CAPTION		=> 'Menelem neve',
	FP_VALUE		=> $v['title'],
	FP_HELPMSG		=> 'Itt adhat meg a men cmsora. Amennyiben egy
	elvlaszt-vonalat szeretnl beszrni, akkor rj egy darab
	ktjelet. Ebben az esetben az URL-nek nincs jelentsge.',
	FP_MAXLENGTH		=> 100,
));
	

$form->AddComponent( FC_TEXT, 'url', array(
	FP_CAPTION		=> 'URL',
	FP_VALUE		=> $v['url'],
	FP_MAXLENGTH		=> 255,
));


$form->AddComponent( FC_LISTBOX, 'regmode', array(
	FP_CAPTION		=> 'Ki ltja ezt a menelemet?',
	FP_VALUE        => $v['regmode'],
	FP_ITEMS		=> array(
		0		=> 'Brki',
		1		=> 'Csak ltogatk',
		2		=> 'Csak regisztrlt felhasznlk',
		3		=> 'Csak adminisztrtoroknak',
		-1		=> '(Elrejts)',
	),
));
		

$form->AddComponent( FC_SUBMITBTTN, false, array(
	FP_BACK		=> 'admin.php?add=menumgr&mode=menu&mid='.$v['modid'],
));

$form->Generate();