<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM - MINIADMIN
 *
 ***************************************************************************
 *
 *                                a_addons.php
 *                            -------------------
 *   kezds               : Szombat, 2006. februr 4
 *   copyright            : (C) 2004-2006 muPortal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Vasrnap, 2006. november 12
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (!defined("MUPORTAL")) { die("File hacking"); }

global $template;

if (!defined('LOADED_A_ADDONS')) {
	
/****************************
 * Bvtmnyek listja
 */	
function Addons_List() 
{
	global $db, $template, $addon_menu;
	
	$db->sql_query('SELECT cache FROM '.DBPREFIX.'cache WHERE filter='.FLTR_ADDONS.' AND id=\'addonList\' LIMIT 1');
	
	// Ha hibs az adatbzis
	if ($db->sql_num_rows() == 0) {
		
		$template->UseTpl('addons_requirerefresh');
		
	} else {
	
		$addons = $db->sql_fetch_array();
		$addons = @unserialize( $addons['cache'] );
		
		if (!is_array($addons)) {
			$addons = array();
		}
		
		// Ha nincsenek bvtmnyek
		if (count($addons) == 0) {
			$template->UseTpl('addons_noaddons');
		} else {
			
			$template->UseTpl('base_switcher');
			
			ShowTitle('Bvtmnyek listja');
			
			$template->UseTpl('addons_list_begin');
			
			$i = 'd';
			
			foreach ($addons as $row ) {
				
				$i = ($i == 'w') ? 'd' : 'w';
				
				$icons = '';

				if (isset($row['email'])) {
					$icons .= '<a class="icon" href="mailto:'.$row['email'].'"><img src="mu-sys/tpl-admin/img/icon-email.gif" alt="E-Mail kldse a ksztnek"/></a>';
				} else {
					$row['email'] = '(nincs E-Mail cm)';
				}
				
				if (isset($row['homepage'])) {
					$icons .= '<a class="icon" href="'.$row['homepage'].'" target="_blank"><img src="mu-sys/tpl-admin/img/icon-homepage.gif" alt="'.$row['homepage'].'"/></a>';
				} else {
					$row['homepage'] == '(nincs honlap)';
				}
				
				$warn = ($row['minver'] > MP_VER_NUM);
								
				$template->usetpl( 'addons_list_item', array(
					'CLASS'		=> ($warn) ? 'x' : $i,
					'FNAME'		=> $row['filename'],
					'TITLE'		=> $row['title'],
					
					'WEBSITE'	=> $row['homepage'],
					'AUTHOR'	=> (isset($row['author']) ? $row['author'] : '(ismeretlen szerz)' ),
					'EMAIL'		=> $row['email'],
					
					'VERSION'	=> (isset($row['version']) ? $row['version'] : '(ismeretlen)' ),
					'MINVER'	=> (isset($row['minver']) ? $row['minver'] : '(ismeretlen)' ),
					
					'DESCR'		=> (isset($row['description']) ? str_replace( "\n", '<br />', $row['description'] ) : '(nincs lers)' ),
					
					'INMENU'	=> (isset($addon_menu[ $row['filename'] ] )) ? ' checked="checked"' : '',
					
					'ICONS'		=> ($icons != '') ? $icons : '-'
				));
			}
			
			
			$template->UseTpl('addons_list_end');
		}
		
		
	}
}
	
/****************************
 * Bvtmnyek listjnak frisstse
 */	
function Addons_Refresh() 
{
	global $db, $template, $addon_menu;
	
	// njavts
	$db->sql_query('SELECT id FROM '.DBPREFIX.'cache WHERE filter='.FLTR_ADDONS.' AND (id=\'addonMenu\' OR id=\'addonList\') LIMIT 2');
	
	if ($db->sql_num_rows() != 2) {
		$insert_list = true;
		$insert_menu = true;

		while ($row = $db->sql_fetch_array()) {
			switch ($row['id']) {
				case 'addonMenu' : { $insert_menu = false; break; }
				case 'addonList' : { $insert_list = false; break; }
			}
		}
	
		if ($insert_list) {
			$db->sql_query( 'INSERT INTO '.DBPREFIX.'cache (id, filter, cache) VALUES (\'addonList\', '.FLTR_ADDONS.', \''.serialize(array()).'\')');
		}
		
		if ($insert_menu) {
			$db->sql_query( 'INSERT INTO '.DBPREFIX.'cache (id, filter, cache) VALUES (\'addonMenu\', '.FLTR_ADDONS.', \''.serialize(array()).'\')');
		}
	}

	
	// Addonok keresse
	$addons_dir = 'mu-sys/admin/addons/';
	
	define('GET_ADDON_INFO', true);
	
	$menu = array();
	
	if ($d = @dir( $addons_dir ))
	{
		while ($entry = $d->read())
		{
	
			if (( $entry[0] != '.' ) && 
				( preg_match( '#e_(.*)\.php#i', $entry)) && 
				(substr(strtolower($entry), -4) == '.php' ) && 
				(is_file( $addons_dir.$entry))) {
				
				if (!preg_match( '#e_(.*)((\-func)|(\-post))\.php#i', $entry)) {
					
					$addon = array(
						'title'		=> false,
						'version'	=> false,
						'author'	=> false,
						'email'		=> false,
						'homepage'	=> false,
					);
					
					include( $addons_dir.$entry );
					
					if ($addon['title'] != false) {
												
						$entry = substr( substr(strtolower($entry), 0, -4), 2 );
					
						$addon['filename'] = $entry;
						$addons[$entry] = $addon;
						
						if (isset( $addon_menu[ $entry ] )) { $menu[$entry] = $addons[$entry]['title']; }
					}
				}
			}
		}
	}
	
	$count_add = count( $addons );
	$count_menu = count( $menu );
	
	$addon_menu = $menu;
	
	$addons	= serialize( $addons );
	$menu	= serialize( $menu );
	
	$db->sql_query('UPDATE '.DBPREFIX.'cache SET cache=\''.$addons.'\' WHERE filter='.FLTR_ADDONS.' AND id=\'addonList\' LIMIT 1');
	$db->sql_query('UPDATE '.DBPREFIX.'cache SET cache=\''.$menu.'\' WHERE filter='.FLTR_ADDONS.' AND id=\'addonMenu\' LIMIT 1');
	
	$template->UseTpl('addons_refreshed', array(
		'TOTAL'	=> $count_add,
		'MENU'	=> $count_menu
	));
	
}
	
	
	define('LOADED_A_ADDONS', true);
}

/*******************************************************************************/

$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list';

$template->LoadPackedFile('a_addons');

LocalMenu( null, null, false );

switch ($mode) {
	case 'list' : {
		Addons_List();
		break;
	}
	case 'refresh' : {
		Addons_Refresh();
		break;
	}
}



?>