<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM - MINIADMIN
 *
 ***************************************************************************/
 
/***************************************************************************
 *                                 banners.php
 *                            -------------------
 *   kezds               : Vasrnap, 2004. augusztus 8
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Pntek, 2006. oktber 20.
 *   utoljra mdostotta : Chris
 *
 ***************************************************************************/ 
 
/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (!defined('MUPORTAL')) { die('File hacking'); }

	/**************************************
 	* Bannerek listja
 	*/
 	
	function Banners_List ()
	{
		global $db, $template, $conf;
		
		$template->UseTpl('base_switcher');
		
		ShowTitle( 'Hirdetsek listja' );
		
		if ($conf['enable_banners'] != 1)
		{
			$template->UseTpl('nfo', array(
				'TEXT'	=>	'A hirdetsek kezelse ki van kapcsolva! Az aktv hirdetseid nem fognak megjelenni az oldalon. Amennyiben engedlyezni szeretnd a hirdets-rendszert, krlek kapcsold be a <a href="admin.php?page=settings">belltsoknl</a> a szolgltatsok kztt.'
			));
		}
		
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
		
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'banner');
		$count = $db->sql_fetch_array();
		
		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'page'	=> 'banners',
			'mode'	=> 'list',
			'min'	=> '{!}',
		));
		
		$template->AddToStack( $pgswitcher );
		
		$template->UseTpl('banner_list_begin');
		
		$db->sql_query( 'SELECT
			id, clickurl, bnrtype, LEFT(data, 400) AS ldata, count_show, count_click, date_begin, date_end
			FROM '.DBPREFIX.'banner
			ORDER BY id
			LIMIT '.$min.','.PERPAGE
			);
		$i = 'd';		
		while ( $row = $db->sql_fetch_array( ) )
		{
			$i = ($i == 'w') ? 'd' : 'w';
			$today = time();
			$id = $row['id'];
			
			if ($row['date_begin'] < $today && $row['date_end'] < $today ) {
				$timer = '<img src="mu-sys/tpl-admin/img/icon-flag.gif" class="flag" title="Lejrt hirdets" alt="Lejrt hirdets" />'; 
				$date_d = '<b>'.FormatDate($row['date_begin']).'</b> - <b>'.FormatDate($row['date_end']).'</b>';
			} else {
				$timer = '<img src="mu-sys/tpl-admin/img/icon-clock.gif" class="flag" title="Idztett hirdets" alt="Idztett hirdets" />';
				$date_d = '<b>'.FormatDate($row['date_begin']).'</b> - <b>'.FormatDate($row['date_end']).'</b>';
			}

			$bnrt = 'Kp';
			$box = '';
			if ($row['bnrtype'] == 1) { $bnrt = 'HTML kd';
				$box = $template->PrepareTpl('banner_list_html', array(
					'COUNT_SHOW'	=>	$row['count_show'],
					'COUNT_CLICK'	=>	$row['count_click'],
					'DATA'		=>	htmlspecialchars($row['ldata'])
				));
			} else {
				$box = $template->PrepareTpl('banner_list_pic', array(
					'COUNT_SHOW'	=>	$row['count_show'],
					'COUNT_CLICK'	=>	$row['count_click'],
					'DATA'		=>	htmlspecialchars($row['ldata']),
					'CLICKURL'	=>	$row['clickurl']
				));
			}
			if (($row['date_begin'] == 0) && ($row['date_end'] == 0)) { $date_d = '<b>Mindig megjelenik</b>'; $timer = ''; }
			if (($row['date_begin'] == 0) && ($row['date_end'] != 0) && ($row['date_end'] > $today)) { $date_d = '<b>'.FormatDate($row['date_end']).'-ig jelenik meg</b>'; $timer = ''; }
			if (($row['date_begin'] == 0) && ($row['date_end'] != 0) && ($row['date_end'] < $today)) { $date_d = '<b>Lejrt hirdets</b>'; $timer = '<img src="mu-sys/tpl-admin/img/icon-flag.gif" class="flag" title="Lejrt hirdets" alt="Lejrt hirdets" />';  }
			if (($row['date_begin'] > $today) && ($row['date_end'] == 0)) { $date_d = '<b>'.FormatDate($row['date_begin']).'-tl jelenik meg</b>'; $timer = '<img src="mu-sys/tpl-admin/img/icon-clock.gif" class="flag" title="Idztett hirdets" alt="Idztett hirdets" />'; }
			if (($row['date_begin'] < $today) && ($row['date_end'] == 0)) { $date_d = '<b>'.FormatDate($row['date_begin']).'-ta jelenik meg</b>'; $timer = '<img src="mu-sys/tpl-admin/img/icon-clock.gif" class="flag" title="Idztett hirdets" alt="Idztett hirdets" />'; }
			
			$template->usetpl( 'banner_list_item', array(
				'CLASS'	=>	$i,
				'ID'	=>	$id,
				'TYPE'	=>	$bnrt,
				'DATE'	=>	$date_d,
				'BOX'	=>	$box,
				'ICON'	=>	$timer,
				'CLICK'	=>	$row['count_click']
			
				
			));
		}
		
		$template->UseTpl('banner_list_end');	
		$template->AddToStack( $pgswitcher );
	}
	
	/**************************************
 	* Banner hozzadsa
 	*/
 	
	function Banners_Add ()
	{
		global $template;
		
		IncludeForm( 'banner_editor', 'add' );

	}
	
	/**************************************
 	* Banner szerkesztse
 	*/
 	
	function Banners_Edit ()
	{
		
		global $template, $db;
		
		$id = $_GET['id'];
		$db->sql_query('SELECT clickurl, bnrtype, data, date_begin, date_end FROM '.DBPREFIX.'banner WHERE id='.$id.' LIMIT 1');		
		$row = $db->sql_fetch_array();
		$row['id'] = $id;
		IncludeForm( 'banner_editor', 'edit', $row );
	}
	
	
	/**************************************
 	* Banner trlse
 	*/
 	
	function Banners_Delete ()
	{
		global $db;
		
		$id = $_GET['id'];
		
		$db->sql_query( 'DELETE FROM '.DBPREFIX.'banner WHERE id='.$id);
		
		muRedirect('admin.php?page=banners&mode=list', 'Hirdets trlve');
	}	
	
	
/**************************************
 * Belpsi pont
 **************************************/

global $template;

$mode = 'list';
if (isset($_GET['mode'])) { $mode = $_GET['mode']; }

$template->LoadPackedFile('a_banner');
LocalMenu();

switch ($mode)
{
	case 'list' :
	{
		Banners_List();
		break;
	}
	case 'add' :
	{
		Banners_Add();
		break;
	}
	case 'delete' :
	{
		Banners_Delete();
		break;
	}
	case 'edit' :
	{
		Banners_Edit();
		break;
	}	
}

?>
