<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM - MINIADMIN
 *
 ***************************************************************************
 *                             modules_post.php
 *                            -------------------
 *   kezds               : Szerda, 2004. augusztus 4
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Htf, 2006. oktber 20.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if ((!defined('MUPORTAL')) || (!defined('POSTING'))) { die('File hacking'); }

global $db, $template;


/**************************************
 * Modullista frisstse
 */
function PModules_updateModData()
{
	global $db;
	
	$db->sql_query('SELECT id, page, type, panel, position FROM '.DBPREFIX.'modules');
	
	$oldmods = Array();
	
	while ($row = $db->sql_fetch_array()) {
		$oldmods[ $row['id'] ] = $row;
	}
	
	// Modulokra bonts
	$tmp = explode( ';', $_POST['modData'] );

	foreach ($tmp as $row) {
		
		if ( $row != '' ) {
			
			$row = explode( ':', $row );
		
			// 0: id
			// 1: page
			// 2: type
			// 3: panel
			// 4: position
			
			if ( ( $oldmods[$row[0]]['page']	!= $row[1] ) ||
				 ( $oldmods[$row[0]]['type']	!= $row[2] ) ||
				 ( $oldmods[$row[0]]['panel']	!= $row[3] ) ||
				 ( $oldmods[$row[0]]['position']!= $row[4] ) ) 
			{
				$db->sql_query('UPDATE '.DBPREFIX.'modules SET 
					page = \''.$row[1].'\',
					type = \''.$row[2].'\',
					panel = \''.$row[3].'\',
					position = \''.$row[4].'\'
				WHERE id='.$row[0].' LIMIT 1');
			}
			
		}		
	}

	muRedirect('admin.php?page=modules', 'Modulbelltsok frisstve');
	die();
}


/**************************************
 * 
 */
function PModules_addModule()
{
	global $db;

	$module	= trim($_POST['n_module']);	
	$descr	= trim($_POST['n_description']);	
	$page	= trim($_POST['n_page']);	
	$type	= $_POST['n_type'];	
	$panel	= $_POST['n_panel'];	
	
	$db->sql_query('SELECT MAX(position) AS mx FROM '.DBPREFIX.'modules WHERE panel = '.$panel);
	$row = $db->sql_fetch_array();
	$position = $row['mx']+1;
	
	$db->sql_query('INSERT INTO '.DBPREFIX.'modules (position, panel, type, page, module, description) VALUES (
		'.$position.', '.$panel.', '.$type.', \''.$page.'\', \''.$module.'\', \''.$descr.'\')');
		
	muRedirect('admin.php?page=modules', 'Modul hozzadva');
	
	die();
}



/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/


$mode = (isset($_POST['mode'])) ? $_POST['mode'] : '';

switch ($mode)
{
	case 'updateModData': {
		PModules_updateModData();
		break;
	}
	
	case 'addModule': {
		PModules_addModule();
		break;
	}
}

?>
