<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM
 *
 ***************************************************************************/
 
/***************************************************************************
 *                                banner.php
 *                            -------------------
 *   kezds               : Vasrnap, 2004. augusztus 8.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Vasrnap, 2004. augusztus 8.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************/ 
 
 /***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 
 
if (!defined("MUPORTAL")) { die("File hacking"); }

function GetBanner()
{
	global $db, $mods, $template;
	
	// Ellenrizzk, hogy be van-e kapcsolva a banner
	// modul. Ha igen, generlunk egy bannert, ha nincs,
	// akkor nem generlunk.
	if ( isset( $mods->modules['m_banner'] ) )
	{
		// Aktv banner lekrdezse
		$db->sql_query( 'SELECT id, bnrtype, data FROM '.DBPREFIX.'banner 
			WHERE (date_begin = 0 OR date_begin<='.time().') AND (date_end = 0 OR date_end>='.time().')
			ORDER BY RAND()
			LIMIT 1'
		);
	
		// Ha nem kaptunk elrhet bannert
		if ($db->sql_num_rows() == 0)
		{
			return false;
		}
		else
		{
			// Banner kiolvassa
			$row = $db->sql_fetch_array();
		
			// Szmll frisstse
			$db->sql_query( 'UPDATE '.DBPREFIX.'banner SET count_show=count_show+1 WHERE id='.$row['id'].' LIMIT 1' );
			
			switch ($row['bnrtype']) {
				case 0 : {
					$template->loadfile('c_banner_img');
					$banner = $template->PrepareTpl( 'c_banner_img', array( 
						'URL' => 'index.php?load='.$mods->modules['m_banner'].'&amp;id='.$row['id'],
						'IMG' => $row['data'],
					));
					break;
				}
				case 1 : {
					$template->loadfile('c_banner_html');
					$banner = $template->PrepareTpl( 'c_banner_html', array( 
						'TEXT'	=> $row['data'],
					));
					break;
				}
				default : {
					$banner = '';
					break;
				}
			}
			
			return $banner;

		}
	} else {
		return false;
	}
}
 
?>