<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM
 *
 ***************************************************************************
 *                                common.php
 *                            -------------------
 *   kezds               : Szerda, 2004. szeptember 8.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : saxus; Sun Nov 12 14:30:35 CET 2006
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if (!defined('MUPORTAL')) { die('File hacking'); }


// ===================== BIZTONSGI ELLENRZSEK ==========================



// GLOBAL trkkk vdelme
if (isset($_REQUEST['GLOBALS']) || isset($_FILES['GLOBALS']))
{
	Die( 'GLOBAL Tricks protect' );
}

// _SESSION levdse.
if (isset($_SESSION) && !is_array($_SESSION)) {
	Die( '$_SESSION Hack protect' );
}

// register_global deaktivlsa
if (@ini_get('register_globals') == '1' || strtolower(@ini_get('register_globals')) == 'on')
{
	// Vltozk, melyeket nem hasznlunk
    $noUnset = array('GLOBALS','_GET','_POST','_COOKIE','_REQUEST',
    	'_SERVER','_ENV','_FILES');

	$input = array_merge($_GET, $_POST, $_COOKIE, $_SERVER, $_ENV, $_FILES,
		(isset($_SESSION) && is_array($_SESSION)) ? $_SESSION : array());

	foreach ($input as $k => $v) {
		if (!in_array($k, $noUnset) && isset($GLOBALS[$k])) {
			unset($GLOBALS[$k]);
		}
	}
}


// Generlsi id kezdetnek eltrolsa

$mtime = microtime();
$mtime = explode(' ',$mtime);
$start_time = $mtime[1] + $mtime[0];

// Fjlok betltse

global $METHOD;

$METHOD = (isset($_SERVER['REQUEST_METHOD'])) ? $_SERVER['REQUEST_METHOD'] : 'GET';

global $conf;

require_once('config.php');

require('mu-sys/includes/version.php');

if (!defined('MUPORTAL_INSTALLED')) {
	Header('Location: install.php');
	Die();
}

require('mu-sys/includes/sql-'.SQLHANDLER.'.php');
require('mu-sys/includes/functions.php');
require('mu-sys/includes/templates.php');
require('mu-sys/includes/modules.php');
require('mu-sys/includes/sessions.php');
require('mu-sys/includes/users.php');

/********************************
 * Osztlyok ltrehozsa
 */

// SQL reget
global $cfg;

if (!isset($cfg)) {
	Msg_Die( CRITICAL, 'Hinyz adatbzisadatok!');
}

$db = new sql_db( $cfg );
unset( $cfg );

/********************************
 * Belltsok betltse
 */

$db->sql_query('SELECT * FROM '.DBPREFIX.'config');

while ( $row = $db->sql_fetch_array()) {
	$conf[ $row['name'] ] = $row['value'];
}

// Erltetett hibakeres md
if (defined('DEBUG') && (DEBUG == true)) {
	$conf['debug'] = 1;
	error_reporting( E_ALL );
}


$template = new template();


$template->_replaces = array (
	'D_LANG' 	 => 'mu-sys/language/'.$conf['lang_default'].'/',
	'D_IMAGES' 	 => 'mu-sys/'.$conf['system_theme'].'/images/',
	'D_TEMPLATE' => 'mu-sys/'.$conf['system_theme'].'/'
);

/********************************
 * Vendg IP cmnek lekrdezse
 *
 * Eredeti kd a phpBB-bl szrmazik
 * (C) 2001 The phpBB Group
 * www.phpbb.com
 */

$ip = FALSE;

if (!empty($_SERVER["HTTP_CLIENT_IP"])) { $ip = $_SERVER["HTTP_CLIENT_IP"]; }

	if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) { $ips = explode (", ", $_SERVER['HTTP_X_FORWARDED_FOR']);

		if ($ip) { array_unshift($ips, $ip); $ip = FALSE; }

			for ($i = 0; $i < count($ips); $i++) {
				if (!eregi ("^(10|172\.16|192\.168)\.", $ips[$i])) {
					if (version_compare(phpversion(), "5.0.0", ">=")) {

							if (ip2long($ips[$i]) != false) {
								$ip = $ips[$i];
								break; }

						} else {

							if (ip2long($ips[$i]) != -1) {
								$ip = $ips[$i];
								break; }
						}
				}
		}
}

define( 'USER_IP', ($ip ? $ip : $_SERVER['REMOTE_ADDR']) );


/********************************
 * Nyelvi fjl betltse
 */

include('mu-sys/language/'.$conf['lang_default'].'/language.php');


/********************************
 * Session kezelse
 */

$started = muSession_Init();

/******************************
 * Felhasznl-kezel
 */

$user = new user();

/********************************
 * Statisztika frisstse
 */

if (!$started)
{
	if ($conf['enable_stat'] == 1) {

		$today = date('Ymd');

		$db->sql_query( 'UPDATE '.DBPREFIX.'stat SET visitors=visitors+1 WHERE tdate='.$today.' LIMIT 1' );

		if ( $db->sql_affected_rows() == 0)
		{
			$db->sql_query( 'INSERT INTO '.DBPREFIX.'stat ( tdate, visitors ) VALUES ( \''.$today.'\', 1 )' );
		}
	}
}


if ($conf['gzip_enable'] == 1) {

	if (extension_loaded('zlib') && (!headers_sent()) && (strstr( $_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip' ))) {

		ob_start('ob_gzhandler');

		define('GZIP_STARTED', true);



		// Definiljuk a lezr funcit
		function GZIP_DONE()
		{
				ob_end_flush ();
		}
	}
}

// nem aktivlt felhasznlk trlse 1 rnknt



if ($conf['users_last_cleared'] < (time() - 3600)) {

	$db->sql_query('DELETE FROM '.DBPREFIX.'users
		WHERE permissions = '.USR_UNACTIVATED.' AND regdate < '.(time() - 86400) );

	$db->sql_query('UPDATE '.DBPREFIX.'config SET value='.time().'
		WHERE name=\'users_last_cleared\' LIMIT 1');
}

// Tovbbi osztlyok
$mods = new mods();
$smilies = new smilies();

// RSS

if (($conf['rss_enable'] == 1) && (trim($conf['rss_default']) != '')) {
	$template->AddRSSFeed($lang['rss_default'], $conf['rss_default']);
}

// patchelsek

if (version_compare($conf['dbversion'], '0.3.5', '<')) {
	$conf['dbversion'] = '0.3.5';
	$conf['date_timezone'] = '0';
	$db->sql_query('INSERT IGNORE INTO '.DBPREFIX.'config (name, value) VALUES (\'date_timezone\', \'0\')');
	$db->sql_query('UPDATE '.DBPREFIX.'config SET value=\'0.3.5\' WHERE name=\'dbversion\' LIMIT 1');
}

if (version_compare($conf['dbversion'], '0.3.6', '<')) {
	$conf['dbversion'] = '0.3.6';
	$conf['date_timezone'] = '0';
	$db->sql_query('INSERT IGNORE INTO '.DBPREFIX.'config (name, value) VALUES (\'url_allow_auto\', \'1\')');
	$db->sql_query('INSERT IGNORE INTO '.DBPREFIX.'config (name, value) VALUES (\'url_allow_auto_user\', \'0\')');
	$db->sql_query('INSERT IGNORE INTO '.DBPREFIX.'config (name, value) VALUES (\'url_allow_auto_sign\', \'0\')');
	$db->sql_query('UPDATE '.DBPREFIX.'config SET value=\'0.3.6\' WHERE name=\'dbversion\' LIMIT 1');
}

?>