<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : m_forun_ajax.php
 * Kezds               : Kedd, 2006. szeptember 12.
 * Utoljra mdostva   : saxus; 2007. februr 12.
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

function ModTools_EditCommentForm() {

	global $template, $db, $lang, $__page__, $user;

	$mid = $_GET['mid'];
	if (!is_numeric($mid)) { Die('SQL Hack!'); }
	
	$nid = $_GET['nid'];
	if (!is_numeric($nid)) { Die('SQL Hack!'); }

	$db->sql_query('SELECT author, email, userid, postdate AS `date`, ip, text FROM '.DBPREFIX.'forum_messages
		WHERE id='.$mid.' AND tid='.$nid.' LIMIT 1');
	
	$row = $db->sql_fetch_array();
	
	if ((!isset($row['userid'])) || ($row['userid'] < 1))
	{
		$unreg = $template->PrepareTpl( 'm_news_modtools_unreg', array(
			'L_NAME' 	=> $lang['name'],
			'L_EMAIL' 	=> $lang['email'],

			'USR_NAME'	=> htmlspecialchars($row['author']),
			'USR_EMAIL' => htmlspecialchars($row['email']),
			
			'ID'		=> $_GET['mid'],
		));
	} else {
		$unreg = '';	
	}	
	
	$template->UseTpl('m_news_modtools_editor', array(
		'L_MODNAME' => str_replace( 
			array( '!name', '!date' ),
			array( $user->userdata['name'], FormatDate() ),
			$lang['mod_cmt_modname']
		),
		'L_MESSAGE' => $lang['message'],
		'L_DATE'	=> $lang['date'],
		'L_IP'		=> $lang['ipaddr'],
		'L_SUBMIT'	=> $lang['apply'],
		'L_DEL_CONFIRM' => $lang['delete_confirm'],
		'L_DELETE'	=> $lang['delete'],
		'U_DELETE'	=> 'index.php?page='.$__page__.'&amp;mode=delete&amp;id='.$_GET['nid'].'&amp;mid='.$_GET['mid'],

		'ID'		=> $_GET['mid'],
		'IP'		=> $row['ip'],
		'DATE'		=> FormatDate( $row['date'] ),
		
		'UNREG'		=> $unreg,
			
		'TITLE'		=> sprintf( $lang['mod_cmt_edittitle'], $_GET['no'], $_GET['mid'] ),
		'MESSAGE'	=> htmlspecialchars($row['text'])
	));

}


/**************************************
 * 
 */
function ModTools_DeleteCmt()
{
	global $template, $lang;
	
	require('mu-sys/modules/m_forum_func.php');
	
	$mid = $_GET['mid'];
	if (!is_numeric($mid)) { Die('SQL Hack!'); }
	$cid = $_GET['nid'];
	if (!is_numeric($cid)) { Die('SQL Hack!'); }

	if (mForum_ModTools_DeleteCmt($cid, $mid)) {
		$template->UseTpl('m_news_modtools_delete', array(
			'DELETED'	=> $lang['mod_cmt_deleted']
		));
	} else {
		$template->UseTpl('m_news_modtools_delete', array(
			'DELETED'	=> $lang['err_unknown']
		));
	}
}

/**************************************
 * Tma szerkesztse
 */
function ModTools_EditTopic()
{
	global $db, $template, $lang;
	
	$tid = $_GET['tid'];
	if (!is_numeric($tid)) { Die('SQL Hack!'); }
	
	$db->sql_query('SELECT mode, title, own_author, own_userid, ip, createdate 
		FROM '.DBPREFIX.'forum_topics WHERE id='.$tid.' LIMIT 1');
	
	$row = $db->sql_fetch_array();
	
	$template->UseTpl('forum_editor', array(
		'L_APPLY'	=> $lang['apply'],
		'L_DEL'		=> $lang['delete'],
		'L_CANCEL'	=> $lang['cancel'],
		
		'L_TITLE'		=> $lang['fo_topictitle'],
		'L_TYPE'		=> $lang['mod_fo_type'],
		'L_HIGHLIGTED'	=> $lang['mod_fo_hl'],
		'L_NORMAL'		=> $lang['mod_fo_normal'],
	
		'TID'	=> $tid,
		'TITLE'	=> htmlspecialchars($row['title']),
		'SHLT'	=> ($row['mode'] > 1) ? 'checked="checked"' : '',
		'SHLF'	=> ($row['mode'] < 2) ? 'checked="checked"' : '',
		
		'L_LOCK'	=> $lang['mod_fo_lock'],
		'L_LOCK_D'	=> $lang['mod_fo_lock_d'],
		'CB_LOCK'	=> (($row['mode'] == 1) || ($row['mode'] == 3)) ? 'checked="checked' : '',
		
	));
}

/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/

global $template, $user, $METHOD;

if (!$user->logined) {
	Msg_Die( CRITICAL, 'Nem vagy bejelentkezve!' );
}

if ($METHOD == 'POST') {
	
	switch ($_POST['m']) {
		case 'updateTopic' : {
			$template->LoadPackedFile('m_forum_modtools');
			$template->AddToStack('modarea|');
			PModTools_UpdateTopic();
			break;
		}
	}
	
} else {

	switch ($_GET['m']) {
		case 'editFrm' : {		
			if ((!isset($_GET['nid'])) || (!isset($_GET['mid']))) {
				Msg_Die( CRITICAL, 'rvnytelen krs' );
			}
			
			$template->LoadPackedFile('m_news_modtools');
			$template->AddToStack('cmt'.$_GET['mid'].'|');
			ModTools_EditCommentForm();
			break;
		}
		
		case 'deleteCmt' : {
			if ((!isset($_GET['nid'])) || (!isset($_GET['mid']))) {
				Msg_Die( CRITICAL, 'rvnytelen krs' );
			}
			
			$template->LoadPackedFile('m_news_modtools');
			$template->AddToStack('cmt'.$_GET['mid'].'|');
			ModTools_DeleteCmt();
			break;
		}
		
		case 'editTopic' : {
			if (!isset($_GET['tid'])) {
				Msg_Die( CRITICAL, 'rvnytelen krs' );
			}
			
			$template->LoadPackedFile('m_forum_modtools');
			$template->AddToStack('modarea|');
			ModTools_EditTopic();
			break;
		}
	}
}

?>