<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : m_forum_post.php
 * Kezds               : Szombat, 2006. augusztus 5.
 * Utoljra mdostva   : saxus; Htf, 2007. feb. 15 9:09
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/

if (!defined('MU_POSTING')) { die('File hacking'); }

/**************************************
 *
 */
function PForum_NewComment()
{
	global $get, $mods, $lang, $user, $db, $extra_meta, $conf;

	if (($conf['m_forum_regmode'] == 1) && (!$user->logined))
	{
	    global $get;

	    $get['page'] = $mods->modules['m_forum'];
	    $get['mode'] = 'msg';
	    $get['msg']  = $lang['news_cmt_onlyreg'];
	    $get['id'] = $_POST['id'];

	    global $extra_meta;
	    $extra_meta .= '<meta http-equiv="refresh" content="30;URL=index.php?page='.$mods->modules['m_forum'].'&amp;id='.$_POST['id'].'">';
	    return false;
	}

	$id = $_POST['id'];

	if (($id != -1) && (!LiveID('forum_topics', $id )))
	{
	    global $get;
	    $get['page'] = $mods->modules['m_forum'];
	    $get['mode'] = 'msg';
	    $get['msg'] = 'fo_topicnotfound';
	    return false;
	}

	$unauthorized = false;
	$message = trim($_POST['msg_message']);

	if (trim($message) == '') {
		$unauthorized = true;
		$get['error'] = 'blank';
	}
	else
	{

		if (!$user->logined)
		{
			$name 	 = trim($_POST['msg_name']);
			$email 	 = trim($_POST['msg_email']);
			$userid  = 'NULL';

			$db->sql_query('SELECT id FROM '.DBPREFIX.'users WHERE name=\''.$name.'\' LIMIT 1' );

			$get['error'] = 'reg';

			if ( $db->sql_num_rows() != 0 ) { $unauthorized = true; }
		}
		else
		{
			$name	= '';
			$email	= '';
			$userid = $user->userid;
		}
	}

	if (($id == -1) && isset($_POST['msg_title'])) {

		$get['mode'] = 'error_topic';

		if (trim($_POST['msg_title']) == '') {
			$get['page'] = $mods->modules['m_forum'];
			$get['id'] = $id;
			$get['error'] = 'ttitle';
			$get['mode'] = 'error_topic';
			$unauthorized = true;
			return false;
		}
	} else {
		$get['mode'] = 'error_comment';
	}

	// Ha minden rendben s van jogosultsga ltrehozni a tmt
	if (!$unauthorized)
	{
		// Ha nem adtak meg nevet, akkor cserljk NULL-ra, ha
		// igen, akkor eltroljuk cookie-ban is.
		if ( $name == '' )
		{
			$name = 'NULL';
		} else {
			muSetCookie( 'u_name', $name,  2592000 );
			$name = '\''.$name.'\'';
		}

		// Ha nem adtak meg e-mail cmet, akkor cserljk NULL-ra, ha
		// igen, akkor eltroljuk cookie-ban is.
		if ( $email == '' )
		{
			$email = 'NULL';
		} else {
			muSetCookie( 'u_email', $email,  2592000 );
			$email = '\''.$email.'\'';
		}

		// Ha most kell ltrehozni a tmt
		if (($id == -1) && isset($_POST['msg_title'])) {

			$id = PForum_CreateTopic( $name, $userid );

			if ($id === false) {
				return false;
			}
		}

		// Hozzszls trolsa
		$db->sql_query( 'INSERT INTO '.DBPREFIX.'forum_messages ( tid, author, email, userid, postdate, ip, text )
			VALUES (\''.$id.'\', '.$name.', '.$email.', '.$userid.' , '.time().', \''.USER_IP.'\', \''.$message.'\')' );

		// Tmainf frisstse
		$mid = $db->sql_insert_id();
		$db->sql_query( 'UPDATE '.DBPREFIX.'forum_topics SET lastmid = '.$mid.' WHERE id = '.$id.' LIMIT 1');

		// Hsz-szm frisstse
		if ($user->logined) {
			$user->SetData( 'news_comments', $user->userdata['news_comments']+1 );
		}

		muRedirect( 'index.php?page='.$mods->modules['m_forum'].'&tid='.$id, $lang['cmt_recorded'] );
		return true;
	}

	// Hibakezels
	global $extra_meta;

	//$extra_meta .= '<meta http-equiv="refresh" content="10;URL=index.php?page='.$mods->modules['m_forum'].'&amp;tid='.$id.'">';

	// Ha nem jogosult hozzszls rsra
	$get['page'] = $mods->modules['m_forum'];
	$get['tid'] = $id;


	return true;
}

/**************************************
 *
 */
function PForum_CreateTopic( $name, $userid )
{
	global $db, $conf, $get, $mods, $user, $lang;

	$get['page'] = $mods->modules['m_forum'];

	// Ellenrizzk, van-e joga j tmt ltrehozni a felhasznlnak
	if (($conf['m_forum_topicmode'] == 1) && (!$user->logined))
	{
		$get['mode'] = 'msg';
		$get['msg']  = $lang['fo_nt_onlyreg'];
		$get['id']	 = $_POST['id'];

		return false;
	}

	if ($conf['m_forum_topicmode'] == 2)
	{
		$get['mode'] = 'msg';
		$get['msg']  = $lang['fo_nt_disabled'];
		$get['id']	 = $_POST['id'];

		return false;
	}

	$title = trim($_POST['msg_title']);

	$db->sql_query('INSERT INTO '.DBPREFIX.'forum_topics (mode, title, own_author, own_userid, ip, createdate, lastmid)
		VALUES
	(0, \''.$title.'\', '.$name.', '.$userid.', \''.USER_IP.'\', '.time().', 0)');

	return $db->sql_insert_id();
}

/**************************************
 *
 */
function PForum_ModerateComments ()
{
	global $get, $db, $lang, $mods, $user;

	$topic_id = $_POST['id'];

	if ((!$user->logined) || ($user->permissions != USR_ADMIN)) {
		$get['page'] = $mods->modules['m_forum'];
		$get['tid'] = $topic_id;

		return false;
	}

	$count = 0;

	foreach ( $_POST['cmt'] as $cid => $cnt ) {

		$msg = $cnt['msg_message'];

		if (isset($cnt['modname'])) {
			$msg .= "\n\n".'----------------'."\n".
				sprintf('[MODAT::%s::%s]', $user->userdata['name'], time());
			// str_replace(
			// 	array( '!name', '!date' ),
			// 	array( $user->userdata['name'], strtolower( FormatDate() ) ),
			// 	$lang['cmt_moderated']
			// );
		}

		$sql = 'text = \''.$msg.'\' ';

		if (isset($cnt['msg_name'])) {
			$sql .= ', author = \''.$cnt['msg_name'].'\' ';
		}

		if (isset($cnt['msg_email'])) {
			$sql .= ', email = \''.$cnt['msg_email'].'\' ';
		}

		$db->sql_query('UPDATE '.DBPREFIX.'forum_messages SET '.$sql.' WHERE id='.$cid.' AND tid='.$topic_id.' LIMIT 1');

		$count++;
	}

	muRedirect( 'index.php?page='.$mods->modules['m_forum'].'&tid='.$topic_id,
		sprintf( $lang['mod_cmt_modified'], $count ) );

	return true;
}

function PModTools_UpdateTopic()
{
	global $db, $lang, $mods, $user, $get;

	if ((!$user->logined) || ($user->permissions != USR_ADMIN)) {
		$get['page'] = $mods->modules['m_forum'];
	}

	$mode	= $_POST['highlight'];
	if (isset($_POST['locktopic'])) {
		$mode++;
	}
	$title	= $_POST['title'];
	$tid	= $_POST['tid'];

	$db->sql_query('UPDATE '.DBPREFIX.'forum_topics
		SET title = \''.$title.'\', mode = '.$mode.'
		WHERE id = '.$tid.'
		LIMIT 1');

	muRedirect( 'index.php?page='.$mods->modules['m_forum'], $lang['mod_fo_modified'] );
}

/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/

global $lang, $db, $user, $get, $conf, $mods, $lang;

$mode = $_POST['mode'];

switch ($mode)
{
	case 'comment' :
	{
		PForum_NewComment();
		break;
	}
	case 'moderate' : {
		PForum_ModerateComments();
		break;
	}
	case 'updateTopic' : {
		PModTools_UpdateTopic();
		break;
	}

}

?>
