<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM
 *
 * USER MODUL (POST MODE)
 *
 ***************************************************************************
 *                             m_user_post.php
 *                            -------------------
 *   kezds               : Htf, 2004. jlius 26.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Vasrnap, 2006. november 12.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if (!defined('MU_POSTING')) { die('File hacking'); }

if (!defined('LOADED_M_USER_POST')) {

/***************************
 * Bejelentkezs lefolytatsa
 */
function UserP_Login ()
{
	global $lang, $get, $mods, $user;

	$username = trim( $_POST['username'] );
	$userpasw = trim( $_POST['userpasw'] );

	$result = $user->LoginUser( $username, $userpasw );

	if ($result == LOGIN_OK) {
		$get = Decode_Forwarder( $_POST['forwarder']);
		if ($get['page'] == $mods->modules['m_user']) {
			$get['mode'] = '#msg#';
			$get['_text'] = $lang['pl_login_done'];
			$get['_title'] = $lang['pl_intitle'];
		}
	} else {
		//$extra_meta .= '<meta http-equiv="refresh" content="10;URL=index.php?'.$_POST['forwarder'].'">';
		$get['page'] = $mods->modules['m_user'];
		$get['mode'] = '#pwerror#';
		$get['code'] = $result;
	}
}

/***************************
 * Jelsz mdostsa
 */
function UserP_ChangePW()
{
	global $get, $mods, $lang, $user, $conf;

	if (!$user->logined)
	{
		$get['page'] = $mods->modules['m_user'];
		$get['mode'] = '#msg#';
		$get['_text'] = $lang['pl_onlyreg'];
	}
	else
	{
		//$db->sql_query( 'SELECT pasw FROM '.DBPREFIX.'users WHERE id='.$user->id );
		//$row = $db->sql_fetch_array();

		$get['page'] = $mods->modules['m_user'];
		$get['mode'] = 'profile';
		$get['sub'] = 'pasw';

		if ($user->userdata['pasw'] != md5($_POST['pw_old']) )
		{
			$get['_warn'] = $lang['pl_err_oldpw'];
		}
		elseif ( $_POST['pw_new1'] != $_POST['pw_new2'] )
		{
			$get['_warn'] = $lang['pl_js_newpwdif'];
		}
		elseif ( strlen( $_POST['pw_new1'] ) < $conf['user_paswminlg'] )
		{
			$get['_warn'] = $lang['pl_js_toshort'];
		}
		else
		{
			$get['_text'] = $lang['pl_chpw_done'];
			$get['_title'] = $lang['pl_changepw'];
			$get['sub'] = '#msg#';
			$user->SetData( 'pasw', md5( $_POST['pw_new1'] ) );
		}
	}
}

/***************************
 * Regisztrls lefolytatsa
 */
function UserP_Registration()
{
	global $db, $get, $conf, $mods, $lang;

	// Elszr ellenrizzk, hogy lehet-e regisztrlni
	if ( $conf['user_enablereg'] != 1)
	{
		$get['page'] = $mods->modules['m_user'];
		$get['mode'] = 'registration';
	}
	else
	{
		$err = false;

		$nick = (isset($_POST['nu_nick'])) ? trim( $_POST['nu_nick'] ) : '';
		$email1 = (isset($_POST['nu_email1'])) ? trim( $_POST['nu_email1'] ) : '';
		$email2 = (isset($_POST['nu_email2'])) ? trim( $_POST['nu_email2'] ) : '';
		$pasw1 = (isset($_POST['nu_pw1'])) ? $_POST['nu_pw1'] : '';
		$pasw2 = (isset($_POST['nu_pw2'])) ? $_POST['nu_pw2'] : '';

		// Ellenrizzk, hogy regisztrlt-e mr a nicknv
		$db->sql_query( 'SELECT id FROM '.DBPREFIX.'users WHERE LOWER(name)=LOWER(\''.$nick.'\') LIMIT 1' );

		if ($db->sql_num_rows() != 0)
		{
			$get['page'] = $mods->modules['m_user'];
			$get['mode'] = 'registration';
			$get['err_usr'] = true;
			$get['nu_name'] = $nick;
			$get['nu_email'] = $email1;
			$get['err_text'] = $lang['pl_alreadreged'];

			$err = true;
		}

		// Ellenrizzk, hogy hasznljk-e mr ezt az e-mail cmet


		if (($email1 == '') || ($email2 == '')) {
			$get['page'] = $mods->modules['m_user'];
			$get['mode'] = 'registration';
			$get['err_usr'] = true;
			$get['nu_name'] = $nick;
			$get['nu_email'] = $email1;

			$err = true;
		}

		$db->sql_query( 'SELECT COUNT(*) AS count FROM '.DBPREFIX.'users WHERE LOWER(email)=LOWER(\''.$email1.'\') LIMIT 1' );
		$row = $db->sql_fetch_array();
		if ($row['count'] > 0)
		{
			$get['page'] = $mods->modules['m_user'];
			$get['mode'] = 'registration';
			$get['err_email'] = true;
			$get['nu_name'] = $nick;
			$get['nu_email'] = $email1;
			$get['err_text'] = $lang['pl_email_used'];

			$err = true;
		}

		// Ellenrizzk, hogy egyeznek-e

		if ($email1 != $email2) {
			$get['page'] = $mods->modules['m_user'];
			$get['mode'] = 'registration';
			$get['err_email'] = true;
			$get['nu_name'] = $nick;
			$get['nu_email1'] = $email1;
			$get['err_text'] = $lang['pl_email_dublicated'];

			$err = true;
		}

		$email1 = strtolower($email1);

		if (!is_email($email1)) {
			$get['page'] = $mods->modules['m_user'];
			$get['mode'] = 'registration';
			$get['err_email'] = true;
			$get['nu_name'] = $nick;
			$get['nu_email1'] = $email1;
			$get['err_text'] = $lang['pl_email_notmailaddr'];
		}


		if (isset($_POST['nu_pw1'])) {
			if ($pasw1 != $pasw2) {
				$get['page'] = $mods->modules['m_user'];
				$get['mode'] = 'registration';
				$get['err_email'] = true;
				$get['nu_name'] = $nick;
				$get['nu_email'] = $email1;
				$get['err_text'] = $lang['pl_reg_errorpasw'];

				$err = true;
			}
		}

		// Ha nem volt hiba, akkor elmentjk az adatbzisba a tagot
		if (!$err)
		{
			switch ($conf['user_regmethod']) {

				// Nincs E-Mailes aktivls
				case 0 : {

					$file = false;
					$perms = USR_USER;
					break;
				}

				// Csak figyelmeztets
				case 1 : {
					$file = 'mu-sys/language/'.$conf['lang_default'].'/email_usrreg_notifier.txt';
					$url = '';
					$perms = USR_USER;
					$pasw1 = getRandStr();
					break;
				}

				// Van aktivls
				case 2 : {
					$url = $conf['site_url'];

					if (substr($url, -1, 1) != '/') { $url .= '/'; }

					$file = 'mu-sys/language/'.$conf['lang_default'].'/email_usrreg_activator.txt';
					$perms = USR_UNACTIVATED;
					$pasw1 = getRandStr();
					break;
				}
			}

			$db->sql_query( 'INSERT INTO '.DBPREFIX.'users (
				name, email, email_public,
				pasw, regip, regdate,
				lastip, lastdate, permissions,
				user_sig, news_comments
			) VALUES (
				\''.$nick.'\',
				\''.$email1.'\',
				0,
				\''.md5($pasw1).'\',
				\''.USER_IP.'\',
				'.time().',
				\''.USER_IP.'\',
				'.time().',
				'.$perms.',
				NULL,
				0
			)' );
			$get['page'] = $mods->modules['m_user'];
			$get['mode'] = 'registrarion_done';
			$get['methodtext'] = $conf['user_regmethod'];

			$id = $db->sql_insert_id();
			if ($conf['user_regmethod'] == 2) {
				$url .= 'index.php?page='.$mods->modules['m_user'].'&mode=activation&uid='.$id.'&sid='.md5($id.$conf['security_key']);
			}
			// Ha kell E-Mailt kldeni
			if ($file !== false) {
					$message =  @fread( @fopen($file, 'r') , @filesize($file) );

					$mail = SetupMailer();

					$mail->AddAddress( $email1, $nick );
					$mail->Subject = sprintf($lang['pl_reg_email_notification'], $conf['page_title']);
					$mail->Body = str_replace(
						array(
							'{TITLE}',
							'{USERNAME}',
							'{PASSWORD}',
							'{ADDR}',
							'{URL}'
						),
						array(
							$conf['page_title'],
							$nick,
							$pasw1,
							$conf['site_url'],
							$url
						),

						$message
					);

				if (!$mail->Send()) {
					Msg_Die( CRITICAL, $lang['mail_cantsend'] );
				}
			}
		}
	}
}

/***************************
 * Adatmdostsok eltrolsa
 */
function UserP_ChangeProfile()
{
	global $db, $conf, $user, $get, $mods, $lang;

	$get['page'] = $mods->modules['m_user'];
	$get['mode'] = 'profile';
	$get['sub'] = '#msg#';
	$get['_title'] = $lang['pl_modify'];

	// Ellenrizzk, hogy meg van-e adva az E-Mail cm
	if (strlen($_POST['u']['email']) < 5)
	{
		$get['_text'] = $lang['sn_js_reqemail'];
	}
	// Megnzzk, hogy nem tl hossz-e az alrs
	elseif ( ($conf['user_signmaxlg'] > 0) and ( strlen($_POST['u']['user_sig']) > $conf['user_signmaxlg'] ) )
	{
		$get['_text'] = str_replace('\n', '<br>', sprintf( $lang['pl_signtoolong'], $conf['user_signmaxlg'], strlen( $_POST['u']['user_sig'])));
	}
	// Ha minden ok, akkor eltroljuk
	else
	{
		$userd = &$_POST['u'];
		foreach ($userd as $k => $v)
		{
			$user->SetData($k, $v);
		}

		// Szveg belltsa
		$get['_text'] = $lang['pl_modify_done'];
	}
}


/**************************************
 * Elfelejtett jelsz elkldse
 */
function UserP_ForgotPW()
{
	global $db, $get, $lang, $mods, $conf;

	$get['page'] = $mods->modules['m_user'];

	$email = $_POST['email_addr'];

	$db->sql_query('SELECT id, name, permissions FROM '.DBPREFIX.'users WHERE email = \''.$email.'\' LIMIT 1');

	if ($db->sql_num_rows() == 0) {
		$get['mode'] = 'forgotpw';
		$get['#EMAIL_ADDR'] = $email;
		$get['#WARN'] = sprintf($lang['pl_fp_noma'], $email );

		return false;
	}

	$row = $db->sql_fetch_array();

	$file = 'mu-sys/language/'.$conf['lang_default'].'/email_forgot_pasw.txt';
	$message =  @fread( @fopen($file, 'r') , @filesize($file) );

	// Megfelel levlforma elksztse.
	//
	// Ha nem kell aktivlni a felhasznlt, akkor eltvoltjuk a
	// <!--ACTIVATED>....<ACTIVATED--!> rszt a levlbl.
	//
	if ($row['permissions'] == USR_UNACTIVATED) {
		$message = str_replace(
			array('<!--ACTIVATED>', '<ACTIVATED--!>', '{URL}'),
			array('', '',
				$conf['site_url'].'index.php?page='.$mods->modules['m_user'].'&mode=activation&uid='.$row['id'].'&sid='.md5($row['id'].$conf['security_key'])
			), $message
		);
	} else {
		$message = preg_replace(
			"'<!--ACTIVATED>.*<ACTIVATED--!>'si",
			'',
			$message
		);
	}

	// j jelsz generlsa s mentse

	$pasw = getRandStr();
	$db->sql_query('UPDATE '.DBPREFIX.'users SET pasw=\''.md5($pasw).'\' WHERE id='.$row['id'].' LIMIT 1');

	$mail = SetupMailer();

	$mail->AddAddress( $email, $row['name'] );
	$mail->Subject = sprintf($lang['pl_reg_email_notification'], $conf['page_title']);
	$mail->Body = str_replace(
		array(
			'{TITLE}',
			'{USERNAME}',
			'{PASSWORD}',
			'{ADDR}',
		),
		array(
			$conf['page_title'],
			$row['name'],
			$pasw,
			$conf['site_url'],
		),
		$message
	);

	if (!$mail->Send()) {
		Msg_Die( CRITICAL, $lang['mail_cantsend'] );
	}

	$get['mode'] = '';
	$get['page'] = $mods->modules['m_user'];
	$get['mode'] = 'forgotpw_done';

	return true;
}

define('LOADED_M_USER_POST', true);
}

$mode = $_POST['mode'];

switch ($mode)
{
	case 'login' :
	{
	    UserP_Login();
		break;
	}

	case 'registration' :
	{
		UserP_Registration();
		break;
	}
	case 'changepw' :
	{
		UserP_ChangePW();
		break;
	}
	case 'forgotpw' :
	{
		UserP_ForgotPW();
		break;
	}
	case 'chprofile' :
	{
		UserP_ChangeProfile();
		break;
	}
}


?>
