<?php
/***************************************************************************
 *
 * muPortal tartalomkezel rendszer
 * 
 ***************************************************************************
 *                                p_menus.php
 *                            -------------------
 *   kezds               : Szerda, 2004. jlius 14.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Pntek, 2006. oktber 20. 
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 
 
if (!defined('MU_MODULES')) { die('File hacking'); }

global $template, $lang, $mods, $__modid__, $db, $user;

$db->sql_query('SELECT description FROM '.DBPREFIX.'modules WHERE id='.$__modid__.' LIMIT 1');
$row = $db->sql_fetch_array();

// Ha nincs elem a menben
if ($db->sql_num_rows() == 0)
{
	$template->Border_Begin( array ( 'TITLE' => $lang['menu_missing_t'] ));
	
	$template->UseTpl('panel-blank', array('TEXT' => $lang['menu_missing']));
}
else
{
	$template->Border_Begin( array ( 'TITLE' => $row['description'] ));
	
	$template->UseTpl('menu-begin');
	
	// Eldntjk, hogy melyik menelemekek kellenek
	if ($user->logined)
	{
		$sql = '(regmode = 2)';
		if ($user->permissions != 0) { $sql .= ' OR ( regmode = 3 )'; }
	} else {
		$sql = '(regmode = 1)';
	}
	
	// Elemek lekrdezse
	$db->sql_query('SELECT title, url FROM '.DBPREFIX.'menus_items 
		WHERE (modid='.$__modid__.') AND ((regmode = 0) OR '.$sql.') 
		ORDER BY position ASC');
	
	if ($db->sql_num_rows() == 0)
	{
		$template->UseTpl('panel-blank', array('TEXT' => $lang['menu_missing_items']));
	} 
	else 
	{
		// Elemek listzsa
		while ($row = $db->sql_fetch_array()) {
			
			// Ha csak elvlaszt kell
			if ($row['title'] == '-') {
				$template->UseTpl('menudivider');
			}
			else
			{	
				$url = $row['url'];

				$template->UseTpl( 'menuitem', array(
					'L_TEXT' => htmlspecialchars($row['title']),
					'URL' => htmlspecialchars($url),
				));		
			}
		}
	}
	
	$template->UseTpl('menu-end');
}

$template->Border_End();
 
?>