<?php
/***************************************************************************
 *
 * muPORTAL CONTENT MANAGEMENT SYSTEM
 *
 ***************************************************************************
 *                                p_user.php
 *                            -------------------
 *   kezds               : Htf, 2004. jlius 26.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Pntek, 2006. oktber 20. 
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 
 
if (!defined('MU_MODULES')) { die('File hacking'); }

global $db, $template, $lang, $user, $mods, $conf;

if ( $user->logined ) 
{
	/*********************************
	 * Ha definilva van, hogy vki
	 * bejelenetkezett
	 */
	
	$template->LoadPackedFile( 'p_user_logined' );
	
	$template->Border_Begin( array( 'TITLE' => $lang['pl_outtitle'] ));
	$template->usetpl( 'p_user_logined', array(
		'L_WELCOME' => sprintf($lang['pl_welcome'], htmlspecialchars($user->userdata['name'])),
		'L_LOGOUT' 	=> $lang['pl_logout'],
		'L_MODIFY' 	=> $lang['pl_modify'],
		'ADMIN'     => ($user->permissions != USR_ADMIN) ? '' : $template->PrepareTpl('p_user_logined_a', array( 'L_ADMIN' => $lang['admin'] ) ),
		'URL_LOGOUT'=> 'index.php?load='.$mods->modules['m_user'].'&amp;mode=logout&amp;redirect='.htmlentities( urlencode( Encode_Forwarder() ) ),
		'URL_MODIFY'=> 'index.php?page='.$mods->modules['m_user'].'&amp;mode=profile'
	));
}
else
{
	/*********************************
	 * Ha nincs definilva, hogy
	 * bejelentkezett
	 */
	$template->loadfile('p_user_login');

	$template->Border_Begin( array( 'TITLE' => $lang['pl_intitle'] ));
	$template->usetpl( 'p_user_login', array(
		'FORWARDER'	=> htmlspecialchars(Encode_Forwarder()),
		'U_REGISTER'=> 'index.php?page='.$mods->modules['m_user'].'&amp;mode=registration',
		'U_FORGOTPW'=> 'index.php?page='.$mods->modules['m_user'].'&amp;mode=forgotpw',
		
		'L_AUTOMATIC'=> $lang['automatic'],
		'L_NAME'	=> $lang['name'],
		'L_PASSWORD'=> $lang['password'],
		'L_LOGIN'	=> $lang['login'],
		'L_REGISTER'=> $lang['menu_registration'],
		'L_FORGOTPW'=> $lang['pl_forgotpw']
	));
}

$template->Border_End();
  
?>
