<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin.php
 * Kezds               : Kedd, 2004. augusztus 3
 * Utoljra mdostva   : saxus; Sun Nov 12 14:42:37 CET 2006
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

	define('MUPORTAL', true);
	define('MUADMIN', true);

	//Header('Content-type: text/html; charset=iso-8859-2');
	
	global $sess;
	
	require('mu-sys/admin/includes/common.php');
		
	$hash	= (isset($sess['muAdminHash'])) ? $sess['muAdminHash'] : '##';
	$id		= (isset($sess['muAdminDATA']['id'])) ? $sess['muAdminDATA']['id'] : -1;
	$METHOD = $_SERVER['REQUEST_METHOD'];
	
	$head_extra = '';
	$body_onload = '';
	
	$template->LoadPackedFile('base');
	
	if ($hash != GenAdminHash($id)) {
		
		unset($sess['muAdminHash']);
		unset($sess['muAdminDATA']);
		
		if ($METHOD == 'POST') {
		
			define('POSTING', true );
		
			require_once('mu-sys/admin/modules/a_login.php');
		
		} else {
		
			$template->loadfile('login');
			
			$template->usetpl('login', array(
				'WARN'	=> '',
				'ENGINE'	=> MP_VER_NAME
			));
			
			$head_extra .= '<link href="mu-sys/tpl-admin/login.css" rel="stylesheet" type="text/css" />';
		}
			
	} else {

		// Biztonsgi intzkedsek
		
		if (file_exists('install.php') || file_exists('update.php')) {
			
			$template->usetpl('base_begin', array(
				'ENGINE' => MP_VER_NAME,
				'VER'	=> MP_VER_NUM,
				'DATE'	=> MP_VER_DATE,
				'NAME'	=> $sess['muAdminDATA']['name']
			));
						
			$template->LoadFile('secwarn');
			$template->UseTpl('secwarn');
			
		} else {
	
		if ($METHOD == 'POST') {
			
			if (!get_magic_quotes_gpc()) {
				$_POST = AddSlashesToArray($_POST);
			} 
			
			define('POSTING', true );
			
			if (isset($_POST['page'])) {
				
				if (substr($_POST['page'], 0, 6) == 'addon/') {
					IncludeFile('addons/e_'.substr($_POST['page'], 6).'.php');
				} else {
					if ($_POST['page'] == 'login') {
						IncludeFile('modules/a_login.php');
					} else {
						IncludeFile('modules/a_'.$_POST['page'].'_post.php');
					}
				}
			} else {
				Die('Hiba! Erre a fjlra csak POST mvelettel lehet hivatkozni.');
			}
			
		} else {
			
			if (!get_magic_quotes_gpc()) {
				foreach ($_GET as $k => $v) {
	            	$_GET[$k] = AddSlashesToArray($v);
				}
			}
						
			global $addon_menu;
			
			$addonmnu = '';
			
			if (count($addon_menu) == 0) {
					$addonmnu = '<div class="noadd">Nincsenek kiemelt bvtmnyek</div>';
			} else {
				foreach ($addon_menu as $k => $v) {
					$addonmnu .= '<a href="admin.php?add='.$k.'">'.$v.'</a>'."\n";
				}
			}
			
			$template->usetpl('menu_main', array(
				'CONTENTMNU'=> (isset($sess['muAdminCntMnu'])) 
					? $sess['muAdminCntMnu']
					: '<div class="noadd">Men nem elrhet!</div>',
				'ADDONS'	=> $addonmnu
			));
					
			unset($addonmnu);
			
			if (isset( $_GET['page']) ) {
				IncludeFile('modules/a_'.$_GET['page'].'.php');
			} elseif (isset( $_GET['add'] )) {
				IncludeFile('addons/e_'.$_GET['add'].'.php');
			}
			
			$template->usetpl('base_end');
			
			echo $template->PrepareTPl('header', array(
				'EXTRA'		=> $head_extra,
			));
			
			echo $template->Preparetpl('base_begin', array(
				'ENGINE' => MP_VER_NAME,
				'VER'	=> MP_VER_NUM,
				'DATE'	=> MP_VER_DATE,
				'NAME'	=> $sess['muAdminDATA']['name'],
				'ONLOAD'	=> ($body_onload != '') ? ' onload="'.$body_onload.'"' : ''
			));
			
	
			$template->Execute();

			die();
		}
		
		} // install.php figyel
	}
		
	echo $template->PrepareTPl('header', array(
		'EXTRA'		=> $head_extra,
	));
	
		
	$template->Execute();
	
?>