<?php 
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/addons/e_menumgr.php
 * Kezds               : Szerda, 2006. jnius 15.
 * Utoljra mdostva   : saxus; 2006. oktber 20.
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

// ha definilva van a GET_ADDON_INFO konstans, akkor
// a $modinfo tmbben meg kell adniz addon nevt s 
// verziszmt. Ezt csak a modul f fjlban kell 
// megadni _post s _func uttag fjlokban TILOS!
// Igazbl ez a 6 sor, ami tbblet egy tlagos 
// modulfjlhoz kpest
if (defined('GET_ADDON_INFO'))
{
	global $addon;
	
	$addon = array(
		'title'			=> 'Menkezel',
		'version'		=> '0.3.0',
		'minver'		=> '0.3.0',
		'author'		=> 'saxus',
		'homepage'		=> 'http://saxus.muportal.hu/',
		'email'			=> 'saxus@muportal.hu',
		'description'	=> "Egyni menk ltrehozsra s kezelsre szolgl segdeszkz"
	);
	
} else {
	
	/**************************************
	 * 
	 */
	function PMenuMgr_AddMenu()
	{
		global $db;
		
		$description= trim( $_POST['n_description'] );
		$page		= trim( $_POST['n_page'] );
		$type		= trim( $_POST['n_type'] );
		$panel		= trim( $_POST['n_panel'] );
		
		$db->sql_query('SELECT MAX(position) AS max FROM '.DBPREFIX.'modules 
			WHERE panel = '.$panel);
			
		$row = $db->sql_fetch_array();
		$position = $row['max']+1;

		$db->sql_query('INSERT INTO '.DBPREFIX.'modules 
			(position, panel, type, page, module, description) VALUES (
			'.$position.', '.$panel.', '.$type.', \''.$page.'\', \'p_menumgr\', \''.$description.'\')');
		
		muRedirect('admin.php?add=menumgr&mode=menu&mid='.$db->sql_insert_id(), 'j men hozzadva' );
		
	}
	
	/**************************************
	 * 
	 */
	function PMenuMgr_EditMenu()
	{
		global $db;
		
		$description= trim( $_POST['n_description'] );
		$page		= trim( $_POST['n_page'] );
		$type		= trim( $_POST['n_type'] );
		$panel		= trim( $_POST['n_panel'] );
		$id			= trim( $_POST['id'] );

		$db->sql_query('UPDATE '.DBPREFIX.'modules SET 
			panel='.$panel.',
			type='.$type.',
			page=\''.$page.'\',
			description=\''.$description.'\'
		WHERE id='.$id.' LIMIT 1');
		
		muRedirect('admin.php?add=menumgr&mode=menu&mid='.$id, 'Men frisstve' );
	}
	
	
	////////////////////////////////////////////////////////////////////////////
	//                                 GET                                    //
	////////////////////////////////////////////////////////////////////////////
	
	/**************************************
	 * Menk listzsa
	 */
	function MenuMgr_ListOfMenus()
	{
		global $template, $db;

		$template->UseTpl('base_switcher_narrow');
	
		ShowTitle('Menk listja');
		
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
		
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'modules
			WHERE module = \'p_menumgr\'');
		$count = $db->sql_fetch_array();
		
		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'add'	=> 'menumgr',
			'mode'	=> 'list',
			'min'	=> '{!}',
		) );
		
		$template->AddToStack( $pgswitcher );
		
		$template->UseTpl('menus_list_begin');
		
		// darabszmok lekrdezse
		$db->sql_query('SELECT modid FROM '.DBPREFIX.'menus_items');
		
		$counts = array();
		
		while ( $row = $db->sql_fetch_array())
		{
			if (isset($counts[ $row['modid'] ])) {
				$counts[ $row['modid'] ]++;
			} else {
				$counts[ $row['modid'] ] = 1;
			}
		}

		// Menelemek lekrdezse
		$db->sql_query('SELECT id, description FROM '.DBPREFIX.'modules 
			WHERE module = \'p_menumgr\'
			ORDER BY description ASC
			LIMIT '.$min.', '.PERPAGE );
		
		$i = 'd';
 		
 		while ( $row = $db->sql_fetch_array())
		{
			$i = ($i == 'w') ? 'd' : 'w';
			
			$template->UseTpl('menus_list_item', array(
				'CLASS'		=> $i,
				'ID'		=> $row['id'],
				'TITLE'		=> htmlspecialchars($row['description']),
				'COUNT'		=> (isset($counts[ $row['id'] ])) ? $counts[ $row['id'] ] : 0
			));
		}
 		
		$template->UseTpl('menus_list_end');
		
		
		$template->AddToStack( $pgswitcher );

	}
	
	/**************************************
	 * Men hozzadsa
	 */
	function MenuMgr_AddMenu()
	{
		IncludeForm('menumgr_addmnu', 'add' );
	}
	
	/**************************************
	 * Men szerkesztse
	 */
	function MenuMgr_EditMenu()
	{
		global $db;
		
		$db->sql_query('SELECT id, page, panel, type, description FROM '.DBPREFIX.'modules
			WHERE id='.$_GET['mid'].' LIMIT 1');
		
		$row = $db->sql_fetch_array();
		
		IncludeForm('menumgr_addmnu', 'edit', $row );
	}
	
	/**************************************
	 * 
	 */
	function MenuMgr_DeleteMenu()
	{
		global $db;
		
		$db->sql_query('DELETE FROM '.DBPREFIX.'modules WHERE id='.$_GET['mid'].' LIMIT 1');
		$db->sql_query('DELETE FROM '.DBPREFIX.'menus_items WHERE modid='.$_GET['mid']);
		
		muRedirect('admin.php?add=menumgr&mode=list', 'Men trlve');
	}
	
	/***************************************************************************
	<*                           EGY MEN KEZELSE                            *>
	***************************************************************************/

	/**************************************
	 * 
	 */
	function PMenuMgr_AddItem()
	{
		global $db;
		
		$title 	= trim( $_POST['n_title'] );
		$url 	= trim( $_POST['n_url'] );
		$regmode= trim( $_POST['n_regmode'] );
		$modid	= trim( $_POST['mid'] );
		
		$db->sql_query('SELECT MAX(position) AS max FROM '.DBPREFIX.'menus_items
			WHERE modid='.$modid);
		$row = $db->sql_fetch_array();
		$position = $row['max']+1;	
		
		$db->sql_query('INSERT INTO '.DBPREFIX.'menus_items (modid, position, regmode, title, url) VALUES (
			'.$modid.', '.$position.', '.$regmode.', \''.$title.'\', \''.$url.'\')');

		muRedirect('admin.php?add=menumgr&mode=menu&mid='.$modid, 'Menelem hozzadva');		
	}
	
	/**************************************
	 * 
	 */
	function PMenuMgr_EditItem()
	{
		global $db;
		
		$title 	= trim( $_POST['n_title'] );
		$url 	= trim( $_POST['n_url'] );
		$regmode= trim( $_POST['n_regmode'] );
		$modid	= trim( $_POST['mid'] );
		$id		= trim( $_POST['id'] );
		
		$db->sql_query('UPDATE '.DBPREFIX.'menus_items SET
			regmode='.$regmode.',
			title=\''.$title.'\',
			url=\''.$url.'\'
		WHERE id='.$id.' AND modid='.$modid.' LIMIT 1');	
		
		muRedirect('admin.php?add=menumgr&mode=menu&mid='.$modid, 'Menelem frisstve');		
	}
	
	
	/**************************************
	 * 
	 */
	function PMenuMgr_UpdateMenuData()
	{
		global $db;
		
		$mid = $_POST['mid'];
		$data = explode(';', trim($_POST['modData']) );
		
		foreach ($data as $row) {
			if ($row != '') {
				$row = explode(':', $row);
				
				$db->sql_query('UPDATE '.DBPREFIX.'menus_items SET 
					position='.$row[2].',
					regmode='.$row[1].'
				WHERE id='.$row[0].' AND modid='.$mid.' LIMIT 1');
			}
		}
		
		muRedirect('admin.php?add=menumgr&mode=list', 'Men frisstve');	
	}

	////////////////////////////////////////////////////////////////////////////
	//                                 GET                                    //
	////////////////////////////////////////////////////////////////////////////

	
	/**************************************
	 * 
	 */
	function MenuMgr_ListAMenu()
	{
		global $db, $template, $head_extra;
	
		// Fejlc ltrehozsa
		$template->UseTpl('base_switcher');
		
		$mid = $_GET['mid'];
	
		$db->sql_query('SELECT description FROM '.DBPREFIX.'modules WHERE id='.$mid.' LIMIT 1');
		$row = $db->sql_fetch_array();
	
		ShowTitle('Men szerkesztse - '.$row['description']);
		
		// JS tmb ltrehozsa
		
		$db->sql_query('SELECT id, regmode, title, url FROM '.DBPREFIX.'menus_items 
			WHERE modid='.$mid.' ORDER BY position');
			
		$items = '';
		$count = 0;	
		$total = $db->sql_num_rows();
		
		while ($row = $db->sql_fetch_array()) {
			
			$count++;
			
			$items .= sprintf( '[%d,%d,\'%s\',\'%s\']',
				$row['id'],
				$row['regmode'],
				htmlspecialchars($row['title']),
				htmlspecialchars($row['url'])
			);
			
			if ( $count != $total ) {
				$items .= ',';
			}
			
		}
		
		$template->UseTpl('menu_list', array( 
			'MENUDATA'	=> $items,
			'MID'		=> $mid
		));
	
		$head_extra .= "\n\t".'<script type="text/javascript" src="mu-sys/tpl-admin/admin.js"></script>';
		$head_extra .= "\n\t".'<script type="text/javascript" src="mu-sys/tpl-admin/e_menumgr.js"></script>';
		
	}
	
	/**************************************
	 * Men hozzadsa
	 */
	function MenuMgr_AddMenuItem()
	{
		IncludeForm('menumgr_additem', 'addItem', array(
			'modid'	=> $_GET['mid']
		));
	}
	
	/**************************************
	 * Men szerkesztse
	 */
	function MenuMgr_EditMenuItem()
	{
		global $db;
		
		$db->sql_query('SELECT id, modid, title, url, regmode FROM '.DBPREFIX.'menus_items
			WHERE id='.$_GET['id'].' AND modid='.$_GET['mid'].' LIMIT 1');
		
		$row = $db->sql_fetch_array();
				
		IncludeForm('menumgr_additem', 'editItem', $row );
	}
	
	/**************************************
	 * Menelem trlse
	 */
	function MenuMgr_DeleteMenuItem()
	{
		global $db;
		
		$db->sql_query('DELETE FROM '.DBPREFIX.'menus_items WHERE id='.$_GET['id'].' AND modid='.$_GET['mid'].' LIMIT 1');
		
		muRedirect('admin.php?add=menumgr&mode=menu&mid='.$_GET['mid'], 'Menelem trlve');
	}
	

	
/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/

	// "Hagyomnyos" kd ide
	
	global $template;
	
	$template->LoadPackedFile('e_menumgr');
	
	if (defined('POSTING')) {
		
		switch ($_POST['mode']) {
			case 'add' : {
				PMenuMgr_AddMenu();
				break;
			}
			case 'edit' : {
				PMenuMgr_EditMenu();
				break;
			}
			case 'addItem' : {
				PMenuMgr_AddItem();
				break;
			}
			case 'editItem' : {
				PMenuMgr_EditItem();
				break;
			}
			case 'updateMenuData' : {
				PMenuMgr_UpdateMenuData();
				break;
			}
		}
	} else {

		if (isset($_GET['mid'])) {
			LocalMenu( array('MNUID' => $_GET['mid']), '2', false );
		} else { 
			LocalMenu( null, '', false );
		}

		$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list';

		switch ($mode) {
			// ---- Menk listja ----
			case 'list' : {
				MenuMgr_ListOfMenus();
				break;
			}
			case 'add' : {
				MenuMgr_AddMenu();
				break;
			}
			case 'edit' : {
				MenuMgr_EditMenu();
				break;
			}
			case 'delete' : {
				MenuMgr_DeleteMenu();
				break;
			}
			// ---- Egy men -----
			case 'menu' : {
				MenuMgr_ListaMenu();
				break;
			}
			case 'additem' : {
				MenuMgr_AddMenuItem();
				break;
			}
			case 'edititem' : {
				MenuMgr_EditMenuItem();
				break;
			}
			case 'deleteitem' : {
				MenuMgr_DeleteMenuItem();
				break;
			}
		}
	}
}

?>