<?php 
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/addons/e_smilies.php (backport)
 * Kezds               : Szerda, 2006. jnius 14. (2005. februr 20.)
 * Utoljra mdostva   : saxus; Sun Nov 12 13:18:31 CET 2006 13:18:31
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

// ha definilva van a GET_ADDON_INFO konstans, akkor
// a $modinfo tmbben meg kell adniz addon nevt s 
// verziszmt. Ezt csak a modul f fjlban kell 
// megadni _post s _func uttag fjlokban TILOS!
// Igazbl ez a 6 sor, ami tbblet egy tlagos 
// modulfjlhoz kpest
if (defined('GET_ADDON_INFO'))
{
	global $addon;
	
	$addon = array(
		'title'			=> 'Statisztika',
		'version'		=> '0.3.0',
		'minver'		=> '0.3.0',
		'author'		=> 'saxus',
		'homepage'		=> 'http://saxus.muportal.hu/',
		'email'			=> 'saxus@muportal.hu',
		'description'	=> "Napi, havi s ves ltogatottsgi statisztika."
	);
	
} else {
	
/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/

	// "Hagyomnyos" kd ide
	
	global $db, $template, $mnames;
	
	$template->LoadPackedFile('e_statistic');
	$template->UseTpl('base_switcher_styled', array(
		'STYLE'	=> 'width: 520px;'
	));
	
	// Nevek megadsa
	
	$dnames = array(
		1	=> 'H',
		2	=> 'Ke',
		3	=> 'Sze',
		4	=> 'Cs',
		5	=> 'P',
		6	=> 'Szo',	
		0	=> 'Va',
	);
	
	$mnames = array(
		1	=> 'Janur',
		2	=> 'Februr',
		3	=> 'Mrcius',
		4	=> 'prilis',
		5	=> 'Mjus',
		6	=> 'Jnius',
		7	=> 'Jlius',
		8	=> 'Augusztus',
		9	=> 'Szeptember',
		10	=> 'Oktber',
		11	=> 'November',
		12	=> 'December',
	);

	// Md kivlasztsa
	if (isset($_GET['y'])) {
		
		$year = $_GET['y'];
		
		if (isset($_GET['m'])) {			
			
			$month 	= $_GET['m'];
			$title	= $year.'. '.$mnames[ $month ];
			$where	= ' WHERE tdate > '.$year.sprintf( '%02d', $month ).'00 AND tdate < '.$year.sprintf( '%02d', ($month+1) ).'00';
			$iv		= 'Nap';
			$startday=-1;
			$forward= false;
			
			$switcher = $template->PrepareTpl('pgsw_sub', array(
				'URL'	=> 'y='.$year,
				'TITLE'	=> $year,
			));
			
			$switcher .= $template->PrepareTpl('pgsw_sub', array(
				'URL'	=> sprintf('y=%d&amp;m=%d', $year, $month ),
				'TITLE'	=> $mnames[ $month ],
			));
					} else {
			
			$title	= $year;
			$where	= ' WHERE tdate > '.$year.'0000 AND tdate < '.($year + 1).'0000';
			$iv		= 'H';
			$forward= false;
			
			$switcher = $template->PrepareTpl('pgsw_sub', array(
				'URL'	=> 'y='.$year,
				'TITLE'	=> $year,
			));
			
		}
		
		$class2	= '';

		ShowTitle( 'Ltogatk szma: '.$title );
		
	} else {
		
		$where	= '';
		$iv		= 'v';
		$class2	= 'class="id"';
		$forward= true;
		$switcher = '';
		$title	= '';

		ShowTitle( 'Ltogatk szma venknt');
	}
	
	$switcher = $template->PrepareTpl('stat_pgsw', array(
		'MORE'	=> $switcher,
		'TEXT'	=> $title,
	));
	
	
	// Statisztika ltrehozsa
	
	$db->sql_query('SELECT * FROM '.DBPREFIX.'stat '.$where);
	
	$stats = Array();
	
	if (isset($_GET['y'])) {
							
		if (isset($_GET['m'])) {
			
			while ($row = $db->sql_fetch_array()) {
				$day = ($row['tdate'] % 100 );
				$stats[ $day ] = (isset($stats[ $day ])) ? $stats[ $day ] += $row['visitors'] : $row['visitors'];
			}
			
			$startday = date('w', mktime( 1, 0, 0, $month, 1, $year ));
			
		} else {
	
			while ($row = $db->sql_fetch_array()) {
				$month = floor( ($row['tdate'] % 10000 ) / 100 );
				$stats[ $month ] = (isset($stats[ $month ])) ? $stats[ $month ] += $row['visitors'] : $row['visitors'];
			}
			
			
		}
		
	} else {
	
		while ($row = $db->sql_fetch_array()) {
			$year = floor( $row['tdate'] / 10000 );
			$stats[ $year ] = (isset($stats[ $year ])) ? $stats[ $year ] += $row['visitors'] : $row['visitors'];
		}
	}
	
	$template->AddToStack( $switcher );

	$template->UseTpl('stat_list_begin', array( 
		'IV' => $iv,
	));
		
	$i = 'd';
	$max = -1;
	$total = 0;
	foreach ( $stats as $stat ) {
		if ($max < $stat) {
			$max = $stat;
		}
		$total += $stat;
	}
		
	$res = '';
	
	foreach ( $stats as $id => $stat ) {
		
		$i = ($i == 'd') ? 'w' : 'd';
		
		if (isset($_GET['y'])) {
			if (isset($_GET['m'])) {
				$iv = sprintf( '%d (%s)', $id, $dnames[ $startday ] );
				$startday = ($startday<6) ? $startday+1 : 0;
			} else {
				$iv = '<a href="admin.php?add=statistic&amp;y='.$_GET['y'].'&amp;m='.$id.'">'.$mnames[$id].'</a>';
			}
		} else {
			$iv = '<a href="admin.php?add=statistic&amp;y='.$id.'">'.$id.'</a>';
		}
		
		$row = $template->PrepareTpl('stat_list_item', array( 
			'CLASS'	=> $i,
			'CL2'	=> $class2,
			'IV'	=> $iv,
			'VIS'	=> muNumFormat( $stat, 0),
			'WD'	=> floor( ($stat/$max)*100 ),
			'PRC'	=> muNumFormat( ($stat/$total)*100, 2 )
		));
		
		$res = ($forward) ? $row.$res : $res.$row;
	}
	
	
	$template->AddToStack( $res );
	
	$template->UseTpl('stat_list_end');
	
	$template->AddToStack( $switcher );

}

?>