<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/forms/f_menumgr_addmnu.php
 * Kezds               : Cstrtk, 2006. jnius 15.
 * Utoljra mdostva   : saxus; Sun Nov 12 13:42:50 CET 2006 13:42:50
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/

if (!defined('MUPORTAL')) { die('File hacking'); }

global $mode;

switch ($mode) {
	
	case 'add' : {
		
		$title = 'j men ltrehozsa';
		$v = array(
			'id'			=> -1,
			'description'	=> 'j men',
			'page'			=> '*',
			'type'			=> 3,
			'panel'			=> 1
		);
		break;
	}
	
	case 'edit' : {
		$title = 'Men szerkesztse';
	}
	
}

$form = new QuickForm();

$form->FormProperty('caption', $title);
$form->FormProperty('bordertype', FT_NARROW);
$form->FormProperty('form_action', true);

$form->AddField('page', 'addon/menumgr');
$form->AddField('mode', $mode);
$form->AddField('id', $v['id']);

$form->AddComponent( FC_TEXT, 'description', array(
	FP_CAPTION		=> 'Men cmsora',
	FP_VALUE		=> $v['description'],
	FP_MAXLENGTH		=> 100,
));

$form->AddComponent( FC_TEXT, 'page', array(
	FP_CAPTION		=> 'Melyik oldalon jelenik meg?',
	FP_HELPMSG		=> 'Itt megadhatod, hogy melyik oldalakon ltszdjon
	   a men. Ha azt akarod, hogy minden oldalon jelenjen meg, akkor
	   rj be egy darab csillagot (<code>*</code>).',
	FP_VALUE		=> $v['page'],
	FP_MAXLENGTH		=> 16,
));

$form->AddComponent( FC_LISTBOX, 'type', array(
	FP_CAPTION		=> 'Kik ltjk a ment?',
	FP_VALUE        => $v['type'],
	FP_ITEMS		=> array(
		1		=> 'Csak vendgek',
		2		=> 'Csak regisztrlt felhasznlk',
		3		=> 'Brki',
)));
	
$form->AddComponent( FC_LISTBOX, 'panel', array(
	FP_CAPTION		=> 'Hol helyezkedik el a men?',
	FP_HELPMSG		=> 'Itt megadhatod, hogy melyik panelsvra kerljn
	    az adott men. Minden j men alaprtelmezs szerint a sv vgn
		fog ltrejnni. Az elhelyezkedst a modulbelltsok
		kztt lehet belltani.',
	FP_VALUE		=> $v['panel'],
	FP_ITEMS		=> array(
		1		=> 'Bal panelsv',
		3		=> 'Jobb panelsv',
		0		=> 'Kikapcsolt',
)));
		
$form->AddComponent( FC_SUBMITBTTN, false, array(
	FP_BACK		=> 'admin.php?add=menumgr&mode=list',
));

$form->Generate();