<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/forms/f_news_editor.php
 * Kezds               : Szombat, 2006. mjus 20.
 * Utoljra mdostva   : saxus; Sun Nov 12 13:43:31 CET 2006 13:43:31
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

global $mode, $db, $template;
			
// Elrhet kategrik lekrdezse
$cats = array();
$cats[0] = '(Egyik sem)';
$db->sql_query('SELECT id, title FROM '.DBPREFIX.'news_category ORDER BY title ASC');
while ($r = $db->sql_fetch_array()) {
	$cats[ $r['id'] ] = $r['title'];
}

// Vltozk
$show_fields_submited = false;
$id = -1;

// Md kivlasztsa
switch ($mode) {
				
	case 'add' : { // Hozzads
		global $adminusr;
		
		$title = 'Hr hozzadsa'; 
		$v = array(
			'title'			=> '',
			'date'			=> time(),
			'highlighted'	=> 0,
			'name'			=> $adminusr['name'],
			'email'			=> $adminusr['email'],
			'category'		=> -1,
			'text'			=> ''
		);
		break; 
	}
	case 'edit' : { // Szerkeszts
		$title = 'Hr szerkesztse - '.StrTrunc( $v['title'], 32 ); 
		$id = $v['id']; 
		break; 
	}
	case 'submited' : { // Jvhagys
		$title = 'Bekldtt hr jvhagysa'; 
		
		$submited_id = $v['id'];
		
		$db->sql_query('SELECT name, email, userid, title, text 
			FROM '.DBPREFIX.'news_submited WHERE id='.$submited_id.' LIMIT 1');
		$row = $db->sql_fetch_array();
		
		if (isset($row['userid']) || ($row['userid'] != 0)) {
			$db->sql_query('SELECT name, email, email_public 
			FROM '.DBPREFIX.'users WHERE id='.$row['userid'].' LIMIT 1');
			
			if ($db->sql_num_rows() != 0) {
				$urow = $db->sql_fetch_array();
				$username = $urow['name'];
				$usermail = ($urow['email_public'] == 1) ? $urow['email'] : '';
			} else {
				$username = '';
				$usermail = '';
			}
		} else {
			$username = $row['name'];
			$usermail = $row['email'];
		}
			
		$v = array(
			'title'			=> $row['title'],
			'date'			=> time(),
			'highlighted'	=> 0,
			'name'			=> $username,
			'email'			=> $usermail,
			'category'		=> -1,
			'text'			=> $row['text']
		);
		$mode = 'add';
		$show_fields_submited = true;
		break; 
	}
}
		
$form = new QuickForm();
		
// Form tulajdonsgai
$form->FormProperty('caption', $title );
$form->FormProperty('form_action', true);
$form->FormProperty('bordertype', FT_USERDEF);
$form->FormProperty('width', '600px');

// Rejtett mezk
$form->AddField('page', 'news');
$form->AddField('mode', $mode);
$form->AddField('id', $id );
					
// Form elemek	
$form->SetAdjust( FA_LEFT );

$form->AddComponent( FC_TEXT, 'title', array(
	FP_CAPTION	=> 'Hr cme',
	FP_VALUE	=> $v['title'],
));

$form->AddComponent( FC_TEXT, 'date', array(
	FP_CAPTION	=> 'Idzts',
	FP_HELPMSG	=> $template->PrepareTpl('HELP_timer'),
	FP_VALUE	=> ADate( $v['date'] ),
));
		
$form->AddComponent( FC_RADIO, 'highlight', array(
	FP_CAPTION	=> 'Kiemelt hr',
	FP_HELPMSG	=> $template->PrepareTpl('HELP_News_Highlight'),
	FP_VALUE	=> $v['highlighted'],
));

$form->SetAdjust( FA_RIGHT );

$form->AddComponent( FC_TEXT, 'name', array(
	FP_CAPTION	=> 'Megjelentend nv',
	FP_VALUE	=> $v['name'],
	FP_MAXLENGTH=> 64,
));

$form->AddComponent( FC_TEXT, 'email', array(
	FP_CAPTION	=> 'E-Mail cm:',
	FP_VALUE	=> $v['email'],
));
$form->AddComponent( FC_LISTBOX, 'category', array(
	FP_CAPTION	=> 'Kategria',
	FP_VALUE    => $v['category'],
	FP_ITEMS	=> $cats,
));

if ($show_fields_submited) {
	
	$form->AddField('submited_id', $submited_id );
	
	$form->AddComponent( FC_RADIO, 'submited_delorig', array(
		FP_CAPTION	=> 'Eredeti bekldtt hr trlse',
		FP_HELPMSG	=> $template->PrepareTpl('HELP_News_DelSubmited'),
		FP_VALUE	=> true,
	));
}

$form->SetAdjust( FA_NORMAL );


$form->AddComponent( FC_TEXTAREA, 'text', array(
	FP_VALUE	=> $v['text'],
));

$form->AddComponent( FC_SUBMITBTTN, false, array(
	FP_BACK		=> 'admin.php?page=news&mode=list',
));

$form->Generate();

?>