<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * $id$
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

global $v;

$form = new QuickForm();

$form->FormProperty('caption', 'Felhasznl adatainak szerkesztse - '.$v['name']);
$form->FormProperty('bordertype', FT_USERDEF);
$form->FormProperty('form_action', true);
$form->FormProperty('width', '630px');

$form->AddField('page', 'users');
$form->AddField('mode', 'edit');
$form->AddField('id', $v['id']);

$form->SetAdjust( FA_LEFT );

	$form->AddComponent( FC_BOX_BEGIN, false, array(
	    FP_CAPTION       => 'Regisztrcis adatok'
	));

		$form->AddComponent( FC_TEXT, 'name', array(
			FP_CAPTION		=> 'Felhasznlnv',
			FP_VALUE		=> $v['name'],
			FP_MAXLENGTH	=> 64,
		));
	
		$form->AddComponent( FC_TEXT, 'email', array(
			FP_CAPTION		=> 'E-Mail cm',
			FP_VALUE		=> $v['email'],
			FP_MAXLENGTH	=> 255,
		));
	
		$form->AddComponent( FC_RADIO, 'email_public', array(
			FP_CAPTION		=> 'Publikus-e az E-Mail cm',
			FP_VALUE		=> $v['email_public'],
		));
	
	
		$form->AddComponent( FC_RADIO, 'email_cansend', array(
			FP_CAPTION		=> 'Bels E-Mail kls engedlyezse',
			FP_VALUE		=> $v['email_cansend'],
		));
	
	
		$form->AddComponent( FC_TEXT, 'pasw', array(
			FP_CAPTION		=> 'j jelsz megadsa',
			FP_HELPMSG		=> 'Csak akkor adj meg j jelszt, ha meg akarod vltoztatni!',
			FP_PASSWORD		=> true,
			FP_MAXLENGTH		=> 32,
		));
	
		/*$form->AddComponent( FC_TEXT, 'pasw2', array(
			FP_CAPTION		=> 'j jelsz mgegyszer',
			FP_PASSWORD       => true,
			FP_MAXLENGTH		=> 32,
		));*/

    $form->AddComponent( FC_BOX_END );
    
    $form->AddComponent( FC_BOX_BEGIN, false, array(
	    FP_CAPTION       => 'Jogosultsgok'
	));
	
		$form->AddComponent( FC_LISTBOX, 'permissions', array(
			FP_CAPTION		=> 'Jogosultsgi szint',
			FP_VALUE		=> $v['permissions'],
			FP_ITEMS			=> array(
				-2		=> '(Letiltott)',
	  			0		=> 'Felhasznl',
	  			2		=> 'Modertor',
	  			1		=> 'Adminisztrtor',
		)));
	
	$form->AddComponent( FC_BOX_END );
	
	$form->AddComponent( FC_BOX_BEGIN, false, array(
	    FP_CAPTION       => 'Alrs'
	));
	
		$form->AddComponent( FC_TEXTAREA, 'user_sig', array(
			FP_CAPTION		=> 'Alrs',
			FP_HEIGHT		=> '7em',
			FP_VALUE		=> $v['user_sig'],
		));
	
	
	$form->AddComponent( FC_BOX_END );
    
$form->SetAdjust( FA_RIGHT );
    
    $form->AddComponent( FC_BOX_BEGIN, false, array(
	    FP_CAPTION       => 'Elrhetsgek s egyebek'
	));
		
		$form->AddComponent( FC_TEXT, 'user_icq', array(
			FP_CAPTION		=> 'ICQ cm',
			FP_VALUE		=> $v['user_icq'],
		));
	
		$form->AddComponent( FC_TEXT, 'user_aim', array(
			FP_CAPTION		=> 'AIM cm',
			FP_VALUE		=> $v['user_aim'],
		));
	
		$form->AddComponent( FC_TEXT, 'user_msn', array(
			FP_CAPTION		=> 'MSN Messenger cm',
			FP_VALUE		=> $v['user_msn'],
		));
	
		$form->AddComponent( FC_TEXT, 'user_jabber', array(
			FP_CAPTION		=> 'Jabber cm',
			FP_VALUE		=> $v['user_jabber'],
		));
	
		$form->AddComponent( FC_TEXT, 'user_yahoo', array(
			FP_CAPTION		=> 'Yahoo Instant Messenger',
			FP_VALUE		=> $v['user_yahoo'],
		));
	
		$form->AddComponent( FC_TEXT, 'user_skype', array(
			FP_CAPTION		=> 'Skype cm',
			FP_VALUE		=> $v['user_skype'],
		));	

	$form->AddComponent( FC_LINE );
		
		$form->AddComponent( FC_TEXT, 'user_blog', array(
			FP_CAPTION		=> 'Blogcm',
			FP_VALUE		=> $v['user_blog'],
		));
	
		$form->AddComponent( FC_TEXT, 'user_website', array(
			FP_CAPTION		=> 'Weboldal',
			FP_VALUE		=> $v['user_website'],
		));
		
	$form->AddComponent( FC_LINE );
	
		$form->AddComponent( FC_TEXT, 'user_location', array(
			FP_CAPTION		=> 'Lakhely',
			FP_VALUE		=> $v['user_location'],
		));

		$form->AddComponent( FC_TEXT, 'user_occ', array(
			FP_CAPTION		=> 'Foglalkozs',
			FP_VALUE		=> $v['user_occ'],
		));

		$form->AddComponent( FC_TEXT, 'user_old', array(
			FP_CAPTION		=> 'letkor',
			FP_MAXLENGTH	=> 3,
			FP_VALUE		=> $v['user_old'],
		));

		$form->AddComponent( FC_TEXT, 'user_interests', array(
			FP_CAPTION		=> 'rdekldsi kr',
			FP_MAXLENGTH	=> 100,
			FP_VALUE		=> $v['user_interests'],
		));


	$form->AddComponent( FC_BOX_END );
    
$form->SetAdjust( FA_NORMAL );
    
$form->AddComponent( FC_SUBMITBTTN, false, array(
  	FP_BACK		=> 'admin.php?page=users&mode=list'
));
    
$form->Generate();

?>