<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/common.php
 * Kezds               : Szerda, 2004. szeptember 8.
 * Utoljra mdostva   : saxus; 2007. februr 11. 1:49
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

/********************************
 * Generlsi id kezdetnek eltrolsa
 *
 * Eredeti kd: PHP-Nuke
 * (c) 2002 by Francisco Burzi  
 * http://phpnuke.org
 */
 
$mtime = microtime();
$mtime = explode(" ",$mtime);
$start_time = $mtime[1] + $mtime[0];

/********************************
 * Fjlok betltse
 */
require_once('config.php');

if (!defined('MUPORTAL_INSTALLED')) {
	Header('Location: install.php');
	Die();
}

require('mu-sys/includes/version.php');
require('mu-sys/includes/sql-'.SQLHANDLER.'.php');
require('mu-sys/includes/functions.php');
require('mu-sys/includes/templates.php');
require('mu-sys/includes/modules.php');

global $conf;

/********************************
 * Debug md
 */

if (defined('DEBUG') && (DEBUG == true)) {
	$conf['debug'] = 1;
	error_reporting( E_ALL );
}


/********************************
 * Osztlyok ltrehozsa
 */

// SQL reget
global $cfg;

if (!isset($cfg)) {
	Msg_Die( CRITICAL, 'Hinyz adatbzisadatok!');
}

$db = new sql_db( $cfg );
unset( $cfg );

/********************************
 * Belltsok betltse
 */

$db->sql_query('SELECT * FROM '.DBPREFIX.'config');

while ($row = $db->sql_fetch_array())
{
	$conf[ $row['name'] ] = $row['value'];
}

// Erltetett hibakeres md
if (defined('DEBUG') && (DEBUG == true)) {
	$conf['debug'] = 1;
	error_reporting( E_ALL );
}

$template = new template();
$template->basedir = 'mu-sys/tpl-admin/';

$mods = new mods();
// ez minek?
// $smilies = new smilies();

global $lang;

$lang = array(
	'redirect'	=> 'Ha a bngszd nem tmogatja a meta jrahivatkozst, kattints <a href="%s">IDE</a>',
	'today'		=> 'Ma %s',
	'yesterday'	=> 'Tegnap %s',
	'byte' 	=> 'bjt',
	'b'		=> 'b',
	'kbyte' => 'kilobjt',
	'kb' 	=> 'Kib',
	'mbyte' => 'megabjt',
	'mb' 	=> 'Mib',
	'gbyte'	=> 'gigabjt',
	'gb'	=> 'Gib',
	'tbyte'	=> 'tigabjt',
	'tb'	=> 'Tib',



	'dp' => '.',		// Tizedesvessz
	'art' => ' ',		// Hrmas tagols
);

 
/********************************
 * Vendg IP cmnek lekrdezse
 *
 * Eredeti kd a phpBB-bl szrmazik
 * (C) 2001 The phpBB Group 
 * www.phpbb.com 
 */
$ip = FALSE; 

if (!empty($_SERVER["HTTP_CLIENT_IP"])) { $ip = $_SERVER["HTTP_CLIENT_IP"]; } 
    
	if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) { $ips = explode (", ", $_SERVER['HTTP_X_FORWARDED_FOR']);
		
		if ($ip) { array_unshift($ips, $ip); $ip = FALSE; } 

			for ($i = 0; $i < count($ips); $i++) { 
				if (!eregi ("^(10|172\.16|192\.168)\.", $ips[$i])) { 
					if (version_compare(phpversion(), "5.0.0", ">=")) {
							
							if (ip2long($ips[$i]) != false) { 
								$ip = $ips[$i]; 
								break; } 
									
						} else {
               	 
							if (ip2long($ips[$i]) != -1) { 
								$ip = $ips[$i]; 
								break; } 
						} 
				} 
		} 
} 
    
define( 'USER_IP', ($ip ? $ip : $_SERVER['REMOTE_ADDR']) );
 
// Fggvnyek betltse
require('mu-sys/admin/includes/functions.php');	

// Munkamenet-kezels
Session_Start();

global $sess;

$sess = &$_SESSION[$conf['security_key']];

define('SESSID', Session_Id());


// Filterek
define( 'FLTR_ADDONS', 10000 );
define( 'FLTR_RSS', 49152 );

// Addom menk
global $addon_menu, $adminusr;

if (!isset($sess['muAdminADDONMNU'])) {
	$sess['muAdminADDONMNU'] = array();
}

// Mutatk belltsa
$addon_menu = &$sess['muAdminADDONMNU'];
$adminusr = &$sess['muAdminDATA'];

?>