<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM - MINIADMIN
 *
 ***************************************************************************
 *                               articles.php
 *                            -------------------
 *   kezds               : Kedd, 2004. augusztus 3
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : 2007. februr 11. 1:50
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (!defined('MUPORTAL')) { die('File hacking'); }

if (!defined('LOADED_ARTICLES'))
{
	/*******************************************************************/
	function Articles_List ()
	{
		global $db, $template;
	
		if (!isset($_GET['cid'])) { 
			Articles_Category_List(); return false; 
		} else {
			$cid = $_GET['cid'];
		}
		
		$template->UseTpl('base_switcher');
		
		$db->sql_query('SELECT title FROM '.DBPREFIX.'articles_category WHERE id='.$_GET['cid'].' LIMIT 1');
		$row = $db->sql_fetch_array();
	
		ShowTitle( 'Cikkek listja - '.StrTrunc( $row['title'], 48 ) );
		
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
	
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'articles WHERE category = '.$cid);
		$count = $db->sql_fetch_array();
		
		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'page'	=> 'articles',
			'mode'	=> 'list',
			'cid'	=> $_GET['cid'],
			'min'	=> '{!}',
		));
		
		$template->AddToStack( $pgswitcher );
		
		$template->UseTpl('articles_list_begin');
				
		$db->sql_query( 'SELECT id, author, date, title, email, readed, category, ip, title AS ctitle, LEFT(text, 400) AS preview
			FROM '.DBPREFIX.'articles
			WHERE category = '.$cid.'
			ORDER BY date DESC
			LIMIT '.$min.', '.PERPAGE);		
		$time = time();		
		$i = 'd';
		
		while ( $row = $db->sql_fetch_array() )
		{
			$i = ($i == 'w') ? 'd' : 'w';
						
			$flags = ($row['date'] > $time)  ? 
				'<img src="mu-sys/tpl-admin/img/icon-clock.gif" class="flag" title="Idztett cikk" alt="Idztett cikk" />'
				: '';
						
			$template->usetpl( 'articles_list_item', array(
				'CLASS'		=> $i,
				'TIMED'		=> ($row['date'] > $time) ? ' class="timed"' : '',
				'ID'		=> $row['id'],
				'TITLE'		=> htmlspecialchars($row['title']),
				'DATE'		=> FormatDate( $row['date'] ),

				'AUTHOR'	=> htmlspecialchars($row['author']),
				'OWNER'		=> (isset($row['owner'])) ? $row['owner'] : '-?-',
				'IP'		=> ($row['ip'] == '') ? '-?-' : $row['ip'],
				'EMAIL'		=> htmlspecialchars($row['email']),
				
				'READED'	=> $row['readed'],
				
				'FLAGS'		=> $flags,
				
				'PREVIEW'	=> htmlspecialchars($row['preview'])
			));
		}
		
		$template->UseTpl('articles_list_end');
		
		$template->AddToStack( $pgswitcher );
		
		return true;
	}
	
	/*******************************************************************/
	function Articles_Add ()
	{
		global $template, $db, $head_extra, $sess;
		
		$template->UseTpl('base_switcher_styled', array(
			'STYLE'	=> 'width: 600px'
		));
	
		$head_extra .= '<script type="text/javascript" src="mu-sys/tpl-admin/admin.js"></script>';
			
		$categorys = '';
		
		$db->sql_query( 'SELECT id, title FROM '.DBPREFIX.'articles_category ORDER BY id' );
		while ( $row = $db->sql_fetch_array()) {
			$categorys .= '<option value="'.$row['id'].'"'.( ($row['id'] == $_GET['cid']) ? ' selected="selected"' : ''  ).'>'.$row['title'].'</option>';
		}

		ShowTitle('j cikk hozzadsa');

		$template->usetpl('articles_add', array(
			'MODE'	=> 'add',
			'ID'	=> -1,
			
			'N_NAME' => $sess['muAdminDATA']['name'],
			'N_EMAIL' => $sess['muAdminDATA']['email'],
			
			'N_TITLE' => '',
			'N_TEXT' => '',
			'N_DATE' => date('Y-m-d H:i:s'),
			
			'N_CATEGORY' => $categorys
		));	
	}
	
	/*******************************************************************/
	function Articles_Edit ()
	{
		global $template, $db, $head_extra;
		
		$template->UseTpl('base_switcher_styled', array(
			'STYLE'	=> 'width: 600px'
		));
		
		$id = $_GET['id'];
		
		$db->sql_query('SELECT category, title, date, author, email, text FROM '.DBPREFIX.'articles WHERE id='.$id );
		$ART = $db->sql_fetch_array();
	
		$head_extra .= '<script type="text/javascript" src="mu-sys/tpl-admin/admin.js"></script>';
			
		$categorys = '';
		
		$db->sql_query( 'SELECT id, title FROM '.DBPREFIX.'articles_category ORDER BY id' );
		while ( $row = $db->sql_fetch_array()) {
			$categorys .= '<option value="'.$row['id'].'"'.( ($row['id'] == $ART['category']) ? ' selected="selected"' : ''  ).'>'.$row['title'].'</option>';
		}

		ShowTitle('Cikk szerkesztse - '.StrTrunc($ART['title'], 48));

		$template->usetpl('articles_add', array(
			'MODE'	=> 'edit',
			'ID'	=> $id,
			
			'N_NAME' => htmlspecialchars($ART['author'] ),
			'N_EMAIL' => htmlspecialchars($ART['email'] ),

			
			'N_TITLE' => htmlspecialchars($ART['title'] ),
			'N_TEXT' => htmlspecialchars($ART['text'] ),
			'N_DATE' =>  ADate($ART['date']),
			
			'N_CATEGORY' => $categorys
		));	
	}
	
	/*******************************************************************/
	function Articles_Delete ()
	{
		global $db, $template;
		
		$id = $_GET['id'];
		
		$db->sql_query( 'SELECT category FROM '.DBPREFIX.'articles WHERE id='.$id.' LIMIT 1');
		$row = $db->sql_fetch_array();
		
		$db->sql_query( 'DELETE FROM '.DBPREFIX.'articles WHERE id='.$id.' LIMIT 1');
		
		muRedirect( 'admin.php?page=articles&mode=list&cid='.$row['category'], 'Cikk trlve!');
		die();

	}
	
	
	/******************************************************************/	
	function Articles_Category_List ( $msg = false )
	{
		global $template, $db;
		
		$template->UseTpl('base_switcher');
		
		ShowTitle('Kategrik listja');

		if ($msg !== false) {
			$template->UseTpl('message', array(
				'MSG'	=> $msg
			));
		}		
		
		// Limitls
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
		
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'articles_category');
		$count = $db->sql_fetch_array();
		
		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'page'	=> 'articles',
			'mode'	=> 'category',
			'min'	=> '{!}',
		));
		
		$template->AddToStack( $pgswitcher );
		
		$template->usetpl('articles_category_list_begin');
		
		$counts = array();
		
		$db->sql_query('SELECT category, COUNT(*) AS count
			FROM '.DBPREFIX.'articles
			GROUP BY category');
		
		while ($row = $db->sql_fetch_array()) {
			$counts[ $row['category'] ] = $row['count'];
		}
		
		
		$db->sql_query('SELECT * FROM '.DBPREFIX.'articles_category 
			ORDER BY position ASC, id ASC
			LIMIT '.$min.', '.PERPAGE);
		$res = $db->res;
		
		$i = 'd';
		
		while ( $row = $db->sql_fetch_array( $res ) )
		{
			$i = ($i == 'w') ? 'd' : 'w';
			if ($row['description'] == '') {
				$row['description'] = '<u>(Nincs lers)</u>';
			}
			
			$template->usetpl( 'articles_category_list_item', array(
				'ID'		=> $row['id'],
				'CLASS'		=> $i,
				'COUNT'		=> (isset($counts[ $row['id'] ])) ? $counts[ $row['id'] ] : 0,
				'TITLE'		=> htmlspecialchars($row['title']),
				'DESC'		=> htmlspecialchars($row['description']),
				'POS'		=> $row['position'],
			));
		}
		
		$template->usetpl('articles_category_list_end', array(
			'PGSWITCH'	=> $pgswitcher
		));
	}
	
	
	/******************************************************************/	
	function Articles_Category_Add ()
	{
		global $template;
			
		IncludeForm( 'articles_cat_editor', 'category_add' );

		/*
		global $template;
		
		ShowTitle('j kategria hozzadsa');
			
		$template->usetpl('articles_category_add', array(
		    'MODE'		=> 'add_category',
		    'ID'        => '-1',
		    'N_DESC'    => '',
		    'N_TITLE'   => ''
		));*/
	}
	
	/******************************************************************/
	function Articles_Category_Edit ()
	{
		global $db;
		
		$db->sql_query('SELECT * FROM '.DBPREFIX.'articles_category WHERE id='.$_GET['id'].' LIMIT 1' );
		$row = $db->sql_fetch_array();
		
		IncludeForm( 'articles_cat_editor', 'category_edit', $row );
	
		/*
		
		ShowTitle('Szerkeszts - ' . StrTrunc( $row['title'], 16 ) );

		$template->usetpl('articles_category_add', array(
			'MODE'		=> 'edit_category',
			'ID'        => $row['id'],
			'N_DESC'    => $row['description'],
			'N_TITLE'   => $row['title']
		));*/
	}
	
	/*******************************************************************/
	function Articles_Category_Delete ()
	{
		global $db;
		
		$id = $_GET['id'];
		
		$db->sql_query( 'DELETE FROM '.DBPREFIX.'articles WHERE category='.$id);
		$db->sql_query( 'DELETE FROM '.DBPREFIX.'articles_category WHERE id='.$id.' LIMIT 1');
		
		muRedirect( 'admin.php?page=articles&mode=category', 'Cikk-kategria trlve!');
		die();

	}
	
	/*******************************************************************/
	function Articles_Category_Merge()
	{
		global $db, $template;
		
		$template->UseTpl('base_switcher_narrow');
		
		$id = $_GET['id'];
		
		$db->sql_query('SELECT id, title FROM '.DBPREFIX.'articles_category ORDER BY title ASC');
		
		$from = false;
		$items = '';
		
		while ( $row = $db->sql_fetch_array()) {
			if ($row['id'] == $id) {
				$from = $row;
			} else {
				$items .= '<option value="'.$row['id'].'">'.htmlspecialchars($row['title']).'</option>'."\n\t";
			}
		}
		
		ShowTitle('Kategria sszefzse');
		
		$template->UseTpl('articles_category_merge', array(
			'F_ID'		=> $id,
			'F_TITLE'	=> $from['title'],
			'ITEMS'		=> $items
		));
	}
	
	/*******************************************************************/
	function Articles_Category_Order()
	{
		global $db, $template;
		
		$db->sql_query('SELECT id, position 
			FROM '.DBPREFIX.'articles_category 
			ORDER BY title ASC');
			
		$res = $db->res;
		
		$pos = 0;
		
		while ($row = $db->sql_fetch_array( $res )) {
			
			$pos++;
			
			if ($pos != $row['position']) {
				$db->sql_query('UPDATE '.DBPREFIX.'articles_category SET position = '.$pos.' 
					WHERE id='.$row['id'].' LIMIT 1');				
			}			
		}
	}

define('LOADED_ARTICLES',true);
	
}

global $template;

$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'category_list';

$template->loadPackedfile('a_articles');

if (isset($_GET['cid'])) {
	LocalMenu( array('CID'	=> $_GET['cid']), '2', false );
} else { 
	LocalMenu( null, '', false );
}

/*if (in_array( $mode, array('category_merge' ))) {
	$template->UseTpl('base_switcher_narrow');
} elseif (in_array( $mode, array( 'add', 'edit' ))) {
	$template->UseTpl('base_switcher_styled', array(
		'STYLE'	=> 'width: 600px'
	));
} elseif (in_array( $mode, array('category_add', 'category_edit'))) {
	
}*/

switch ($mode)
{
	case 'list' :
	{
		Articles_List();
		break;
	}
	case 'add' :
	{
		Articles_Add();
		break;
	}
	case 'edit' :
	{
		Articles_Edit();
		break;
	}
	case 'category' :
	{
		Articles_Category_List();
		break;
	}
	case 'delete' :
	{
		Articles_Delete();
		break;
	}
	/*
	case 'settings' :
	{
		Articles_Settings();
		break;
	}*/
	case 'category_delete' :
	{
		Articles_Category_Delete();
		break;
	}
	case 'category_edit' :
	{
		Articles_Category_Edit();
		break;
	}
	case 'category_add' :
	{
		Articles_Category_Add();
		break;
	}
	case 'category_merge' : 
	{
		Articles_Category_Merge();
		break;
	}
	case 'category_order' : 
	{
		Articles_Category_Order();
		Articles_Category_List( 'A kategrik rendezse megtrtnt!' );
		break;
	}
}

?>
