<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM - MINIADMIN
 *
 ***************************************************************************
 *                            modules/a_content.php
 *                            -------------------
 *   kezds               : Vasrnap, 2005. 
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Vasrnap, 2006. november 19.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (!defined('MUPORTAL')) { die('File hacking'); }

if (!defined('LOADED_CONTENT'))
{
	/*******************************************************************/
	function Content_List ()
	{
		global $db, $template;
		
		$template->UseTpl('base_switcher');
		
		ShowTitle( 'Egyszer tartalmak listja' );
		
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
		
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'content');
		$count = $db->sql_fetch_array();
		
		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'page'	=> 'content',
			'mode'	=> 'list',
			'min'	=> '{!}',
		));
		
		$template->AddToStack( $pgswitcher );
			
		$template->UseTpl('content_list_begin');
		
		$db->sql_query( 'SELECT c.id, c.php, c.title, c.date_begin, c.date_end, LEFT(c.content, 400) AS preview, u.name AS name 
			FROM '.DBPREFIX.'content c
			LEFT JOIN '.DBPREFIX.'users u ON (c.userid = u.id)
			ORDER BY id DESC
			LIMIT '.$min.', '.PERPAGE );
		
		$today = Date('Y-m-d G:i:s');
		
		$i = 'd';
		$time = time();
		
		while ( $row = $db->sql_fetch_array( ) )
		{
			$i = ($i == 'w') ? 'd' : 'w';
			//if ($row['date_begin'] > $time) { $timed = ' class="timed"'; } else { $timed = ''; }

			$id = $row['id'];
						
			if (($row['date_end'] < $today) && ($row['date_begin'] < $today)) 
				{ $id = '<font color="red">'.$id.'</font>'; }
				
			$php = ($row['php'] > 1) ? (( $row['php'] == 3 ) ? '<b>Igen*</b>' : '</b>Igen*</b>' ) : (($row['php'] == 1) ? 'HTML' : 'Nem');
			$dend = ($row['date_end']==0) ? 'Nincs lejrat' : FormatDate( $row['date_end'] );
			
			$flags = ($row['date_begin'] > $time)  ? 
				'<img src="mu-sys/tpl-admin/img/icon-clock.gif" class="flag" title="Idztett cikk" alt="Idztett cikk" />'
				: '';
			
			$template->usetpl( 'content_list_item', array(
				'ID'			=> $row['id'],
				'CLASS'			=> $i,
				'FLAGS'			=> $flags,
				'TITLE'			=> htmlspecialchars($row['title']),
				'OWNER'			=> htmlspecialchars($row['name']),
				'PHP'			=> $php,
				'DATE_BEGIN'	=> FormatDate($row['date_begin']),
				'DATE_END'		=> $dend,
				'PREVIEW'		=> htmlspecialchars($row['preview'])
			));
		}
		
		$template->UseTpl('content_list_end');
		
		$template->AddToStack( $pgswitcher );	
	}
	
	/*******************************************************************/
	function Content_Add ()
	{
		global $template;
		
		includeform('content_editor', 'add');
	
	}
	
	/*******************************************************************/
	function Content_Edit ()
	{
		global $db, $template;
		
		$id = $_GET['id'];

		$db->sql_query( 'SELECT * FROM '.DBPREFIX.'content WHERE id='.$id.' LIMIT 1' );
		$row = $db->sql_fetch_array();
		
		includeform('content_editor', 'edit', $row );

	}
	
	
	/*******************************************************************/
	function Content_Delete ()
	{
		global $db;
		
		$id = $_GET['id'];
		
		$db->sql_query('DELETE FROM '.DBPREFIX.'content WHERE id='.$id.' LIMIT 1');
		
		muRedirect('admin.php?page=content&mode=list', 'Tartalom trlve');
		die();
	}	
	

define('LOADED_CONTENT',true);

}

global $template;

$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list';

$template->LoadPackedFile('a_content');

LocalMenu();

switch ($mode)
{
	case 'list' :
	{
		Content_List();
		break;
	}
	case 'add' :
	{
		Content_Add();
		break;
	}
	case 'delete' :
	{
		Content_Delete();
		break;
	}
	case 'edit' :
	{
		Content_Edit();
		break;
	}	
}

?>
