<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/a_downloads.php
 * Kezds               : Kedd, 2006. jlius 11.
 * Utoljra mdostva   : saxus; 2006. december 29.
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 
 
	if (!defined('MUPORTAL')) { die('File hacking'); }
	
	if (!defined('LOADED_DOWNLOADS'))
	{
	
		/**************************************
		 * Letlts kategriinak listzsa
		 */
	
		function Downloads_Category_List ()
		{
			global $template, $db;
					
			$template->UseTpl('base_switcher'); 
			ShowTitle('Kategrik listja');
			// Limitls
			$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
			
			$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'downloads_category');
			$count = $db->sql_fetch_array();
			
			$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
				'page'	=> 'downloads',
				'mode'	=> 'category',
				'min'	=> '{!}',
			));
				
			$template->AddToStack( $pgswitcher );
				
			$template->UseTpl('downloads_category_list_begin');
			
			$i = 'd';			
			
			$db->sql_query('SELECT category, COUNT(*) AS count
				FROM '.DBPREFIX.'downloads
				GROUP BY category');
			
			while ($row = $db->sql_fetch_array()) {
				$counts[ $row['category'] ] = $row['count'];
			}
				
			$db->sql_query('SELECT * FROM '.DBPREFIX.'downloads_category
				ORDER BY position ASC, id ASC
				LIMIT '.$min.', '.PERPAGE);
				
			$res = $db->res;
			while ( $row = $db->sql_fetch_array( $res ) )
			{
				$i = ($i == 'w') ? 'd' : 'w';
				$template->usetpl( 'downloads_category_list_item', array(
					'ID'		=> $row['id'],
					'TITLE'		=> htmlspecialchars($row['title']),
					'DESC'		=> htmlspecialchars($row['description']),
					'POS'		=> $row['position'],
					'COUNT'		=> (isset($counts[ $row['id'] ])) ? $counts[ $row['id'] ] : 0,
					'CLASS'		=> $i
				));
			}
			
			//$template->usetpl('_category_list_end');
	
			$template->usetpl('downloads_category_list_end', array(
				'PGSWITCH'	=> $pgswitcher
			));
		}
		
		
		/**************************************
		 * j letltsi kategria hozzadsa
		 */
	
		function Downloads_Category_Add ()
		{
			global $template;
			
			IncludeForm( 'downloads_cat_editor', 'cat_add' );
		
		}
		
		/**************************************
		 * Kategria szerkesztse
		 */
		 
		function Downloads_Category_Edit ()
		{
			global $template, $db;
	
			
			$db->sql_query('SELECT * FROM '.DBPREFIX.'downloads_category WHERE id='.$_GET['id'] );
			$row = $db->sql_fetch_array();
			
			IncludeForm( 'downloads_cat_editor', 'cat_edit', $row );
		
		}
		
		/**************************************
		 * Kategria sszefzse
		 */
	
		function Downloads_Category_Merge()
		{
			global $db, $template;
			
			$template->UseTpl('base_switcher'); 
			
			$id = $_GET['id'];
			
			$db->sql_query('SELECT id, title FROM '.DBPREFIX.'downloads_category ORDER BY title ASC');
			
			$from = false;
			$items = '';
			
			while ( $row = $db->sql_fetch_array()) {
				if ($row['id'] == $id) {
					$from = $row;
				} else {
					$items .= '<option value="'.$row['id'].'">'.htmlspecialchars($row['title']).'</option>'."\n\t";
				}
			}
			
			ShowTitle('Kategria sszefzse');
			
			$template->UseTpl('downloads_category_merge', array(
				'F_ID'		=> $id,
				'F_TITLE'	=> htmlspecialchars($from['title']),
				'ITEMS'		=> $items
			));
		}
		
		/**************************************
		 * Kategria trlse
		 */
		 
		function Downloads_Category_Delete ()
		{
			global $db;
			
			$db->sql_query( 'DELETE FROM '.DBPREFIX.'downloads WHERE category='.$_GET['id']);
			$db->sql_query( 'DELETE FROM '.DBPREFIX.'downloads_category WHERE id='.$_GET['id']);
			
			muRedirect('admin.php?page=downloads&mode=category', 'Kategria trlve');
		}
	
		/**************************************
		 * Letltsek listja
		 */
		 
		function Downloads_List ()
		{
			global $db, $template;
			
			
			$template->UseTpl('base_switcher'); 
			ShowTitle('Letltsek listja');
			
			$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
			$did = $_GET['did'];
			
			$db->sql_query('SELECT COUNT(*) AS count 
				FROM '.DBPREFIX.'downloads 
				WHERE category='.$did);
			$count = $db->sql_fetch_array();
			
			$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
				'page'	=> 'downloads',
				'mode'	=> 'down_list',
				'did'	=> $did,
				'min'	=> '{!}',
			));
			
			$template->AddToStack( $pgswitcher );
	
			$i = 'd';
	
			$template->UseTpl('downloads_list_begin');
			
			$db->sql_query( 'SELECT d.id, d.name, d.date, d.userid, d.title, d.email, 
					d.filesize, d.url, d.stat, LEFT(d.description, 400) AS preview, d.category,
					u.name AS username
				FROM '.DBPREFIX.'downloads d
					LEFT JOIN '.DBPREFIX.'users u ON (d.userid = u.id)
				WHERE category='.$did.'
				ORDER BY date DESC
				LIMIT '.$min.', '.PERPAGE );
			$res = $db->res;
			
			while ( $row = $db->sql_fetch_array( $res ) )
			{			
				$i = ($i == 'w') ? 'd' : 'w';				
				$template->usetpl( 'downloads_list_item', array(
					'ID'		=> $row['id'],
					'TITLE'		=> htmlspecialchars($row['title']),
					'DATE'		=> FormatDate($row['date']),
					'AUTHOR'	=> htmlspecialchars($row['name']),
					'URL'		=> htmlspecialchars($row['url']),
					'FILESIZE'	=> CalcSize($row['filesize']),
					'EMAIL'		=> htmlspecialchars($row['email']),
					'OWNER'		=> htmlspecialchars($row['username']),
					'IP'		=> '',
					'KATT'		=> $row['stat'],
					'DESC'		=> htmlspecialchars($row['preview']),
					'CLASS'		=> $i,
					'CID'		=> $_GET['did'],
				
				));
			}
			
			$template->UseTpl('downloads_list_end');
			
			$template->AddToStack( $pgswitcher );
		}
		
		/**************************************
		 * Letlts hozzadsa
		 */
		function Downloads_Add ()
		{
			global $template;
			
			IncludeForm( 'downloads_editor', 'add' );
			
		}
		
		/**************************************
		 * letlts szerkesztse
		 */
		function Downloads_Edit ()
		{
			global $template, $db;
			
			$db->sql_query('SELECT id, category, name, email, url, title, filesize, description FROM '.DBPREFIX.'downloads WHERE id='.$_GET['id'].' LIMIT 1');
			$row = $db->sql_fetch_array();
			
			IncludeForm( 'downloads_editor', 'edit', $row );
		}
		
		/**************************************
		 * Letlts trlse
		 */
		function Downloads_Delete ()
		{
			global $db;
			
			$db->sql_query( 'DELETE FROM '.DBPREFIX.'downloads WHERE id='.$_GET['id'].' LIMIT 1');
			
			muRedirect('admin.php?page=downloads&mode=down_list&did='.$_GET['did'], 'Letlts trlve');
		}
		
	define('LOADED_DOWNLOADS',true);
	}

	global $template;
	
	$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list'; 
	
	$template->loadPackedfile('a_downloads');
	
	if (isset($_GET['did'])) {
		LocalMenu( array('DID'	=> $_GET['did']), '2', false );
	} else { 
		LocalMenu( null, '', false );
	}
	
	switch ($mode)
	{
		case 'list' :
		{
			Downloads_Category_List();
			break;
		}
		case 'category' :
		{
			Downloads_Category_List();
			break;
		}
		case 'down_list' :
		{
			Downloads_List();
			break;
		}
		case 'category_add' :
		{
			Downloads_Category_Add();
			break;
		}
		case 'category_edit' :
		{
			Downloads_Category_Edit();
			break;
		}
		case 'category_merge' :
		{
			Downloads_Category_Merge();
			break;
		}
		case 'category_delete' :
		{
			Downloads_Category_Delete();
			break;
		}
		case 'add' :
		{
			Downloads_Add();
			break;
		}
		case 'edit' :
		{
			Downloads_Edit();
			break;
		}	
		case 'delete' :
		{
			Downloads_Delete();
			break;
		}
	}

?>
