<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : admin/a_links.php
 * Kezds               : Vasrnap, 2006. jlius 9.
 * Utoljra mdostva   : saxus; 2006. december 29.
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { die('File hacking'); }

//
// Fggvnyek
//
	/**************************************
	 * Linkek listzsa
 	*/
	
	function Links_List ()
	{
		global $template, $db;
				
		$template->UseTpl('base_switcher'); 
		ShowTitle('Linkek listja');
		// Limitls
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
		
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'links');
		$count = $db->sql_fetch_array();
		
		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'page'	=> 'links',
			'mode'	=> 'list',
			'min'	=> '{!}',
		));
			
		$template->AddToStack( $pgswitcher );
			
		$template->UseTpl('links_list_begin');
		
		$i = 'd';			
		
		$db->sql_query('SELECT l.id, l.name, LEFT(l.description, 400) AS preview, l.url,
			l.date, l.userid, l.statistic, u.name AS username
			FROM '.DBPREFIX.'links l
				LEFT JOIN '.DBPREFIX.'users u ON (l.userid = u.id)
			ORDER by date DESC
			LIMIT '.$min.', '.PERPAGE);
		$time = time();
			
		while ( $row = $db->sql_fetch_array( ) )
		{
			$flags = ($row['date'] > $time)  ? 
				'<img src="mu-sys/tpl-admin/img/icon-clock.gif" class="flag" title="Idztett hivatkozs" alt="Idztett hivatkozs" />'
				: '';
			
			$i = ($i == 'w') ? 'd' : 'w';
			$template->usetpl( 'links_list_item', array(
				'ID'		=> $row['id'],
				'NAME'		=> htmlspecialchars($row['name']),
				'FLAGS'		=> $flags,
				'DESC'		=> htmlspecialchars($row['preview']),
				'USERNAME'	=> htmlspecialchars($row['username']),
				'URL'		=> $row['url'],
				'DATE'		=> FormatDate($row['date']),
				'STAT'		=> $row['statistic'],
				'CLASS'		=> $i
			));
		}
		
		$template->usetpl('links_list_end');

		$template->AddToStack( $pgswitcher );
		
	}
	
	/**************************************
	 * Linkek hozzadsa
 	*/
	
	function Links_Add ()
	{
		global $template;
		
		IncludeForm( 'links_editor', 'add' );
	}
	
	/**************************************
	 * Linkek szerkesztse
 	*/
	
	function Links_Edit ()
	{
		global $template, $db;
		
		$db->sql_query('SELECT id, name, description, date, url FROM '.DBPREFIX.'links WHERE id='.$_GET['id'].' LIMIT 1');
		$row = $db->sql_fetch_array();
		IncludeForm( 'links_editor', 'edit', $row );
	}
	
	/**************************************
	 * Linkek trlse
 	*/
	
	function Links_Del ()
	{
		global $db;
		
		$db->sql_query('DELETE FROM '.DBPREFIX.'links WHERE id='.$_GET['id']);
		
		muRedirect('admin.php?page=links&mode=list');
	}


//
// Belpsi pont
//

	global $template;
	
	$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list';
	
	$template->LoadPackedFile('a_links');
	LocalMenu();

	switch ($mode)
	{
		case 'list' :
		{
			Links_List();
			break;
		}
		case 'add' :
		{
			Links_Add();
			break;
		}
		case 'edit' :
		{
			Links_Edit();
			break;
		}
		case 'del' :
		{
			Links_Del();
			break;
		}
	}