<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM - MINIADMIN
 *
 ***************************************************************************/
 
/***************************************************************************
 *                                modules.php
 *                            -------------------
 *   kezds               : Kedd, 2004. augusztus 3
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Vasrnap, 2006. november 12.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************/ 
 
/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (!defined('MUPORTAL')) { die('File hacking'); }

if (!defined('LOADED_MODULES'))
{
	/*******************************************************************/
	function Modules_List ()
	{
		global $db, $template, $head_extra;
	
		$template->UseTpl('base_switcher');
	
		ShowTitle('Modulok s panelek kezelse');
	
		
		// JS tmb ltrehozsa
		
		$db->sql_query('SELECT id, panel, type, page, module, description 
			FROM '.DBPREFIX.'modules ORDER BY position ASC');
		
		$arrays = array( 0 => '', 1 => '', 2 => '', 3 => '' );
		
		$count = 0;	
		$total = $db->sql_num_rows();
		
		while ($row = $db->sql_fetch_array()) {
		
			$count++;
		
			$arrays[ $row['panel'] ] .= 
				sprintf( "\n\t\t['%d','%s','%s','%s','%d']" ,
					$row['id'],
					$row['module'],
					$row['description'],
					$row['page'],
					$row['type']
				);
				
			if ( $count != $total ) {
				$arrays[ $row['panel'] ] .= ',';
			}
			
		}	
		
		$template->UseTpl('modules_list', array(
			'MODS_HIDDEN'	=> $arrays[0],
			'MODS_LEFT'		=> $arrays[1],
			'MODS_CENTER'	=> $arrays[2],
			'MODS_RIGHT'	=> $arrays[3],
		
		));
		
		$head_extra .= "\n\t".'<script type="text/javascript" src="mu-sys/tpl-admin/admin.js"></script>';
		$head_extra .= "\n\t".'<script type="text/javascript" src="mu-sys/tpl-admin/a_modules.js"></script>';		
	}
	
	/*******************************************************************/
	function Modules_Add ()
	{
		global $template;
		
		IncludeForm( 'modules_add', 'add' );
	}
	
	/*******************************************************************/
	function Modules_Delete ()
	{
		global $db;
		
		$id = $_GET['id'];
		
		$db->sql_query( 'DELETE FROM '.DBPREFIX.'modules WHERE id='.$id.' LIMIT 1');
		
		muRedirect('admin.php?page=modules', 'Modul trlve');
	}

define('LOADED_MODULES',true);

}

/*******************************************************************************
 *                              BELPSI PONT
 *******************************************************************************/

global $template;

$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list';

$template->LoadPackedFile('a_modules');
LocalMenu();

switch ($mode)
{
	case 'list' :
	{
		Modules_List();
		break;
	}
	case 'add' :
	{
		Modules_Add();
		break;
	}
	case 'delete' :
	{
		Modules_Delete();
		break;
	}	
}

?>