<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2008 muPortal Team
 *******************************************************************************
 * $Id: a_settings.php 87 2008-01-06 23:21:36Z Cyric $
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/

if (!defined('MUPORTAL')) { die('File hacking'); }

// Jogkr ellenrzs
// if ( PERMS == 3 ) {

global $template, $conf;

$template->UseTpl('base_switcher');

/************************************
 * Belltsok lersa
 *
 * A kulcs rtke mindig a $conf[] kulcsainak
 * felel meg (mu_config.name mez), az rtk
 * a kulcs lersa.
 *
 * Ha a kulcs %div???, akkor az elvlasztknt
 * jelenik meg. (Azrt kell a %div utn egy sor-
 * szmot rni, mert klnben ugyanarra a kulcsra
 * trtnne a hivatkozs)
 */


// Mintacsomagok keresse
$themes = array();

$d = dir('./mu-sys');

while (false !== ($entry = $d->read())) {
	if (($entry != '.') && ($entry != '..') && ($entry != 'tpl-admin') && (preg_match( '#tpl\-(.*)#i', $entry))) {

		$file = './mu-sys/'.$entry.'/theme.txt';

		if (file_exists( $file )) {

			$str = @fread( @fopen($file, 'r') , @filesize($file) );

			if ($str !== FALSE) {

				$str = explode("\n", $str);

				foreach ($str as $v) {
					$v = explode("\t", $v);
					$theme[ $v[0] ] = $v[1].' ('.$entry.')';

				}

				$themes[$entry] = $theme['name'];
			}
		}


	}
}

$d->close();



//Nyelvi fjlok keresse
$languages = array();

$d = dir('./mu-sys/language/');

while (false !== ($entry = $d->read())) {
	if (($entry != '.') && ($entry != '..')) {

		$file = './mu-sys/language/'.$entry.'/language.txt';

		if (file_exists( $file )) {

			$str = @fread( @fopen($file, 'r') , @filesize($file) );

			if ($str !== FALSE) {

				$str = explode("\n", $str);

				foreach ($str as $v) {
					$v = explode("\t", $v);
					$lngs[ $v[0] ] = $v[1].' ('.$entry.')';

				}

				$languages[$entry] = $lngs['name'];
			}
		}


	}
}

$d->close();

// Idzna

$timezone = array();

for ($i = -12; $i < 14; $i++) {
	$timezone[$i] = sprintf('GMT %s%d:00', (($i<0) ? '-' : '+'), abs($i));
}


muSettingsPage( array(
		/*******************************************
		 * RENDSZERBELLTSOK
		 */

		'!PAGE!::Rendszer',

		// Kategriacm
		'Oldal informcii',

		// Kategriaelem
		array(
			0 => 'page_name',
			1 => 'Oldal neve',
			2 => 'Oldal rvid neve.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'page_title',
			1 => 'Oldal cme',
			2 => 'Az oldal cme, amely megjelenik a cmsvban.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'page_author',
			1 => 'Szerz neve',
			2 => 'Az oldal szerzjnek neve.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'site_url',
			1 => 'Elrsi tvonal',
			2 => 'Az az tvonal, amely cmen el tudjk rni az oldalt.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'page_default',
			1 => 'Alaprtelmezett URL',
			2 => 'Ha nincs paramter az URL-ben, a rendszer gy veszi, mintha ezt hvtk volna meg alapbl.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'page_keywords',
			1 => 'Keresszavak',
			2 => 'Keresszavak, amelyek alapjn a keresrobotok (pl.: Googlebot) megtallhatjk az oldalt.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'lang_default',
			1 => 'Nyelv',
			2 => 'Ezt a nyelvet hasznlja a rendszer. A nyelvi fjlok a mu-sys/language/ knyvtrban tallhatak.',
			3 => S_LIST,
			4 => $languages
		),
		array(
			0 => 'panels',
			1 => 'Panelek megjelentse',
			2 => 'Melyik oldalon jelenjenek meg a panelek?.',
			3 => S_LIST,
			4 => array(
				0 => 'Sehol',
				1 => 'Csak bal oldalon',
				2 => 'Csak jobb oldalon',
				3 => 'Mindkt oldalon'
			)
		),
		array(
			0 => 'debug',
			1 => 'Hibakeres md',
			2 => 'Hibakeress engedlyezse. <b>Csak fejlesztshez s tesztelshez!</b> les rendszeren ne hasznld!',
			3 => S_BOOLEAN
		),
		array(
			0 => 'system_theme',
			1 => 'Skin',
			2 => 'Krlek vlaszd ki, hogy melyik skin-t kvnod hasznlni az oldaladon.',
			3 => S_LIST,
			4 => $themes
		),

		/*******************************************/
		'Listk kezelse',

		array(
			0 => 'default_listlg',
			1 => 'Elemek szma a listkban',
			2 => 'Mennyi elemenknt bontsa oldalakra a tartalmakat a rendszer?',
			3 => S_TEXT,
			4 => 5,
		),

		array(
			0 => 'listitems_ml',
			1 => 'Tmr lista hossza',
			2 => 'Mennyi elemet listzzon a rendszer egy oldalon, ha csak cmeket kell megjelenteni?',
			3 => S_TEXT,
			4 => 5,
		),

		array(
			0 => 'listitems_ms',
			1 => 'Rszletes lista hossza',
			2 => 'Mennyi elemenknt bontsa oldalakra a listkat rszletes lista esetn?',
			3 => S_TEXT,
			4 => 5,
		),

		/*******************************************/
		'Dtumbelltsok',

		array(
			0 => 'date_timezone',
			1 => 'Idzna',
			2 => 'Amennyiben eltr a szerver idznja az oldaltl, itt tudod korriglni.',
			3 => S_LIST,
			4 => $timezone,
		),

		array(
			0 => 'dateformat',
			1 => 'Dtum formtuma',
			2 => 'A dtum formtuma megegyezik a PHP-s <a href="http://www.php.net/date" target="_blank">Date()</a> fggvny paramterezsvel.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'date_today',
			1 => '"Ma" engedlyezse a dtumokban',
			2 => 'Ha engedlyezed, a mai s a tegnapi dtumokat "ma" s "tegnap" szvegre fogja kicserlni a rendszer.',
			3 => S_BOOLEAN
		),
		array(
			0 => 'dateshort',
			1 => 'Rvid dtum formtuma',
			2 => 'A rvid dtum formtuma szintn megegyezik a PHP-s <a href="http://www.php.net/date" target="_blank">Date()</a> fggvny paramterezsvel.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'timeformat',
			1 => 'Id formtuma',
			2 => 'Az id formtuma szintn megegyezik a PHP-s <a href="http://www.php.net/date" target="_blank">Date()</a> fggvny paramterezsvel.',
			3 => S_TEXT,
			4 => 255
		),

		/*******************************************
		 * Biztonsg oldal
		 */
		'!PAGE!::Biztonsg',


		/*******************************************/
		'ltalnos',

		array(
			0 => 'security_key',
			1 => 'Oldal kulcsa',
			2 => 'Egyedi azonost-kulcs, a teleptskor generldik. Clja, hogy az oldalnak legyen egy egyedi azonost-szma, amely segtsgvel megneheztheti a tmadsokat.',
			3 => S_TEXT,
			4 => 128
		),

		array(
			0 => 'security_aklifetime',
			1 => 'Ltogat-azonostkulcs lettartalma',
			2 => 'Megadhatja, hny percen bell jr le a ltogat egyedi azonostkulcsa. Ajnlott 30-60 perc kz lltani.',
			3 => S_TEXT,
			4 => 5
		),


		/*******************************************/
		'Felhasznlk vdelme',
		array(
			0 => 'email_enable',
			1 => 'E-Mail kld engedlyezse',
			2 => 'A felhasznlk hasznlhatjk az oldal sajt E-Mail kld rendszert, ezzel megvdheted azok E-Mail cmt a spam-botoktl.',
			3 => S_LIST,
			4 => array(
				0	=> 'Letiltva',
				1	=> 'Csak regisztrlt felhasznlk',
				2	=> 'Brki'
			),
		),

		/*******************************************/
		'Stik',

		array(
			0 => 'cookie_name',
			1 => 'Gyjtsti neve',
			2 => 'Sti neve, amelyet a rendszer hasznl. Lehetleg adjunk neki egyedi nevet.',
			3 => S_TEXT,
			4 => 32
		),

		array(
			0 => 'cookie_domain',
			1 => 'Sti domaine',
			2 => 'Ha megadsz egy adott domaint, akkor a sti csak oda lesz belltva. Pldul: www.valami.hu esetn csak a www aldomain oldal esetn lesz rvnyes a sti.',
			3 => S_TEXT,
			4 => 128
		),
		array(
			0 => 'cookie_path',
			1 => 'Sti elrsi tvonala',
			2 => 'Ha az oldal kzvetlen a domainnel rhet el, adjunk meg "<b>/</b>" tvonalat. Ellenkez esetben adjuk meg a knyvtrat, melybl a muPortal fut, pldul "<b>/valami/</b>. Ne fejeltsd le a "<b>/</b>" jelet az tvonal vgrl. Nincs jelentsge, ha domaint nem adunk meg.',
			3 => S_TEXT,
			4 => 128
		),






		/*******************************************
		 * Szolgltatsok oldal
		 */
		'!PAGE!::Szolgltatsok',
		
		/*******************************************/
		'Linkek automatikus URL- alaktsa',
		
		array(
			0 => 'url_allow_auto',
			1 => 'Tartalmakban',
			2 => 'Ez a bellts az adminisztrtorok ltal szerkeszthet tartalmakban (mint pldul a hrek, cikkek, stb.) engedlyezi a linkek automatikus talaktst.',
			3 => S_BOOLEAN
		),

		
		array(
			0 => 'url_allow_auto_user',
			1 => 'Hozzszlsokban',
			2 => 'Ezzel a belltssal engedlyezhet a felhasznlk ltal rt hozzszlsokban az automatikus URL talakts.',
			3 => S_BOOLEAN
		),

		array(
			0 => 'url_allow_auto_sign',
			1 => 'Alrsokban',
			2 => 'Ennek a bellts segtsgvel engedlyezhet a felhasznlk alrsban az automatikus linkk alakts.',
			3 => S_BOOLEAN
		),

		
		
		/*******************************************/
		'Optimalizci',

		array(
			0 => 'system_acc',
			1 => 'Belltsok gyorsttrazsa',
			2 => 'Ha engedlyezed, a rendszer igyekszik a lehet legtbb, ritkn vltoz adatot gyorsttrazni. ',
			3 => S_BOOLEAN
		),

		array(
			0 => 'gzip_enable',
			1 => 'GZIP tmrts engedlyezse',
			2 => 'Ha engedlyezed, minden oldal tmrtsre kerl, mieltt a muPortl tadja a bngsznek. Ezzel svszlessget s adatmennyisget lehet sprolni. rdemes bekapcsolni.',
			3 => S_BOOLEAN
		),

		/*******************************************/
		'Szolgltatsok',

		array(
			0 => 'enable_stat',
			1 => 'Statisztika ksztse',
			2 => 'Napi ltogatk szmnak fejlegyzse.',
			3 => S_BOOLEAN
		),
		array(
			0 => 'stat_limit',
			1 => 'A tartalmakbl hnyat listzzon',
			2 => 'Az ltalnos statisztika alatt a fbb tartalmakrl (pl. hrek, cikkek...) statisztika kszl. Itt megadhatod a lista hosszt. A listk kikapcsolshoz lltsd ezt 0-ra.',
			3 => S_TEXT,
			4 => 3
		),
		array(
			0 => 'enable_banners',
			1 => 'Hirdets-rendszer engedlyezse',
			2 => 'Ha hirdetsz az oldaladon, rdemes kikapcsolni, mivel cskkenti az SQL lekrdezsek szmt.',
			3 => S_BOOLEAN
		),

		/*******************************************/
		/*'SPAM vdelem',
		array(
			0 => 'antispam_enable',
			1 => 'WHAT engedlyezse',
			2 => 'WHAT Anti-Spam vdelem bekapcsolsa az E-Mail cmek vdelme rdekben.',
			3 => S_BOOLEAN
		),
		array(
			0 => 'antispam_key',
			1 => 'Helyettest szveg',
			2 => 'A &#64; (kukac) jel cserlse erre a szvegre. Clszer olyat vlasztani, amelybl sejthet, hogy mi llt ott eredetileg, ha esetleg le lenne tiltva a JavaScript tmogats a kliens oldalon.',
			3 => S_TEXT,
			4 => 255
		),*/

		/*******************************************/
		'RSS',
		array(
			0 => 'rss_enable',
			1 => 'RSS engedlyezse',
			2 => 'RSS forrsok engedlyezse a tartalomhoz.',
			3 => S_BOOLEAN
		),
		array(
			0 => 'rss_title',
			1 => 'Oldal cme',
			2 => 'Oldal cme az RSS forrsban.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'rss_description',
			1 => 'Rvid lers',
			2 => 'Oldal rvid lersa az RSS forrsban.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'rss_url',
			1 => 'Az oldal elrsi tvonala',
			2 => 'Az oldal elrsi tvonala az RSS forrs rszre.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'rss_limit',
			1 => 'Elemek szma',
			2 => 'Hny elem jelenjen meg maximum egy RSS forrsban.',
			3 => S_TEXT,
			4 => 3
		),
		array(
			0 => 'rss_maxdesclg',
			1 => 'Lers maximlis hossza',
			2 => 'Maximum hny karakternyi bevezetszveg kerljn az RSS forrsba. Ha 0-t adsz meg, az egsz cikk belekerl az RSS Feed-be.',
			3 => S_TEXT,
			4 => 5
		),
		array(
			0 => 'rss_default',
			1 => 'Alaprtelmezett RSS forrs',
			2 => 'Ez az RSS hivatkozs minden oldalrl elrhet lesz.',
			3 => S_TEXT,
			4 => 255
		),

		/*******************************************/
		/*'Extrk',
		array(
			0 => 'smilies_advanced',
			1 => 'Mosolyok szleskr hasznlata',
			2 => 'A mosolyokat nemcsak a hozzszlsokban, hanem a hrek, cikkek... szvegben is hasznlja.',
			3 => S_BOOLEAN
		),
		array(
			0 => 'bbcode_useextend',
			1 => 'BBCode szintek ',
			2 => 'Megadhat, hogy a hozzszlsokban milyen szinten hasznlhatak a BBCode-k.',
			3 => S_LIST,
			4 => array(
				0 => 'Egyltaln nem hasznlhatak',
				1 => 'Korltozott szinten',
				2 => 'Minden kd hasznlhat'
			)
		),*/

		/*******************************************
		 * Felhasznlkezels
		 */

		'!PAGE!::Felhasznlk',

		'Regisztrci',

		array(
			0 => 'user_enablereg',
			1 => 'Regisztrci engedlyezse',
			2 => 'Ki s bekapcsolhat az oldalra val regisztrls',
			3 => S_BOOLEAN,
		),

		array(
			0 => 'user_regmethod',
			1 => 'Regisztrci megerstse',
			2 => 'Itt tudod kivlasztani, hogy kell-e megersts a regisztrcihoz. Fontos! Az E-Mail kldshez be kell lltani a levelezst!',
			3 => S_LIST,
			4 => array(
				0 => 'Nem szksges',
				1 => 'rtests E-Mailban',
				2 => 'Megersts ignylse E-Mailban'
			)
		),

		array(
			0 => 'user_nickminlg',
			1 => 'Nicknv minimlis hossza',
			2 => 'Brmilyen rtk megadhat 0 s 64 kztt',
			3 => S_TEXT,
			4 => 2,
		),

		array(
			0 => 'user_paswminlg',
			1 => 'Jelsz minimlis hossza',
			2 => 'Brmilyen rtk megadhat 0 s 255 kztt',
			3 => S_TEXT,
			4 => 2,
		),

		'Taglista, profilok',

		array(
			0 => 'members_onlyreg',
			1 => 'Ki nzheti meg a taglistt?',
			2 => 'Bellthat, hogy kinek van jogosultsga megtekinteni a taglistt.',
			3 => S_LIST,
			4 => array(
				0 => 'Brki',
				1 => 'Csak regisztrlt tagok',
			),
		),

		array(
			0 => 'members_onlyreg_prof',
			1 => 'Ki nzheti meg a profilokat?',
			2 => 'Bellthat, hogy kinek van jogosultsga megtekinteni az egyes felhasznlk profiljait.',
			3 => S_LIST,
			4 => array(
				0 => 'Brki',
				1 => 'Csak regisztrlt tagok',
			),
		),


		'Alrs',

		array(
			0 => 'user_enablesign',
			1 => 'Alrs engedlyezse a hozzszlsokban',
			2 => 'Ki s bekapcsolhat az alrs engedlyezse.',
			3 => S_BOOLEAN,
		),

		array(
			0 => 'user_signmaxlg',
			1 => 'Alrs maximlis hossza',
			2 => 'Megadhat, hogy mekkora a maximlis hossza az alrsnak. Amennyiben nem kvnsz maximlis hosszsgot megadni, rj "-1"-t.',
			3 => S_TEXT,
			4 => 5,
		),

		array(
			0 => 'user_signHTML',
			1 => 'HTML kdok engedlyezse az alrsban',
			2 => 'Biztonsgi okokbl letilthat a HTML kdok engedlyezse az alrsokban. Nem ajnlott engedlyezni a HTML tagok hasznlatt brki szmra.',
			3 => S_BOOLEAN,
		),

		/*******************************************
		 * Levlklds
		 */

		'!PAGE!::Levlklds',

		'ltalnos belltsok',

		array(
			0 => 'smtp_fromname',
			1 => 'Felad neve',
			2 => 'Ez a nv fog megjelenni a feladnl.',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'smtp_from',
			1 => 'Felad e-mail cme',
			2 => 'Ez az e-mail cm fog megjelenni a feladnl',
			3 => S_TEXT,
			4 => 255
		),

		array(
			0 => 'smtp_charset',
			1 => 'Levelek karakterkdolsa',
			2 => 'Krlek, add meg, milyen karakterkdolssal kldje a rendszer a leveleket. A kzp eurpai kdols az "iso-8859-2".',
			3 => S_TEXT,
			4 => 255
		),

		/******************************************/
		'Levlkld szerver belltsai',

		array(
			0 => 'smtp_method',
			1 => 'Levlklds mdja',
			2 => 'Vlaszd ki, hogy milyen mdszerrel kvnod elkldeni a leveleket:',
			3 => S_LIST,
			4 => array(
				'mail' => 'Beptett Mail fggvnnyel',
				'sendmail' => 'Sendmail-n keresztl',
				'smtp' => 'Kzvetlenl SMTP protokolon',
			)
		),

		array(
			0 => 'smtp_host',
			1 => 'Hostnv',
			2 => 'Add meg a levlkld-szerver cmt...',
			3 => S_TEXT,
			4 => 255
		),

		array(
			0 => 'smtp_port',
			1 => 'Port',
			2 => '...s portjt',
			3 => S_TEXT,
			4 => 5
		),

		/**********************************************/
		'SMTP hitelests (csak SMTP mdban!)',
		array(
			0 => 'smtp_user',
			1 => 'Felhasznlnv',
			2 => 'A hitelestshez szksges felhasznlnv...',
			3 => S_TEXT,
			4 => 255
		),
		array(
			0 => 'smtp_pasw',
			1 => 'Jelsz',
			2 => '...s jelsz',
			3 => S_TEXT,
			4 => 255
		),

) );

// Jogkr ellenrzs
// } else {
//	Echo_ErrMsg('Ehhez nincs jogosultsgod!');
//}

?>