<?php
/***************************************************************************
 *
 * muPortal tartalomkezel rendszer - admin
 *
 ***************************************************************************
 *                             settings_func.php
 *                            -------------------
 *   kezds               : Vasrnap, 2005. oktber 2.
 *   copyright            : (C) 2004-2005 muPortal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Sun Nov 12 13:50:37 CET 2006 13:50:37
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (!defined('MUPORTAL')) { die('File hacking'); }

function createSettingsPage( $construction )
{
	global $template, $conf;
	
	$template->LoadPackedFile('a_settings');
	
	reset($construction);
	
	$headers = '';
	$items = '';
	$pageid = 0;
	$group = false;
	$page = false;
	
	foreach ($construction as $row)
	{	
		if (is_array($row)) {
			
			switch ($row[3]) {
				
				case S_TEXT : {
					$items .= $template->PrepareTpl('group-item', array(
						'TITLE' => $row[1],
						'DESC'	=> $row[2],
						'CNT'	=> '<input type="text" class="tx" maxlength="'.$row[4].'" name="conf['.htmlspecialchars($row[0]).']" value="'.htmlspecialchars($conf[$row[0]]).'" />'
					));
					
					
					break;
				}
				case S_BOOLEAN : {
					if ($conf[ $row[0] ] == 1) {
						$s_true = ' checked="checked"';
						$s_false = '';
					} else {
						$s_true = '';
						$s_false = ' checked="checked"';

					}
					
					$items .= $template->PrepareTpl('group-item', array(
						'TITLE' => $row[1],
						'DESC'	=> $row[2],	
						'CNT'	=> '<input type="radio" value="1" name="conf['.htmlspecialchars($row[0]).']" id="'.$row[0].'_T"'.$s_true.'> <label for="'.$row[0].'_T">Igen</label>' . "\n" . 
								   '<input type="radio" value="0" name="conf['.htmlspecialchars($row[0]).']" id="'.$row[0].'_F"'.$s_false.'> <label for="'.$row[0].'_F">Nem</label>'
					));
					break;
				}
				case S_LIST : {
					
					$list = '<select name="conf['.$row[0].']">' ."\n";
					
					foreach ($row[4] as $k => $v) {
						$list .= "\t".'<option value="'.htmlspecialchars($k).'"'.
							(($conf[ $row[0] ] == $k) ? ' selected="selected"' : '').
							'>'.$v.'</option>'."\n";
					}
					
					$list .= '</select>';
					
					$items .= $template->PrepareTpl('group-item', array(
						'TITLE' => $row[1],
						'DESC'	=> $row[2],	
						'CNT'	=> $list
					));
					break;
				}
			}
			
		} else {

			// Nyitott csoport esetn lezrjuk
			if ($group) { $items .= $template->PrepareTpl('group-e'); $group = false; }
			
			// Ha j oldal, ltrehozzuk a megfelel oldalt
			if (substr($row, 0, 8) == '!PAGE!::') {
				
				if ($page) { $items .= $template->PrepareTpl('page-e'); $page = false; }
				
				$pageid++;
				$headers .= $template->PrepareTpl('menu-item', array(
					'ID'	=> $pageid,
					'TITLE'	=> substr($row, 8)
				));
				
				$items .= $template->PrepareTpl('page-b', array(
					'ID'	=> $pageid
				));
				
				$page = true;
												
			} else {			
				$items .= $template->PrepareTpl('group-b', array(
					'ID'	=> $pageid,
					'TITLE'	=> $row
				));
				
				$group = true;
				
			}
			
		}
		
	}
	
	if ($group) { $items .= $template->PrepareTpl('group-e'); $group = false; }
	if ($page) { $items .= $template->PrepareTpl('page-e'); $page = false; }
	
	$template->UseTpl('#ECHO', $headers);
	$template->UseTpl('settings-switch');
	$template->UseTpl('#ECHO', $items);
}

?>