<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM - MINIADMIN
 *
 ***************************************************************************/
 
/***************************************************************************
 *                                 users.php
 *                            -------------------
 *   kezds               : Kedd, 2004. augusztus 3
 *   copyright            : (C) 2004-2006 muPortal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Szombat, 2006. februr 4.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************/ 
 
 /***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (!defined('MUPORTAL')) { die('File hacking'); }

if (!defined('LOADED_USERS'))
{
	/*******************************************************************/
	function Users_List ()
	{
		global $db, $template;
					
		$filter = (isset($_GET['filter'])) ? $_GET['filter'] : '';
		$min = (isset($_GET['min'])) ? $_GET['min'] : 0;
		$perms = (isset($_GET['perms'])) ? $_GET['perms'] : $perms = 'all';
								
		$template->UseTpl('base_switcher');
		
		ShowTitle( 'Regisztrlt tagok' );
		
		$template->UseTpl('users_list_filter', array(
			'FILTER'		=> $filter,
			
			'P1'		=> ($perms == 'all') ? 'selected="selected"' : '',
			'P2'		=> ($perms == '1') ? 'selected="selected"' : '',
			'P3'		=> ($perms == '0') ? 'selected="selected"' : '',
			'P4'		=> ($perms == '-1') ? 'selected="selected"' : '',
			'P5'		=> ($perms == '-2') ? 'selected="selected"' : '',
		));

		// Oldalvlaszt		
		
		$db->sql_query('SELECT COUNT(*) AS count FROM '.DBPREFIX.'users');
		$count = $db->sql_fetch_array();

		$pgswitcher = CreatePageSwitcher( $count['count'], $min, array( 
			'page'	=> 'users',
			'mode'	=> 'list',
			'filter'	=> $filter,
			'perms'	=> $perms,
			'min'	=> '{!}',
		));
				
		
		$template->AddToStack( $pgswitcher );
		$template->UseTpl('users_list_begin');

		$where = '';
		
		if ($perms != 'all') {
			if ($where != '') { $where .= ' AND '; }
			$where .= ' permissions = '.$perms;
		}
		
		if ($filter != '') {
			if ($where != '') { $where .= ' AND '; }
			$where .= '(
				name LIKE \'%'.$filter.'%\' OR
				email LIKE \'%'.$filter.'%\'
			)';
		}
		
		if ($where != '') { $where = ' WHERE '.$where; }
		
		$db->sql_query( 'SELECT * FROM '.DBPREFIX.'users 
			'.$where.'
			ORDER BY name ASC
			LIMIT '.$min.', '.PERPAGE );
				
		$i = 'd';

		while ( $row = $db->sql_fetch_array() )
		{
			switch ($row['permissions'])
			{
				case -2 : { $perm = 'Letiltott'; $permi = 'disabled'; break;};
				case -1 : { $perm = 'Nem aktivlt'; $permi = 'unact'; break;};
				case 0 : { $perm = 'Tag'; $permi = 'member'; break;};
				case 1 : { $perm = 'Adminisztrtor'; $permi = 'admin'; break;};
				case 2 : { $perm = 'Modertor'; $permi = 'mod'; break;};
			}
			
			if ( $row['lastip'] == NULL )
			{
				$lastdate = '(nem lpett mg be)';
				$lastip = '(nincs)';
			} else {
				$lastdate = FormatDate( $row['lastdate'] );
				$lastip = $row['lastip'];				
			}
			
			$i = ($i == 'w') ? 'd' : 'w';
			
			$template->usetpl( 'users_list_item', array(
				'ID'		=> $row['id'],
				'NAME'		=> htmlspecialchars($row['name']),
				'EMAIL'		=> htmlspecialchars($row['email']),
				
				'CLASS'		=> $i,
				
				'REGDATE'	=> FormatDate( $row['regdate'] ),
				'REGIP'		=> $row['regip'],
				'LASTDATE'	=> $lastdate,
				'LASTIP'	=> $lastip,
				
				'PERMS'		=> $perm,
				'PICON'		=> $permi
			));
		}
		
		$template->UseTpl('users_list_end');	
		$template->AddToStack( $pgswitcher );

	}
	
	/*******************************************************************/
	function Users_Add ()
	{
		global $template;
		
		IncludeForm( 'users_add', 'add' );
		
		/*
		$template->LoadFile('users_add', 'admin/users_add' );
		
		$template->usetpl('users_add', array(
			'MODE'	=> 'add',
			'ID'	=> -1,
			'TITLE' => 'j tag hozzadsa'
		));*/
	}
	
	/**************************************
	 * 
	 */
	function Users_Edit()
	{
		global $db, $conf, $adminusr;
		
		$id = trim($_GET['id']);
		
		if (($id == $conf['protected_user']) && ($id != $adminusr['id'])) {
			
			muRedirect('admin.php?page=users&mode=list', 'Ez a felhasznl vdett! Te nem mdosthatod az adatait!', 10 );
			
		} else {
		
			$db->sql_query('SELECT * FROM '.DBPREFIX.'users WHERE id='.$id.' LIMIT 1');
			$row = $db->sql_fetch_array();
			
			IncludeForm( 'users_edit', 'edit', $row );
			
		}
		
	}

	/*******************************************************************/
	function Users_Delete ()
	{
		global $db, $conf;
		
		$id = trim($_GET['id']);
		
		if ($id == $conf['protected_user']) {
			
			muRedirect('admin.php?page=users&mode=list', 'Ez a felhasznl vdett s nem trlhet!', 10 );
			
		} else {
		
			$db->sql_query( 'DELETE FROM '.DBPREFIX.'users WHERE id='.$id.' LIMIT 1');
			
			muRedirect('admin.php?page=users&mode=list', 'Regisztrlt felhasznl trlve');
		}
	}
	
	/*******************************************************************/
	/*function Users_ChangePw()
	{
		global $template;
				
		$template->LoadFile('users_changepw', 'admin/users_changepw' );
		
		$template->UseTpl('users_changepw', array(
			
		));
	}*/
	
define('LOADED_USERS',true);

}

global $template;

$template->LoadPackedFIle('a_users');

$mode = (isset($_GET['mode'])) ? $_GET['mode'] : 'list';

LocalMenu();

switch ($mode)
{
	case 'list' :
	{
		Users_List();
		break;
	}
	case 'add' :
	{
		Users_Add();
		break;
	}
	case 'edit' :
	{
		Users_Edit();
		break;
	}
	case 'delete' :
	{
		Users_Delete();
		break;
	}
	case 'changepw' :
	{
		Users_ChangePw();
		break;
	}	
}

?>