<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM
 *
 ***************************************************************************/
 
/***************************************************************************
 *                                header.php
 *                            -------------------
 *   kezds               : Pntek, 2004. augusztus 6.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Szombat, 2006. szeptember 13.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************/ 
 
/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 
 
if (!defined('MUPORTAL')) { die('File hacking'); }


	global $template, $lang, $conf, $mods;
	
	// Szksges mintk elksztse
	$template->LoadPackedFile('base');
	$template->LoadFile('head');
		
	// Ha meg vannak adva Extra META tagok
	
	global $extra_meta;
	
	if (!isset( $extra_meta )) {
		$extra_meta = '';
	}
	
	if ($conf['rss_enable'] == 1) {		
		$extra_meta .= $template->GenerateRSSFeeds();
	}
	
	// HTML Header kirsa
	echo $template->PrepareTpl('head', array(
		'AUTHOR'	=> $conf['page_author'],
		'TITLE' 	=> $conf['page_title'],
		'GENERATOR'	=> MP_VER_NAME.' v'.MP_VER_NUM.' - http://muportal.hu',
		'KEYWORDS'	=> $conf['page_keywords'],
		'EXTRA'		=> $extra_meta
	));
	
	if ($conf['enable_banners'] == 1) {
		
		// BANNER modul betltse
		require_once('mu-sys/includes/banner.php');
		
		// Banner lekrdezse
		$banner = GetBanner();
	} else {
		$banner = '';
	}
	
	// Bevezetsek
	echo $template->PrepareTpl('base_begin', array(
		'LOGO'		=> $conf['page_title'],
		'BANNER' 	=> $banner,
		
		'L_HOMEPAGE' 	=> $lang['menu_homepage'],
		'L_DOWNLOADS'	=> $lang['menu_downloads'],
		'L_FORUM' 		=> $lang['menu_forum'],
		'L_SENDNEWS' 	=> $lang['menu_sendnews'],
		'L_CONTACT' 	=> $lang['menu_contact'],
		
		'U_HOMEPAGE' 	=> 'index.php?page='.((isset($mods->modules['m_news']))	
			? $mods->modules['m_news']		: ''),
		'U_DOWNLOADS' 	=> 'index.php?page='.((isset($mods->modules['m_downloads']))
			? $mods->modules['m_downloads'] : ''),
		'U_FORUM' 		=> 'index.php?page='.((isset($mods->modules['m_forum']))
			? $mods->modules['m_forum']		: ''),
		'U_SENDNEWS' 	=> 'index.php?page='.((isset($mods->modules['m_sendnews']))
			? $mods->modules['m_sendnews']	: ''),
		'U_CONTACT' 	=> 'index.php?page='.((isset($mods->modules['m_contact']))
			? $mods->modules['m_contact']	: ''),
	));

 
?>