<?php
/***************************************************************************
 *
 * muPortal tartalomkezel rendszer
 *
 ***************************************************************************
 *                              m_archive.php
 *                            -------------------
 *   kezds               : Pntek, 2004. jlius 16.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Pntek, 2006. oktber 20.
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 
 
if (!defined('MU_MODULES')) { die('File hacking'); }

global $db, $template, $lang, $mods, $conf, $__page__, $get, $l_month, $l_shmonth;

//$template->AddLevel( $lang['menu_news'], 'index.php?page='.$mods->modules['m_news'][0] );
//$template->AddLevel( $lang['menu_archive'], 'index.php?page='.$__page__ );

$db->sql_query( 'SELECT DISTINCT
		FROM_UNIXTIME(date, \'%Y\') AS y, 
		FROM_UNIXTIME(date, \'%c\') AS m 
	FROM '.DBPREFIX.'news 
	WHERE date<='.time().'
	ORDER BY y DESC' );
	//ORDER BY dyear ASC, dmonth DESC' );

if ($db->sql_num_rows() == 0)
{
	Msg_Die(WARNING, $lang['arc_error']);
}
else
{
	$datablock = array();
	
	while ($row = $db->sql_fetch_array()) {
		$datablock[ $row['y'] ][] = $row['m'];
	}
	
	////////////////////////
	// Fejlc
	
	$template->LoadPackedFile('m_archive');

	$template->UseTpl('module_begin', array(
		'TITLE' => $lang['arc_archive']
	));
	$template->UseTpl('m_archive_begin');
	
	$year = -1;
	
	$month = array();
	$skip = false;
	
	
	foreach ( $datablock as $year => $months ) {

		$tmonth = '';
		sort($months);
		foreach ($months as $xmonth ) {
			$tmonth .= '<a href="index.php?page='.$__page__.'&amp;y='.$year.'&amp;m='.$xmonth.'">'.$l_shmonth[ $xmonth ].'</a>, ';
		}

		$template->UseTPl('m_archive_item', array(
			'YEAR'	=> $year,
			'URL'	=> 'index.php?page='.$__page__.'&amp;y='.$year,
			'MONTH'	=> substr( $tmonth, 0, -2 )
		));
	}
		
	$template->UseTpl('m_archive_end');
	$template->UseTpl('module_end');	
	
	
	////////////////////////
	// F rsz
		
	// Dtumrtkek kiolvassa
	if (!isset($get['y']) && !isset($get['m'])) 
	{
		$sev = date('Y');
		$sho = date( 'n' );
	}
	else
	{	
		if (isset($get['y'])) { $sev = $get['y']; } else { $sev = date( 'Y' ); }
		if (isset($get['m'])) { $sho = $get['m']; } 
	}
		
	// Unix id ltrehozsa
	if ( isset( $sev ) && isset( $sho ) && $sev <= date( 'Y' ) )
	{	
		$sdate = mktime( 0, 0, 0, $sho, 1, $sev );		//kezd dtum
		$edate = mktime( 0, 0, 0, ($sho+1), 1, $sev );	//zr dtum
	  
		$title = sprintf($lang['arc_mounth'], $sev, strtolower($l_month[$sho]) );
	} //ha csak v van megadva
	elseif ( !isset( $sho ) && isset( $sev ) && $sev <= date( 'Y', time() ) ) 
	{
		$sdate = mktime( 0, 0, 0, 1, 1, $sev );			// Kezd
		$edate = mktime( 0, 0, 0, 1, 1, ($sev+1) );		// Zr
	  
		$title = sprintf($lang['arc_year'], $sev );
	}
	
	// Idtllps ellenrzse
	if ($sdate > time() ) { $sdate = time(); }
	if ($edate > time() ) { $edate = time(); }
	
	// Lekrdezzk a hreket
	$db->sql_query( ' SELECT * FROM '.DBPREFIX.'news WHERE date >= '.$sdate.' AND date < '.$edate.' ORDER BY date DESC' );
	
	// Ellenrizzk, hogy van-e hr
	if ($db->sql_num_rows() == 0)
	{
		Msg_Die(WARNING, $lang['arc_error'], $title );
	}
	else
	{
		$template->UseTpl('module_begin', array( 'TITLE' => $title ));
		
		$template->usetpl('m_archive_row_begin', array(
			'L_DATE' => $lang['date'],
			'L_TITLE' => $lang['arc_title'],
			'L_AUTHOR' => $lang['arc_author']
		));
				
		while ( $news = $db->sql_fetch_array( ) )
		{   
			$template->usetpl('m_archive_row_item', array (
				'URL' => 'index.php?page='.$mods->modules['m_news'].'&amp;id='.$news['id'],
				'TITLE' => htmlspecialchars($news['title']),
				'DATE' => FormatDate( $news['date'], $conf['dateshort'] ),
				'AUTHOR' => htmlspecialchars($news['name'])
			));
		}
	  
		$template->usetpl('m_archive_row_end');
	 
		$template->UseTpl('module_end');
	}
}

?>