<?php
/***************************************************************************
 *
 * PORTAL CONTENT MANAGEMENT SYSTEM
 *
 ***************************************************************************
 *                               m_members.php
 *                            -------------------
 *   kezds               : Szombat, 2004. oktber 23.
 *   copyright            : (C) 2004 Portal Team
 *   email                : muportal@freemail.hu
 *   utoljra mdostva   : Pntek, 2006. december 29. 
 *   utoljra mdostotta : saxus
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/ 
 
if (!defined('MU_MODULES')) { die('File hacking'); }

if (!defined('LOADED_M_MEMBERS'))
{

/**********************************
 * Taglista kijelzse
 */
function Members_List()
{
	global $db, $template, $lang, $conf, $__page__, $get, $mods;
	
	// Ha az URL-ben vannak rendezsi informcik kiolvasusnk onnan
	$_order = (isset($get['o']) && in_array($get['o'], array('name','regdate'))) ? $get['o'] : 'name';
	$_mode = (isset($get['d']) && in_array($get['d'], array('asc','desc'))) ? $get['d'] : 'asc';
	$_filter = (isset($get['f'])) ? str_replace('*','%',$get['f']) : '';
	
	$_min = (isset($get['min'])) ? $get['min'] : 0;
			
	$template->LoadPackedFile('m_members');
	
	// Tagok sszeszmllsa
	$db->sql_query( 'SELECT COUNT(*) AS count FROM '.DBPREFIX.'users WHERE permissions >= 0 '.$where);
	$row = $db->sql_fetch_array();	
	$count = $row['count'];

	
	$template->UseTpl('module_nt_begin');
	$template->UseTpl('members_head', array(
		'L_MEMBERS'	=> $lang['ml_title'],
		'MEMBERS'	=> sprintf($lang['ml_members'], $row['count']),
		'PAGE'		=> $__page__,
	
		'L_ORDERBY'	=> $lang['ml_orderby'],
		'L_ORDERMODE'=> $lang['ml_ordmode'],
		'L_USEROLD'	=> $lang['old'],
		'L_ORDER'	=> $lang['ml_order'],
		
		'L_ASC'		=> $lang['ml_asc'],
		'S_ASC'		=> (strtolower($_mode) == 'asc') ? 'selected="selected"' : '',
		
		'L_DESC'	=> $lang['ml_desc'],
		'S_DESC'	=> (strtolower($_mode) == 'desc') ? 'selected="selected"' : '',
		
		'L_NAME'	=> $lang['name'], 
		'S_NAME'	=> (strtolower($_order) == 'name') ? 'selected="selected"' : '',
		
		'L_REGDATE'	=> $lang['joined'],
		'S_REGDATE'	=> (strtolower($_order) == 'regdate') ? 'selected="selected"' : '',
		
		'L_FILTER'	=> $lang['filter'],
		'F_VALUE'	=> str_replace('%','*',$_filter),
	));

	$where = ' AND name LIKE (\'%'.$_filter.'%\')';
		
	/*if ($_filter == '') {
		$where = '';
	} else {
		$db->sql_query( 'SELECT COUNT(*) AS count FROM '.DBPREFIX.'users WHERE permissions >= 0 '.$where.' ORDER BY '.$_order.' '.$_mode  );
		$row = $db->sql_fetch_array();
		$count = $row['count'];
	}*/
		
	if ($count > 0) {
		
		$switcher = CreatePgSwitcher( $count, $_min, array(
			'page'	=> $__page__,
			'o'		=> $_order,
			'd'		=> $_mode,
			'f'		=> $_filter,
			'min'	=> '{!}',
		));
		
		$template->AddToStack( $switcher );
		$template->UseTpl('members_begin', array(
			'L_NAME'	=> $lang['name'], 
			'L_REGDATE'	=> $lang['joined'],
		));
		
		$db->sql_query( 'SELECT id, name, email, email_public, regdate 
			FROM '.DBPREFIX.'users 
			WHERE permissions >= 0 '.$where.' 
			ORDER BY '.$_order.' '.$_mode.'
			LIMIT '.$_min.', '.$conf['default_listlg']
		);
		
		while ($row = $db->sql_fetch_array())
		{
			$template->UseTpl( 'members_item', array(
				'URL'		=> 'index.php?page='.$mods->modules['m_user'].'&amp;mode=details&amp;id='.$row['id'],
				'NAME'		=> htmlspecialchars($row['name']),
				'DATE'		=> formatdate($row['regdate'], $conf['dateshort'])
			));
		}
		
		$template->UseTpl('members_end');
		$template->AddToStack( $switcher );
	
	} elseif ($_filter != '') {
		
		$template->UseTpl('members_none', array(
			'TEXT'	=> $lang['ml_none'],
		));
		
	}	
	
	$template->UseTpl('module_nt_end');
}

	define('LOADED_M_MEMBERS', true);
}

/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/

global $conf, $lang, $get, $user;

// A profiladatok tkerltek az m_user modulba. Logikusabbnak tnt, ha az egyes
// felhasznlk publikus profiladatait is az a modul jelenti meg amelyik annak
// kezelst vgzi, tovbb gy egyszerbben letilthat a taglista modul, 
// amennyiben arra nincs szksg.

// Ellenrizzk, hogy brki, vagy csak a regisztrlt tagok
// nzhetik meg a taglistt.

if (($conf['members_onlyreg'] == 1) && (!$user->logined))
{
	Msg_Die( WARNING, $lang['pl_req_login'], $lang['ml_title']);
}
else
{
	Members_List();
}

?>