<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : m_news_ajax.php
 * Kezds               : Kedd, 2006. mjus 23.
 * Utoljra mdostva   : saxus; 2006. oktber 20.
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

function ModTools_EditCommentForm() {

	global $template, $db, $lang, $__page__, $user;
	
	$mid = $_GET['mid'];
	if (!is_numeric($mid)) { Die('SQL Hack!'); }
	
	$nid = $_GET['nid'];
	if (!is_numeric($nid)) { Die('SQL Hack!'); }

	$db->sql_query('SELECT author, email, userid, date, ip, text FROM '.DBPREFIX.'news_comments
		WHERE id='.$mid.' AND news='.$nid.' LIMIT 1');
	
	$row = $db->sql_fetch_array();
	
	if ((!isset($row['userid'])) || ($row['userid'] < 1))
	{
				
		$unreg = $template->PrepareTpl( 'm_news_modtools_unreg', array(
			'L_NAME' 	=> $lang['name'],
			'L_EMAIL' 	=> $lang['email'],

			'USR_NAME'	=> htmlspecialchars($row['author']),
			'USR_EMAIL' => htmlspecialchars($row['email']),
			
			'ID'		=> $_GET['mid'],
		));
	} else {
		
		$unreg = '';
		
	}
	
	
	$template->UseTpl('m_news_modtools_editor', array(
		'L_MODNAME' => str_replace( 
			array( '!name', '!date' ),
			array( $user->userdata['name'], FormatDate() ),
			$lang['mod_cmt_modname']
		),
		'L_MESSAGE' => $lang['message'],
		'L_DATE'	=> $lang['date'],
		'L_IP'		=> $lang['ipaddr'],
		'L_SUBMIT'	=> $lang['apply'],
		'L_DEL_CONFIRM' => $lang['delete_confirm'],
		'L_DELETE'	=> $lang['delete'],
		'U_DELETE'	=> 'index.php?page='.$__page__.'&amp;mode=delete&amp;id='.$_GET['nid'].'&amp;mid='.$_GET['mid'],

		'ID'		=> $mid,
		'IP'		=> $row['ip'],
		'DATE'		=> FormatDate( $row['date'] ),
		
		'UNREG'		=> $unreg,
			
		'TITLE'		=> sprintf( $lang['mod_cmt_edittitle'], $_GET['no'], $_GET['mid'] ),
		'MESSAGE'	=> htmlspecialchars($row['text'])
	));

}


/**************************************
 * 
 */
function ModTools_DeleteCmt()
{
	global $db, $lang, $user, $template;
	
	$mid = $_GET['mid'];
	if (!is_numeric($mid)) { Die('SQL Hack!'); }
	$cid = $_GET['nid'];
	if (!is_numeric($cid)) { Die('SQL Hack!'); }
	
	// Ellenrizzk, hogy valaki volt-e a hozzszls
	$db->sql_query('SELECT userid FROM '.DBPREFIX.'news_comments WHERE id='.$mid.' AND news='.$cid.' LIMIT 1');
	
	if ($db->sql_num_rows() == 0) {
		return false;
	}
	
	$row = $db->sql_fetch_array();
	
	if ((isset($row['userid'])) && (is_numeric($row['userid'])) && ($row['userid'] > 0)) {
		
		// Ha az UserID a modertor, az user rtegre bzzuk
		if ($row['userid'] == $user->userid) {
			$user->SetData( 'news_comments', $user->userdata['news_comments']-1 );
		} else {
			$db->sql_query('UPDATE '.DBPREFIX.'user SET news_comments = news_comments-1 
				WHERE id='.$row['userid'].' LIMIT 1');
		}
	}
	
	$db->sql_query('DELETE FROM '.DBPREFIX.'news_comments WHERE id='.$mid.' AND news='.$cid.' LIMIT 1');	
	
	
	$template->UseTpl('m_news_modtools_delete', array(
		'DELETED'	=> $lang['mod_cmt_deleted']
	));
	
	return true;
}

/*********************************************************************************
 *
 *                                 BELPSI PONT
 *
 *********************************************************************************/

global $template;

$template->LoadPackedFile('m_news_modtools');

if (!$user->logined) {
	Msg_Die( CRITICAL, 'Nem vagy bejelentkezve!' );
}

switch ($_GET['m']) {
	case 'editFrm' : {
			if ((!isset($_GET['nid'])) || (!isset($_GET['mid']))) {
				Msg_Die( CRITICAL, 'rvnytelen krs' );
			}
		
			$template->AddToStack('cmt'.$_GET['mid'].'|');
			ModTools_EditCommentForm();
		break;
	}
	
	case 'deleteCmt' : {
			if ((!isset($_GET['nid'])) || (!isset($_GET['mid']))) {
				Msg_Die( CRITICAL, 'rvnytelen krs' );
			}
		
			$template->AddToStack('cmt'.$_GET['mid'].'|');
			ModTools_DeleteCmt();
		break;
	}
}



?>