<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : r_downloads.php
 * Kezds               : Szerda, 2006. szeptember 20.
 * Utoljra mdostva   : saxus; Sun Nov 12 14:35:05 CET 2006
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { Header('Location: ../../index.php'); Die(); }

global $db, $rssrule, $rsslang, $conf;

getURLBase('downloads');

//-----------------------------
// Csak a cikkek "mleszve"
if (!isset($rssrule[1])) {
	
	RSSTitle( $rsslang['t_downloads'], MODURL, '' );
	
	$db->sql_query('SELECT id, title, date, '.Preview('description').' 
		FROM '.DBPREFIX.'downloads WHERE date<'.time().' 
		ORDER BY date DESC LIMIT '.$conf['rss_limit'] );
	
	while ( $row = $db->sql_fetch_array()) {
		RSSItem( $row['title'], MODURL.'mode=details&amp;id='.$row['id'], $row['preview'], $row['date'] );
	}

} else {
	
	switch ($rssrule[1]) {

		//-----------------------------
		// Egy kategria kvetse
		case 'category' : {
			
			$db->sql_query('SELECT title, description FROM '.DBPREFIX.'downloads_category 
				WHERE id='.$rssrule[2].' LIMIT 1');
			
			if ($db->sql_num_rows() == 0) {
				RSSTitle( $rsslang['t_dl_cat'], MODURL, '' ); 
				
				RSSItem( $rsslang['cat_missing'], MODURL, '' );
				return false;
			}
			
			$row = $db->sql_fetch_array();
			
			RSSTitle( $row['title'], MODURL.'cid='.$rssrule[2], 
				($row['description'] != '') ? $row['description'] : $rsslang['nodesc'] );

			$db->sql_query('SELECT id, title, date, '.Preview('description').' 
				FROM '.DBPREFIX.'downloads WHERE category = '.$rssrule[2].' AND date<'.time().' 
				ORDER BY date DESC LIMIT '.$conf['rss_limit'] );
				
			while ( $row = $db->sql_fetch_array()) {
				RSSItem( $row['title'], MODURL.'mode=details&amp;id='.$row['id'], 
					($row['preview'] != '') ? $row['preview'] : $rsslang['nodesc'], $row['date'] );
			}

			break;
		}
	}
		

}

?>