<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * Fjl                 : r_forum.php
 * Kezds               : Szerda, 2006. szeptember 20.
 * Utoljra mdostva   : saxus; Sun Nov 12 14:34:36 CET 2006
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { Header('Location: ../../index.php'); Die(); }

/**************************************
 * Hozzszlsok megjelentse
 */
function RSS_ShowMessages($where)
{
	global $db, $rsslang, $conf;
	
	$db->sql_query('SELECT c.id, c.tid, c.author, c.postdate AS date, '.Preview('c.text').', u.name AS u_author
		FROM '.DBPREFIX.'forum_messages c
		LEFT JOIN '.DBPREFIX.'users u ON (u.id = c.userid)
		'.$where.'
		ORDER BY date DESC LIMIT '.$conf['rss_limit'] );
		
		
	while ( $row = $db->sql_fetch_array()) {
			
		$author = (isset($row['u_author'])) ? $row['u_author'] :
			(isset($row['author']) ? $row['author'] : $rsslang['anonym'] );

		RSSItem( 
			$author.' @ '.FormatDate( $row['date'] ),
			MODURL.'tid='.$row['tid'].'#m'.$row['id'], 
			$row['preview'], 
			$row['date'] 
		);
	}
}

global $db, $rssrule, $conf;

getURLBase('forum');

$mode = (isset($rssrule[1])) ? $rssrule[1] : 'topics';
	
switch ($rssrule[1]) {
		
	//-----------------------------
	// Tmk kvetse
	case 'topics' : {
		RSSTitle( $rsslang['t_fo_topic'], MODURL, '' );
			$db->sql_query('SELECT id, title, createdate AS date
			FROM '.DBPREFIX.'forum_topics
			ORDER BY createdate DESC LIMIT '.$conf['rss_limit'] );
			
		while ($row = $db->sql_fetch_array()) {
			$items[$row['id']] = $row;
			$ids[] = $row['id'];
		}
		
		if (count($ids) > 0) {
			$ids = implode(',', $ids);
						
			$db->sql_query('SELECT tid, MIN(id) AS cid
				FROM '.DBPREFIX.'forum_messages
				WHERE tid IN ('.$ids.')
				GROUP BY tid');
						
			$ids = array();
				
			while ($row = $db->sql_fetch_array()) {
				$ids[] = $row['cid'];
			}

			$ids = implode(',', $ids);
			
			$db->sql_query('SELECT tid, '.Preview('text').' 
				FROM '.DBPREFIX.'forum_messages
				WHERE id IN ('.$ids.')');
								
			while ($row = $db->sql_fetch_array()) {
				$items[$row['tid']]['text'] = $row['preview'];
			}
			
			foreach ($items AS $tid => $row ) {
				RSSItem( $row['title'], MODURL.'tid='.$tid, $row['text'], $row['date'] );
			}
		}
		break;
	}

	//-----------------------------
	// Hozzszlsok sszestett kvetse	
	case 'comments' : {
		RSSTitle( $rsslang['t_forum'], MODURL, '' );

		RSS_ShowMessages( '' );
		
		break;
	}
	
	//-----------------------------
	// Egy adott tma kvetse
	case 'topic' : {
		
		if (!isset($rssrule[2])) {
			break;
		}	
		
		
		$db->sql_query('SELECT title FROM '.DBPREFIX.'forum_topics 
			WHERE id = '.$rssrule[2].' LIMIT 1');
		
		if ($db->sql_num_rows() == 0) {
			break;
		}
		
		$row = $db->sql_fetch_array();
		
		RSSTitle( $row['title'], MODURL, '' );

		RSS_ShowMessages( 'WHERE tid = '.$rssrule[2] );
		
		break;
	}	
}
	
?>