<?php
/*******************************************************************************
 * muPortal Content Management System
 * (c) 2004-2006 muPortal Team
 *******************************************************************************
 * $Id: r_news.php 43 2007-04-25 22:15:42Z saxus $
 *******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *******************************************************************************/ 

if (!defined('MUPORTAL')) { Header('Location: ../../index.php'); Die(); }

global $db, $rssrule, $rsslang, $conf;

getURLBase('news');

//-----------------------------
// Csak a hrek
if (!isset($rssrule[1])) {
	
	RSSTitle( $rsslang['t_news'], MODURL, '' );
	
	$db->sql_query('SELECT id, title, date, '.Preview('text').' 
		FROM '.DBPREFIX.'news WHERE date<'.time().' 
		ORDER BY date DESC LIMIT '.$conf['rss_limit'] );
	
	while ( $row = $db->sql_fetch_array()) {
		RSSItem( $row['title'], MODURL.'id='.$row['id'], $row['preview'], $row['date'] );
	}

} else {
	
	switch ($rssrule[1]) {

		//-----------------------------
		// Egy kategria kvetse
		case 'category' : {
			
			$db->sql_query('SELECT title, description FROM '.DBPREFIX.'news_category WHERE id='.$rssrule[2].' LIMIT 1');
			
			if ($db->sql_num_rows() == 0) {
				RSSTitle( $rsslang['t_news_cat'], MODURL.'mode=categorys', '' ); 
				
				RSSItem( $rsslang['cat_missing'], MODURL.'mode=categorys', '' );
				return false;
			}
			
			$row = $db->sql_fetch_array();
			
			RSSTitle( $row['title'], MODURL.'cid='.$rssrule[2], $row['description'] );

			$db->sql_query('SELECT id, title, date, '.Preview('text').' 
				FROM '.DBPREFIX.'news WHERE category = '.$rssrule[2].' AND date<'.time().' 
				ORDER BY date DESC LIMIT '.$conf['rss_limit'] );
				
			while ( $row = $db->sql_fetch_array()) {
				RSSItem( $row['title'], MODURL.'id='.$row['id'], $row['preview'], $row['date'] );
			}

			break;
		}

		//-----------------------------
		// Hozzszlsok kvetse
		case 'comments' : {
			// Ha nem sszestetten szeretnnk kvetni a hozzszlsokat
			if (isset($rssrule[2])) {
			
				$db->sql_query('SELECT title FROM '.DBPREFIX.'news WHERE id='.$rssrule[2].' AND date<'.time().' LIMIT 1');
			
				if ($db->sql_num_rows() == 0) {
					RSSTitle( $rsslang['t_news'], MODULR, '' );
					
					RSSItem( $rsslang['news_missing'], MODURL );
					return false;
				}
				
				$row = $db->sql_fetch_array();
				$where = 'WHERE c.news='.$rssrule[2];
				$leftjoin = '';
				$select = '';
				$nid = $rssrule[2];
				$sum = false;
			
				RSSTitle( $row['title'], MODURL.'id='.$rssrule[2] );
				
			// Ha sszestettben szeretnnk ltni
			} else {
				$where = '';
				$leftjoin = 'LEFT JOIN '.DBPREFIX.'news n ON (n.id = c.news)';
				$select = ', n.title AS category, n.id AS nid';
				$sum = true;
				
				RSSTitle( $rsslang['t_comments'], MODURL );
			}
			
			$db->sql_query('SELECT c.id, c.author, c.date, '.Preview('c.text').', u.name AS u_author '.$select.'
				FROM '.DBPREFIX.'news_comments c
				'.$leftjoin.'
				LEFT JOIN '.DBPREFIX.'users u ON (u.id = c.userid)
				'.$where.'
				ORDER BY date DESC
				LIMIT '.$conf['rss_limit']);
				
			if ($db->sql_num_rows() != 0) {
				while ($row = $db->sql_fetch_array()) {
					$author = (isset($row['u_author'])) ? $row['u_author'] :
						(isset($row['author']) ? $row['author'] : $rsslang['anonym'] );
						
					if ($sum) {
						$nid = $row['nid'];
						
					}
					
					RSSItem( 
						$author.' @ '.FormatDate( $row['date'] ),
						MODURL.'id='.$nid.'#m'.$row['id'],
						$row['preview'],
						$row['date'],
						(isset($row['category']) ? $row['category'] : null)
					);
				}	
			}	
			break;
		}
		
	}
		

}

?>