/**************************************
 * Egy listaelem kijelzse
 */
function drawOneListElement( grp, id, disablesw )
{
	var arr = Array();

	arr['GRP']		= grp;
	arr['ID']		= mods[grp][id][0];
	arr['NAME']		= mods[grp][id][1];
	arr['DESC']		= mods[grp][id][2];
	arr['PAGE']		= mods[grp][id][3];
	
	arr['P1']		= '';
	arr['P2']		= '';
	arr['P3']		= '';
	arr['P' + mods[grp][id][4] ]		= ' selected="selected"';

	arr['V0']		= '';
	arr['V1']		= '';
	arr['V2']		= '';
	arr['V3']		= '';
	arr['V' + grp]	= ' selected="selected"';

	if (disablesw) 
	{
		
		arr['BT_UP'] = '<img src="mu-sys/tpl-admin/img/icon-arr-up-d.gif" height="16" width="16" alt="Fel" class="fakeicon" />';
		arr['BT_DW'] = '<img src="mu-sys/tpl-admin/img/icon-arr-down-d.gif" height="16" width="16" alt="Le" class="fakeicon" />';
		
	} else {
		if (id == 0) {
			arr['BT_UP'] = '<img src="mu-sys/tpl-admin/img/icon-arr-up-d.gif" height="16" width="16" alt="Fel" class="fakeicon" />';
			arr['BT_DW'] = '<a href="#" onclick="swapModule( '+grp+', '+id+', 1 ); return false;" class="icon"><img src="mu-sys/tpl-admin/img/icon-arr-down.gif" height="16" width="16" alt="Le" /></a>';
		} else if ( id == (mods[grp].length-1) ) {
			arr['BT_UP'] = '<a href="#" onclick="swapModule( '+grp+', '+id+',-1 );return false;" class="icon"><img src="mu-sys/tpl-admin/img/icon-arr-up.gif" height="16" width="16" alt="Fel" /></a>';
			arr['BT_DW'] = '<img src="mu-sys/tpl-admin/img/icon-arr-down-d.gif" height="16" width="16" alt="Le" class="fakeicon" />';
		} else {
			arr['BT_UP'] = '<a href="#" onclick="swapModule( '+grp+', '+id+',-1 );return false;" class="icon"><img src="mu-sys/tpl-admin/img/icon-arr-up.gif" height="16" width="16" alt="Fel" /></a>';
			arr['BT_DW'] = '<a href="#" onclick="swapModule( '+grp+', '+id+', 1 );return false;" class="icon"><img src="mu-sys/tpl-admin/img/icon-arr-down.gif" height="16" width="16" alt="Le" /></a>';
		}
	}
	
//	arr['ENABLEORDISABLE'] = (grp == 3) 
//		? '<a href="#" onclick="return false;" class="icon"><img src="mu-sys/tpl-admin/img/icon-.gif" alt="Engedlyezs" /></a>'
//		: '<a href="#" onclick="return false;" class="icon"><img src="mu-sys/tpl-admin/img/icon-.gif" alt="Letilts" /></a>';

	return UseTpl('mod_l_item', arr);
}

/**************************************
 * Egy lista ksztse
 */
function updateModulesList( grp )
{
	var i = 0;
	var x;
	var res = '';
	var ls = 'd';
	var arr = Array();
	
	// 0 : id
	// 1 : module
	// 2 : description
	// 3 : page
	// 4 : type
	
	res = UseTpl( 'mod_l_begin' );

	arr['GRP']		= grp;
	
	if ( mods[grp].length == 0 ) {
		
		res += UseTpl('mod_l_nothing');
		
	} else {
		
		for ( x in mods[grp] ) {
			
			ls = (ls  != 'w') ? 'w' : 'd'
			
			arr['ID']		= x;
			arr['CLASS']	= ls;
			arr['INNER']	= drawOneListElement( grp, x, (mods[grp].length < 2) );
			
			res = res + UseTpl( 'mod_l_item_outer', arr );
	
		}
	}

	getById('mod' + grp).innerHTML = '<table cellspacing="1" class="list" style="table-layout:fixed"><tbody>' + res + '</tbody></div>';

}

/**************************************
 * Mintk inicializlsa
 */
function initTemplates()
{
	tpls['mod_l_begin'] = 
'<tr>' +
'	<th width="40">id</th>' +
'	<th>Modul s lers</th>' +
'	<th width="336">Belltsok</th>' +
'	<th width="50">Pozci</th>' +
'	<th width="26">Mv.</th>' +
'</tr>';

	tpls['mod_l_item_outer'] = 
'<tr class="{CLASS}" id="mrow{GRP}p{ID}">' +
'{INNER}' +
'</tr>';

	tpls['mod_l_item'] =
'	<td><b class="id">{ID}</b></td>' +
'	<td>' +
'		<b>{NAME}</b><br />' +
'		<span style="font-size: 10px">{DESC}</span>' +
'	</td>' +
'	<td class="al" align="center">' +

'		<div class="lft">' +
'			<label for="pg{ID}"><b>Oldalak:</b></label><br />' +
'			<input type="text" id="pg{ID}" value="{PAGE}" maxlength="16" onchange="setMPPage( {GRP}, {ID}, this.value );" />' +
'		</div>' +


'		<div class="lft">' +
'			<label for="pn{ID}"><b>Panel:</b></label><br />' +
'			<select id="pn{ID}" onchange="setMPPanel( {GRP}, {ID}, this.value );">' +
'				<option value="2"{V2}>Modul sv</option>' +
'				<option value="1"{V1}>Bal panelsor</option>' +
'				<option value="3"{V3}>Jobb panelsor</option>' +
'				<option value="0"{V0}>(Kikapcsolt)</option>' +
'			</select></div>' +
'		</div>' +


'		<div class="lft">' +
'			<label for="vs{ID}"><b>Lthatsg:</b></label><br />' +
'			<select id="vs{ID}" class="w" onchange="setMPType( {GRP}, {ID}, this.value);">' +
'				<option value="3"{P3}>Mindenki elri</option>' +
'				<option value="1"{P1}>Ltogatk</option>' +
'				<option value="2"{P2}>Regisztrlt felhasznlk</option>' +
'			</select></div>' +
'		</div>' +

'	</td>' +
'	<td class="c">{BT_UP} {BT_DW}</td>' +
'	<td>' + 
'		<a href="admin.php?page=modules&amp;mode=delete&amp;id={ID}" onclick="return confirmDelete( {GRP}, {ID} );" class="icon"><img src="mu-sys/tpl-admin/img/icon-delete.gif" alt="Trls" /></a>' +
'	</td>';

	tpls['mod_l_nothing'] =
'<tr>' +
'	<td class="info" colspan="5">' +
'		Nincsenek modulok ebben a kategriban!' +
'	</td>' +
'</tr>';
	
}

/**************************************
 * Pozci visszakeresse ID alapjn
 */
function getPosById( grp, id )
{
	var t;
	for (t in mods[grp]) {
		if (mods[grp][t][0] == id) {
			return t;
		}
	}
	return -1;
}

/**************************************
 * 
 */
function setMPType( grp, id, value )
{
	modified = true;

	mods[grp][ getPosById( grp, id ) ][4] = value;
}

/**************************************
 * 
 */
function setMPPanel( grp, id, value )
{
	modified = true;

	var xid = getPosById( grp, id );
	
	mods[ value ][ mods[value].length ] = mods[grp][xid];
	mods[grp] = rmFromArr( mods[grp], xid );

	updateModulesList( grp );
	updateModulesList( value );
	
	switch (value) {
		case 0 : { switchPage('hidden'); break; }
		case 1 :
		case 3 : { switchPage('panel'); break; }
		case 2 : { switchPage('mod'); break; }
	}
}

/**************************************
 * 
 */
function setMPPage( grp, id, value )
{
	modified = true;

	var xid = getPosById( grp, id );
	mods[grp][ getPosById( grp, id ) ][3] = value;
}

/**************************************
 * Kt modul sorrendjnek megvltoztatsa
 */
function swapModule( grp, pos, to)
{
	modified = true;
	
	var nid = eval( pos + '+(' + to + ')' );
	var t = mods[grp][pos];
	mods[grp][pos] = mods[grp][nid];	
	mods[grp][nid] = t;
	
	// Opera .innerHTML patch
	if (isOpera || isIE) {
		updateModulesList(grp);
	} else {
		getById('mrow' + grp + 'p' + pos).innerHTML = drawOneListElement( grp, pos, (mods[grp].length < 2) );
		getById('mrow' + grp + 'p' + nid).innerHTML = drawOneListElement( grp, nid, (mods[grp].length < 2) );
	}
}

/**************************************
 * Oldalak vltsa
 */
function switchPage( pg )
{
	var x;
	var mnus = Array();
	mnus = ['mod','panel','hidden'];
	for (x in mnus) {
		getById('gr_'+mnus[x]).style.display = 'none';
		getById('menu_'+mnus[x]).className = '';
	}
	getById('gr_' + pg).style.display = '';
	getById('menu_'+pg).className = 'selected';
}

/**************************************
 * Postolsi adatok ltrehozsa
 */
function generatePostData()
{
	var g,i;
	var res = '';
	
	for (g in mods) {
		for (i in mods[g]) {
			
			res +=
				mods[g][i][0] + ':' +
				mods[g][i][3] + ':' +
				mods[g][i][4] + ':' +
				g + ':' +
				i +	';';
		}
	}
	
	getById('postData').innerHTML = res;
	
	return true;
}

/**************************************
 * Reset
 */
function resetModLists()
{
	if (confirm('Biztos, hogy visszalltod az eredeti modulbelltsokat?')) {
		
		var i;
		
		for (i in mods) {
			while (mods[i].length > 0) {
				mods[i].pop();
			}
		}
		
		mods = modulesData();

		var i;
	
		for (i=0;i<4;i++) {
			updateModulesList(i);
		}
		
		return true;
	} else {
		return false;
	}
}

/**************************************
 * Trls
 */
function confirmDelete( grp, id )
{
	if (modified) {
		return confirm('Mdostottad a modulbelltsokat! Ha nem mented azokat, a trls sorn elvesznek!\n\nBiztos trld a(z) "'+mods[grp][getPosById( grp, id )][1]+'" modult?');
	} else {
		return confirm('Biztos trld a(z) "'+mods[grp][getPosById( grp, id )][1]+'" modult?');
	}
}

var mods = Array();
var modified = false;

/**************************************
 * init
 */
function initModulesList()
{
	mods = modulesData();
	
	// Mintk betltse
	initTemplates();
	
	// Modullistk inicializlsa
	var i;
	
	for (i=0;i<4;i++) {
		updateModulesList(i);
	}
	
	// Kezdoldal belltsa
	switchPage('mod');
}

addEvent(window, 'load', initModulesList);